<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Apis\ApiCounter;
use App\Models\Apis\EwayLog;
use App\Models\Apis\EwayMaster;
use App\Models\Apis\EwayPartb;
use App\Models\Booking\BookGr;
use App\Models\Booking\EwayGr;
use App\Models\GoodsMove\Challan;
use App\Models\GoodsMove\ChallanDesc;
use App\Models\Master\Branch;
use App\Models\Master\Material;
use App\Models\Master\Party;
use App\Models\Master\Station;
use App\Models\Master\Vehicle;
use App\Models\Z_Core\State;
use Carbon\Carbon;
use DateTime;
use GuzzleHttp\Client;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;


class EwayController extends Controller
{

     // Declare a global variable
     protected $global_company_gst;

     public function __construct()
     {
         // Assign a value to the global variable in the constructor
         $this->global_company_gst = 'Your Value';
     }

     

    public function getEwayBillData(Request $request)
    {
        $eway_number = $request->eway_number;
        $branch_id = $request->branch['id'];


        // CHECK IF branchCode IS VALID
        $branch = Branch::select('gst_number')->find($branch_id);
        if (!$branch) {
            return response()->json(['error' => 'Invalid Branch', 'error_message'=>'Invalid Branch']);
        } else {
            $gst_number = $branch->gst_number;
            if (empty($gst_number)) {
                return response()->json(['error' => 'Branch GST Number Not Found', 'error_message'=>'Branch GST Number Not Found']);
            }
        }

        // CHECK IF ewayNo IS USED
        $ewayUsed = EwayGr::where('eway_number', $eway_number)->first();
        if ($ewayUsed) {
            $gr_number = $ewayUsed->gr_number;
            return response()->json(['status' => 0, 'message' => "Already Used In Another Gr : $gr_number"]);
        } else {
            $ewayMaster = EwayMaster::where('eway_number', $eway_number)->first();

            $ewayData = '';


            if (!$ewayMaster) {
                //$ewayData = $this->validateEwayBill($eway_number, $gst_number);
            } else {
                $ewayData = $ewayMaster->eway_json;
            }
            
            //$ewayBill = json_decode($ewayData);

            $ewayData = '{
                "results": {
                "message": {
                    "eway_bill_number": 371001555203,
                    "eway_bill_date": "30/10/2018 05:08:00 PM",
                    "eway_bill_valid_date": "06/11/2018 11:59:00 PM",
                    "number_of_valid_days": 7,
                    "eway_bill_status": "Active",
                    "generate_mode": "API",
                    "userGstin": "05AAABB0639G1Z8",
                    "supply_type": "OUTWARD",
                    "sub_supply_type": "Supply",
                    "document_type": "tax invoice",
                    "document_number": "123-81234191",
                    "document_date": "10/05/2018",
                    "gstin_of_consignor": "87654321",
                    "legal_name_of_consignor": "welton",
                    "address1_of_consignor": "2ND CROSS NO 59 19 A",
                    "address2_of_consignor": "GROUND FLOOR OSBORNE ROAD",
                    "place_of_consignor": "KANPUR",
                    "pincode_of_consignor": 208004,
                    "state_of_consignor": "UTTAR PRADESH",
                    "actual_from_state_name": "UTTAR PRADESH",
                    "gstin_of_consignee": "12345678",
                    "legal_name_of_consignee": "sthuthya",
                    "address1_of_consignee": "Shree Nilaya",
                    "address2_of_consignee": "Dasarahosahalli",
                    "place_of_consignee": "PADRAUNA",
                    "pincode_of_consignee": 227409,
                    "state_of_supply": "UTTAR PRADESH",
                    "actual_to_state_name": "UTTAR PRADESH",
                    "total_invoice_value": 2800,
                    "taxable_amount": 2000,
                    "cgst_amount": 120,
                    "sgst_amount": 120,
                    "igst_amount": 0,
                    "cess_amount": 22.56,
                    "transporter_id": "05AAABB0639G1Z8",
                    "transporter_name": "BAZPUR SAHKARI KRA VIKRAY SAMITI LIMITED",
                    "transportation_distance": 656,
                    "extended_times": 0,
                    "reject_status": "N",
                    "vehicle_type": "regular",
                    "transaction_type": "Combination of Bill To and Bill From",
                    "other_value": 100,
                    "cess_nonadvol_value": 400,
                    "itemList": [
                        {
                            "item_number": 1,
                            "product_id": 0,
                            "product_name": "Wheat",
                            "product_description": "Wheat",
                            "hsn_code": 1001,
                            "quantity": 4,
                            "unit_of_product": "BOX",
                            "cgst_rate": 6,
                            "sgst_rate": 6,
                            "igst_rate": 0,
                            "cess_rate": 1,
                            "cessNonAdvol": 400,
                            "taxable_amount": 1000
                        },
                        {
                            "item_number": 2,
                            "product_id": 0,
                            "product_name": "Wheat",
                            "product_description": "Wheat",
                            "hsn_code": 1001,
                            "quantity": 4,
                            "unit_of_product": "BOX",
                            "cgst_rate": 6,
                            "sgst_rate": 6,
                            "igst_rate": 0,
                            "cess_rate": 1,
                            "cessNonAdvol": 400,
                            "taxable_amount": 1000
                        }
                    ],
                    "VehiclListDetails": [                {
        
                            "update_mode": "API",
                            "vehicle_number": "HR01AS2132",
                            "place_of_consignor": "KANPUR",
                            "state_of_consignor": "UTTAR PRADESH",
                            "tripshtNo": 0,
                            "userGstin": "05AAABB0639G1Z8",
                            "vehicle_number_update_date": "30/10/2018 05:08:00 PM",
                            "transportation_mode": "road",
                            "transporter_document_number": "",
                            "transporter_document_date": "",
                            "group_number": "0"
                        }
                    ]
                },
                "status": "Success",
                "code": 200
                    }
                }';
            $ewayBill = json_decode($ewayData);
            
            $message = $ewayBill->results;
            $status = $message->status;
            $code = $message->code;
            $message = $message->message;

            if($code!=200){
                return response()->json(['error' => 'Error', 'error_message'=>$message]);
            }

            $gstinOfConsignor = $message->gstin_of_consignor;
            $legalNameOfConsignee = $message->legal_name_of_consignee;
            $item = $message->itemList[0];
            $vehicleListDetails = end($message->VehiclListDetails);

            $ewayExdt = explode(" ", $message->eway_bill_valid_date)[0];
            $ewayExdt = str_replace('/', '-', $ewayExdt);

            $documentDate = explode(" ", $message->document_date)[0];
            $documentDate = str_replace('/', '-', $documentDate);
             
            if(!$ewayMaster){
                $insert = EwayMaster::insert([
                    'eway_number' => $eway_number,
                    'eway_exdt' => DateTime::createFromFormat('d-m-Y', $ewayExdt)->format('Y-m-d'),
                    'gstin' => $gst_number,
                    'eway_bill_status' => $message->eway_bill_status,
                    'eway_json' => $ewayData,
                ]);
            }

            if ($message->eway_bill_status != 'Active') {
                return response()->json(['status' => 0, 'message' => 'Eway No Is Not Valid']);
            }

            $consignor = Party::select('id','party_name','account_id')->where('gst_number', $gstinOfConsignor)->first();
            if (!$consignor) {
                $consignor = Party::select('id','party_name','account_id')->where('party_name', 'LIKE', $legalNameOfConsignee)->first();
            }

            $legalNameOfConsignee = $message->legal_name_of_consignee;
            $gstinOfConsignee = $message->gstin_of_consignee;

            $consignee = Party::select('id','party_name','account_id')->where('gst_number', $gstinOfConsignee)->first();
            if (!$consignee) {
                $consignee = Party::select('id','party_name','account_id')->where('party_name', 'LIKE', $legalNameOfConsignee)->first();
            }

            $consigneeAdd = $message->address1_of_consignee . $message->address2_of_consignee;


            $source_station = Station::select('id','station_name')->where('station_name', $message->place_of_consignor)->first();
            if(!$source_station){
                $source_station = new Station;
                $source_station->station_name = $message->place_of_consignor;
                $source_station->save();
            }

            $destination_station = Station::select('id','station_name')->where('station_name', $message->place_of_consignee)->first();
            if(!$destination_station){
                $destination_station = new Station;
                $destination_station->station_name = $message->place_of_consignee;
                $destination_station->save();
            }

            $material = Material::select('id','material_name')->where('material_name',$item->product_name)->first();
            if(!$material){
                $material = new Material();
                $material->material_name = $item->product_name;
                $material->desc = $item->product_description;
                $material->save();
            }

            $vehicle = Vehicle::select('id','vehicle_number')->where('vehicle_number',$vehicleListDetails->vehicle_number)->first();

            
            $data = [
                'eway_number' => $eway_number,
                'eway_exdt' => $this->getYMDFormat($ewayExdt),
                'gstin_of_consignor' => $gstinOfConsignor,
                'consignore_name' => $consignor['party_name'],
                'place_of_consignor' => $message->place_of_consignor,
                'place_of_consignee' => $message->place_of_consignee,
                'document_number' => $message->document_number,
                'document_date' => $this->getYMDFormat($documentDate),
                'total_invoice_value' => $message->total_invoice_value,
                'legal_name_of_consignee' => $consignee['party_name'],
                'gstin_of_consignee' => $gstinOfConsignee,
                'address_of_consignee' => $consigneeAdd,
                'product_name' => $item->product_name,
                'product_description' => $item->product_description,
                'quantity' => $item->quantity,
                'unit_of_product' => $item->unit_of_product,
                'vehicle_no' => $vehicleListDetails->vehicle_number,
                'consignor' => $consignor,
                'consignee' => $consignee,
                'source' => $source_station,
                'destination' => $destination_station,
                'material'=> $material,
                'vehicle' => $vehicle,
            ];

            $sendData = [
                'status' => 1,
                'message' => 'Eway Is Valid',
                'data' => $data,
            ];

            return response()->json($sendData);
        }
    }

    public function createConsolidate(Request $request)
    {
        $challan_number = $request->challan_number;
        $vehicle_number = $request->vehicle['vehicle_number'];
        $status = '';

        if (!empty($challan_number) && !empty($vehicle_number)) {
            $status = $this->generateConsolidateEway($challan_number, $vehicle_number);
        }

        if($status->results->code!=200){
            return response()->json(['error' => 'Error', 'error_message'=>$status->results->message]);
        }

        $EwayConsolidateUrl = $status->results->message->url;

        // SAVE EWAY IN CHALLAN
        $challan = Challan::where('challan_number', $challan_number)->first();
        $challan->eway_consolidate_url = $EwayConsolidateUrl;
        $challan->save();

        return response()->json($status);
    }

    public function updateAllValidity(Request $request)
    {
        $token = $this->generateToken(); // Assuming generateToken is a function to generate the token
        $gstNo = $this->global_company_gst; // Replace 'your_gst_no' with the actual GST number

        $query = EwayGr::select('eway_number')
            ->where('eway_number', '!=', null)
            ->where('is_delivered', 0)
            ->where('eway_exp_date', null)->orWhere('eway_exp_date', '0000-00-00')
            ->get();

        foreach ($query as $row) {
            $ewayNo = $row->eway_number;
            $url = "https://pro.mastersindia.co/getEwayBillData?access_token=$token&action=GetEwayBill&gstin=$gstNo&eway_bill_number=$ewayNo";

            $response = (new Client())->get($url);

            $this->increase_api_count();
            
            $ewayBill = json_decode($response->getBody());

            

            $message = $ewayBill->results;
            $status = $message->status;
            $message = $message->message;
          
            $log_data = [
                'eway_number' => $ewayNo,
                'eway_date' => $message->eway_bill_date??'',
                'gr_number' => null,
                'challan_number' => null,
                'vehicle_number' => null,
                'type' => 'UPDATE EXPIRY DATE IN GR AFTER PART B',
                'status' => $status,
                'remark' => null,
                'data_send' => $url,
                'data_received' => $response,

            ];

            $this->create_eway_log($log_data);

            if($message->eway_bill_valid_date){
                $ewayExdt = explode(" ", $message->eway_bill_valid_date)[0];
                $ewayExdt = str_replace('/', '-', $ewayExdt);

                if ($status == 'Success' && $message->eway_bill_status == 'Active') {
                    $eway_g = EwayGr::where('eway_number', $row->eway_number)->first();
                    $eway_g->eway_exp_date = $this->getYMDFormat($ewayExdt);
                    $eway_g->save();
                    
                }

            }
            
        }
    }

    public function getEwayNo(Request $request)
    {
        $search_value = strtoupper($request->input('eway_number'));

        $result = EwayGr::select('eway_number')
            ->where('eway_number', 'LIKE', "$search_value%")
            ->orderBy('eway_number')
            ->limit(50)
            ->get();

        $data = $result->pluck('eway_number')->all();
        return response()->json($data);
    }

    public function createPartB(Request $request)
    {
        $eway_number = $request->eway_number;
        $gr_number = $request->gr_number['gr_number'];
        $vehicle = $request->vehicle;
        $reason_to_change = $request->reason;
        $place_of_change = $request->place_of_change['station_name'];
        $state = $request->state;
        $type = $request->type;
        $other_option = $request->other_option;

        // Assuming you have the Guzzle client instance already created
        $client = new Client();
    
        $EwayCounter = 0;

        $ew_gr = EwayGr::select('eway_number','gr_id','gr_number','eway_exp_date')
                        ->where('gr_number', $gr_number)
                        ->where('is_delivered', 0)
                        ->get();
        if(!$ew_gr){
            return response()->json(['error' => 'Error', 'error_message'=>'Eway Number Not Found']);
        }

        $gr = BookGr::select('gr_number','gr_date','consignor_id')
                        ->with('consignor:id,party_name,gst_number,state')
                        ->find($request->gr_number['id']);
        
        $ewayGrArray = [];
        
        foreach ($ew_gr as $ewayDet) {
            $eway = $ewayDet->eway_number;
            $date = $gr->gr_date;
            $current_date = strval(trim($date));
            $token =$this->generateToken();
    
            $dataToSend = [
                "access_token" => $token,
                "userGstin" => $this->global_company_gst,
                "eway_bill_number" => $eway,
                "vehicle_number" => $vehicle['vehicle_number'],
                "vehicle_type" => "Regular",
                "place_of_consignor" => $place_of_change,
                "state_of_consignor" => $state,
                "reason_code_for_vehicle_updation" => $reason_to_change,
                "reason_for_vehicle_updation" => $reason_to_change,
                "transporter_document_number" => $gr_number,
                "transporter_document_date" => $current_date,
                "mode_of_transport" => "road",
                "data_source" => "erp"
            ];
    
            $response = $client->post('https://pro.mastersindia.co/updateVehicleNumber/', [
                'json'=> $dataToSend
            ]);
            
            $this->increase_api_count();
    
            $dataToSend = json_encode($dataToSend);
            $cheak = json_decode($response->getBody());

            $log_data = [
                'eway_number' => $eway,
                'eway_date' => $ewayDet->eway_exp_date,
                'gr_number' => $gr_number,
                'challan_number' => null,
                'challan_date' => null,
                'vehicle_number' => $vehicle['vehicle_number'],
                'type' => 'UPDATE VEHICLE NUMBER IN PART B',
                'status' => $cheak->results->status,
                'remark' => null,
                'data_send' => $dataToSend,
                'data_received' => $response->getBody(),
                'is_system_edit' => 0,
                'is_consolidate' => 0,
                'random' => null,
            ];

            $this->create_eway_log($log_data);


            if($cheak->results->code==200){
                $eway_partb = new EwayPartb;
                //$eway_partb->challan_number = $challan_number;
                $eway_partb->gr_number = $gr_number;
                $eway_partb->eway_number = $eway;
                $eway_partb->pdf_url = $cheak->results->message->url;
                $eway_partb->vehicle_number = $vehicle['vehicle_number'];
                $eway_partb->save();
            }
            else{
                return response()->json(['error' => 'Error', 'error_message'=>$cheak->results->message]);
            }
            

    
            $this->appendVehicleToEway($eway, $vehicle['vehicle_number']);
    
            array_push($ewayGrArray, ['gr_no' => $gr_number, 'eway_number' => $eway, 'challan_no' => '', 'vehicle_no' => $vehicle['vehicle_number'], 'eway_exdt' => $ewayDet->eway_exp_date]);
        }

        BookGr::where('gr_number', $gr_number)->update(['vehicle_id' => $vehicle['id']]);

        return response()->json(['status' => 1, 'message' => 'Part B Created Successfully', 'data' => $ewayGrArray]);
    }
    


    
// USED FUNCTION     
function appendVehicleToEway($eway_number, $vehicle_no)
{
    $row = EwayMaster::select('eway_json')
        ->where('eway_number', 'LIKE', $eway_number)
        ->first();

    if ($row) {
        $json = json_decode($row->eway_json, true);
        $message = $json['results']['message'];
        $place_of_consignor = $message['place_of_consignor'];
        $state_of_consignor = $message['state_of_consignor'];
        $userGstin = $message['userGstin'];
        $last = end($json['results']['message']['VehiclListDetails']);

        if ($last['vehicle_number'] == $vehicle_no) {
            return;
        }

        $newVehicle = [
            'update_mode' => 'API',
            'vehicle_number' => $vehicle_no,
            'place_of_consignor' => $place_of_consignor,
            'state_of_consignor' => $state_of_consignor,
            'tripshtNo' => '',
            'userGstin' => $userGstin,
            'vehicle_type' => '',
            'transportation_mode' => 'road',
            'transportation_distance' => '',
            'group_number' => '',
        ];

        $json['results']['message']['VehiclListDetails'][] = $newVehicle;
        $json = json_encode($json);

        if ($json) {
           EwayMaster::where('eway_number', 'LIKE', $eway_number)
                ->update(['eway_json' => $json]);
        }
    }

}

function generateToken()
{
    $client = new Client();

    $response = $client->post('https://pro.mastersindia.co/oauth/access_token', [
        'json' => [
            'username' => 'shubhammalik19@gmail.com',
            'password' => 'Shubham@1234',
            'client_id' => 'ZRUjEPHvGgFfDKpYck',
            'client_secret' => 'bmdVpejMy5HvxORmtIeFtJ46',
            'grant_type' => 'password',
        ],
    ]);

    $this->increase_api_count();

    $token = json_decode($response->getBody());
    return $token->access_token;

}

function updateExpiryDate($array)
{
    $client = new Client();
    $token = $this->generateToken();
    $gstNo = $this->global_company_gst; // replace with your actual GST number

    $messageLog = "INSERT INTO `eway_log`(`eway_number`, `eway_date`, `gr_no`, `vehicle_no`, `type`, `status`, `remark`, `is_system_edit`, `data_received`) VALUES";

    foreach ($array as $key => $value) {
        $row = $value;
        $ewayNo = $row['eway_number'];
        $grNo = $row['gr_no'];
        $challanNo = $row['challan_no'];
        $vehicleNo = $row['vehicle_no'];
        $ewayExdt = $row['eway_exdt'];
        $remark = "UPDATE EXPIRY FROM eway_gr BY CHALLAN NO " . $challanNo . " VEHICLE " . $vehicleNo;


        $messageLog .= "('$ewayNo', '$ewayExdt', '$grNo', '$vehicleNo', 'UPDATE EXPIRY DATE IN GR AFTER PART B', '', '$remark', ''),";

    }

    $messageLog = rtrim($messageLog, ',');
    DB::insert($messageLog);
}

function generateConsolidateEway($challan_no, $vehicle_no, $mode = '', $rndm = '')
{
    // Assuming you have the Guzzle client instance already created
    $client = new Client();
    
    $EwayCounter = 0;

    $CHALLAN_DETAIL = Challan::select(['source_id', 'challan_date'])
        ->with('source:id,station_name')
        ->where('challan_number', $challan_no)
        ->first();

    $source = $CHALLAN_DETAIL->source['station_name'];
    $challan_date = $CHALLAN_DETAIL->challan_date;
    $rand = rand(10, 10000);

    $BASE_PATH = storage_path('app/public');
    
    $grs_in_challan_desc = ChallanDesc::select('gr_id','gr_number','challan_id','challan_number')
                        ->where('challan_number', $challan_no)
                        ->pluck('gr_id')
                        ->toArray();
    
    $eway_grs = EwayGr::select('eway_number','gr_id','gr_number','eway_exp_date')
                        ->whereIn('gr_id', $grs_in_challan_desc)
                        ->get();
    
    $first_gr = BookGr::select('gr_number','gr_date','consignor_id')
                        ->with('consignor:id,party_name,gst_number,state')
                        ->find($eway_grs[0]->gr_id);
    
    if($first_gr->consignor['state'] != '')
    $place = $first_gr->consignor['state'];
    else{
        // GET FIRST 2 CHAR OF GST NUMBER
        $state_code = substr($first_gr->consignor['gst_number'], 0, 2);
        $place = State::where('state_code', $state_code)->value('state_name');
    }



    $list_of_eway_bills = [];
    foreach ($eway_grs as $key) {
        $list_of_eway_bills[] = ["eway_bill_number"=>$key->eway_number];
    }
    

    if (count($list_of_eway_bills) > 0) {
        $token = $this->generateToken();

        $transporter_document_date = date('d/m/Y', strtotime($challan_date));

        $dataToSend = [
            "access_token" => $token,
            "userGstin" => $this->global_company_gst,
            "list_of_eway_bills" => $list_of_eway_bills,
            "vehicle_number" => $vehicle_no,
            "place_of_consignor" => $source,
            "state_of_consignor" => $place,
            "transporter_document_number" => $challan_no,
            "transporter_document_date" => $transporter_document_date,
            "mode_of_transport" => "road",
            "data_source" => "erp" 
        ];


        if (count($list_of_eway_bills) > 0) {
            $response = $client->post('https://pro.mastersindia.co/consolidatedEwayBillsGenerate', [
                'json' => $dataToSend,
            ]);

            $this->increase_api_count();

            

            $EwayCounter++;
            $dataToSend = json_encode($dataToSend);
            $response_data = json_decode($response->getBody());

            $log_data = [
                'eway_number' => null,
                'eway_date' => null,
                'gr_number' => null,
                'challan_number' => $challan_no,
                'challan_date' => null,
                'vehicle_number' => $vehicle_no,
                'type' => 'CONSOLIDATE',
                'status' => $response_data->results->status,
                'remark' => null,
                'data_send' => json_encode($dataToSend),
                'data_received' => $response->getBody(),
                'is_system_edit' => 0,
                'is_consolidate' => 1,
            ];
            
            $this->create_eway_log($log_data);
        }
    }

    return $response_data;

}

function validateEwayBill($eway_number, $gstin)
{
    $client = new Client();

    $token =$this->generateToken();

    $url = "https://pro.mastersindia.co/getEwayBillData?access_token=" . $token . "&action=GetEwayBill&gstin=" . $gstin . "&eway_bill_number=" .  $eway_number;

    $response = $client->get($url);
    
    $this->increase_api_count();

    $data = json_decode( $response->getBody() );
    $results = $data->results;
    $status = $results->status;
    $message = $results->message;
    
    $log_data = [
        'eway_number' => $eway_number,
        'eway_date' => null,
        'gr_number' => null,
        'challan_number' => null,
        'challan_date' => null,
        'vehicle_number' => null,
        'type' => 'VALIDATE EWAY BILL',
        'remark' => $message ,
        'status' => $status ,
        'data_send' => $url,
        'data_received' => $response->getBody(),
        'is_system_edit' => 0,
        'is_consolidate' => 0,
        'random' => null,
    ];

    $this->create_eway_log($log_data);
    
    return $response->getBody();
}

function create_eway_log($data){
    $ew_log = new EwayLog;
    $ew_log->eway_number = $data['eway_number']??null;
    $ew_log->eway_date = $data['eway_date']??null;
    $ew_log->gr_number = $data['gr_number']??null;
    $ew_log->challan_number = $data['challan_number']??null;
    $ew_log->challan_date = $data['challan_date']??null;
    $ew_log->vehicle_number = $data['vehicle_number']??null;
    $ew_log->type = $data['type']??null;
    $ew_log->remark = $data['remark']??null;
    $ew_log->status = $data['status']??null;
    $ew_log->data_send = $data['data_send']??null;
    $ew_log->data_received = $data['data_received']??null;
    $ew_log->is_system_edit = $data['is_system_edit']??0;
    $ew_log->is_consolidate = $data['is_consolidate']??0;
    $ew_log->random = $data['random']??null;
    $ew_log->save();
}

function getYMDFormat($date){

    if(!$date){
        return '';
    }

    return date('Y-m-d', strtotime($date));
}

function increase_api_count(){
    $api_name = 'eway_api';

    $today = Carbon::now()->format('Y-m-d');
        $api_count = ApiCounter::where('api_name',$api_name)->where('date',$today)->first();
    
        if($api_count){
            $api_count->api_count = $api_count->api_count+1;
            $api_count->save();
        }
        else{
            $api_count = new ApiCounter();
            $api_count->api_count = 1;
            $api_count->date = $today;
            $api_count->api_name = $api_name;
            $api_count->save();
        }

}

}
