<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Account\Account;
use App\Models\Account\Voucher;
use App\Models\Apis\ApiCounter;
use App\Models\Bill\Bill;
use App\Models\Booking\BookGr;
use App\Models\Booking\PackagePosition;
use App\Models\Business\Company;
use App\Models\FleetOwner\DieselReceipt;
use App\Models\Apis\GpsTruck;
use App\Models\GoodsMove\Challan;
use App\Models\GoodsMove\ChallanReceipt;
use App\Models\Master\Employee;
use App\Models\Master\Party;
use Barryvdh\Snappy\Facades\SnappyPdf;

use Carbon\Carbon;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;

class GpsController extends Controller
{
    
    public function getGpsData_store(Request $request){
  
        try {
            // TRANSACTION BEGINS
            DB::beginTransaction();
           
            $gps_truck = new GpsTruck();
            $gps_token = $request->security_token;
            
            if($gps_token == 'UMBRELLA1234BSS'){
            
            
                $gps_truck->vehicle  = $request->vehicle;
                $gps_truck->lat  = $request->lat;
                $gps_truck->lng   = $request->lng;
                $gps_truck->speed    = $request->speed;
                $gps_truck->course    = $request->course;
                
                $client_datetime = $request->datetime;
                $mysql_datetime = Carbon::parse($client_datetime)->format('Y-m-d H:i:s');
                $gps_truck->datetime = $mysql_datetime;
                
                $gps_truck->save();
            }else{
                return response()->json(['message' => 'Security Token Not Found'], 500);
            }
            
            DB::commit();
            return response()->json(['message' => 'Data Send Successfully'], 200);
        }
        // IF ANY ERROR WHILE SAVING
        catch (\Exception $e) {
            DB::rollback();
            return response()->json(['error' => $e->getMessage()], 500);
        }

    }
    
}
