<?php

namespace App\Http\Controllers\Z_Core;

use App\Http\Controllers\Controller;
use App\Models\Apis\ApiCounter;
use App\Models\Apis\GstMaster;
use App\Models\Master\Party;
use App\Models\Z_Core\State;
use Carbon\Carbon;
use GuzzleHttp\Client;
use Illuminate\Http\Request;

class GstController extends Controller
{
    // private $gstStates = [
    //     '01' => 'Jammu and Kashmir',
    //     '02' => 'Himachal Pradesh',
    //     '03' => 'Punjab',
    //     '04' => 'Chandigarh',
    //     '05' => 'Uttarakhand',
    //     '06' => 'Haryana',
    //     '07' => 'Delhi',
    //     '08' => 'Rajasthan',
    //     '09' => 'Uttar Pradesh',
    //     '10' => 'Bihar',
    //     '11' => 'Sikkim',
    //     '12' => 'Arunachal Pradesh',
    //     '13' => 'Nagaland',
    //     '14' => 'Manipur',
    //     '15' => 'Mizoram',
    //     '16' => 'Tripura',
    //     '17' => 'Meghalaya',
    //     '18' => 'Assam',
    //     '19' => 'West Bengal',
    //     '20' => 'Jharkhand',
    //     '21' => 'Odisha',
    //     '22' => 'Chhattisgarh',
    //     '23' => 'Madhya Pradesh',
    //     '24' => 'Gujarat',
    //     '26' => 'Dadra and Nagar Haveli and Daman and Diu',
    //     '27' => 'Maharashtra',
    //     '28' => 'Andhra Pradesh',
    //     '29' => 'Karnataka',
    //     '30' => 'Goa',
    //     '31' => 'Lakshadweep',
    //     '32' => 'Kerala',
    //     '33' => 'Tamil Nadu',
    //     '34' => 'Puducherry',
    //     '35' => 'Andaman and Nicobar Islands',
    //     '36' => 'Telangana',
    //     '37' => 'Andhra Pradesh',
    //     '38' => 'Ladakh',
    //     '97' => 'Other Territory',
    //     '99' => 'Centre Jurisdiction',
    // ];

    public function getStateName($gst_number)
    {
        // Extract the first two digits of the GST number
        $prefix = substr($gst_number, 0, 2);

        $state = State::where('state_code', $prefix)->value('state_name');

        // Check if the prefix exists in the $gstStates array
        if ($state) {
            return response()->json(['state_name' => $state]);
        } else {
            return response()->json(['error' => 'Invalid GST prefix'], 404);
        }
    }

    public function get_gst_data(Request $request)
    {
        $gst_number = $request->gst_number;

        $ip = request()->ip();

        $client = new Client([
            'headers' => [
                'CustomerId' => 'ASP10099',
                'APIId' => 'fDBXei0R-ggOh-EXLX-8nKA-siyieoDu',
                'APISecret' => 'fDBXei0RggOhEXLX',
                'environment-type' => 'Production',
                'ip-usr' => $ip,
            ],
            'verify' => false,
        ]);

        $cheakGst = GstMaster::where('gst_number', $gst_number)->first();

        if ($cheakGst) {
            if (empty($cheakGst->sts)) {
                $url = "https://gstapi.mygstcafe.com/managed/commonapi/v1.1/search?gstin=" . $gst_number;
                $response = $client->get($url);

                $this->increase_api_count();

                $result = json_decode($response->getBody());
                $sts = $result->data->sts;
                $json_data = $response->getBody();

                GstMaster::where('gst_number', $gst_number)->update([
                    'sts' => $sts,
                    'json_data' => $json_data,
                ]);

                $cheakGst = GstMaster::where('gst_number', $gst_number)->first();
            }

            $partyExist = Party::select('id','party_name','party_code','address1','city','state','pincode','gst_number','tele_number','account_id')->where('gst_number', $gst_number)->first();

            if ($partyExist) {
                $data = ['status_code' => 0, 'message' => 'Party Already exist', 'party' => $partyExist];
            } else {
                $data = [
                    'status_code' => 1,
                    'party_name' => $cheakGst->party_name,
                    'state' => $cheakGst->state,
                    'city' => $cheakGst->city,
                    'pin_code' => $cheakGst->pin_code,
                    'address' => $cheakGst->address,
                    'sts' => $cheakGst->sts,
                ];
            }
        } else {
            $url = "https://gstapi.mygstcafe.com/managed/commonapi/v1.1/search?gstin=" . $gst_number;
            $response = $client->get($url);

            $this->increase_api_count();
            
            $result = json_decode($response->getBody());
            $status = $result->status_cd;

            if ($status == 0) {
                $data = ['status_code' => 0, 'message' => 'Invalid GST No'];
            } else {
                $result = $result->data;
                $sts = $result->sts;
                $party_name = $result->tradeNam == '' ? $result->lgnm : $result->tradeNam;
                $address = $result->pradr->addr;
                $state = $address->stcd;
                $city = isset($address->city) ? $address->city : $address->dst;
                $pin_no = $address->pncd;

                $add = $address->bno . ' ' . $address->bnm . ' ' . $address->st . ' ' . $address->loc . ' ' . $city . ' ' . $address->pncd;
                $json_data = $response->getBody();

                GstMaster::insert([
                    'gst_number' => $gst_number,
                    'party_name' => $party_name,
                    'state' => $state,
                    'city' => $city,
                    'pin_code' => $pin_no,
                    'address' => $add,
                    'sts' => $sts,
                    'json_data' => $json_data,
                ]);

                $data = [
                    'status_code' => 1,
                    'party_name' => $party_name,
                    'state' => $state,
                    'city' => $city,
                    'pin_no' => $pin_no,
                    'address' => $add,
                    'sts' => $sts,
                ];
            }
        }

        return response()->json($data);

        
    }

    function increase_api_count(){
        $api_name = 'gst_api';
    
        $today = Carbon::now()->format('Y-m-d');
        $api_count = ApiCounter::where('api_name',$api_name)->where('date',$today)->first();
    
        if($api_count){
            $api_count->api_count = $api_count->api_count+1;
            $api_count->save();
        }
        else{
            $api_count = new ApiCounter();
            $api_count->api_count = 1;
            $api_count->date = $today;
            $api_count->api_name = $api_name;
            $api_count->save();
        }
    
    }

   
}
