<?php

namespace App\Http\Traits;

use App\Models\User;


trait PermissionsTrait
{
    protected function get_permission($pk, $perm_name, $task)
    {
        $user = User::find($pk);

        if($task){
            $permission = $user->permissions()->select( $task )->where('name', $perm_name)->first();
        }     
        else
           $permission = $user->permissions()->where('name', $perm_name)->first();   

        return $permission;
    }

    protected function is_read_permitted($pk, $perm_name)
    {
        $permission = $this->get_permission($pk, $perm_name, 'read');
        if ($permission !== null && $permission->read) 
            return $permission->read;
        else
        return false;
    }

    protected function is_new_permitted($pk, $perm_name)
    {
        $permission = $this->get_permission($pk, $perm_name, 'new');
        if ($permission !== null && $permission->new) 
            return $permission->new;
        else
        return false;
    }

    protected function is_edit_permitted($pk, $perm_name)
    {
        $permission = $this->get_permission($pk, $perm_name, ['edit', 'edit_valid_till'] );
        return $permission;
    }

    protected function is_delete_permitted($pk, $perm_name)
    {
        $permission = $this->get_permission($pk, $perm_name, ['delete', 'delete_valid_till']);
        return $permission;
    }

    protected function is_report_permitted($pk, $perm_name)
    {
        $permission = $this->get_permission($pk, $perm_name, 'report');
        if($permission->report)
        return $permission->report;
        else
        return false;
    }
}