<?php

namespace App\Models\Account;

use App\Models\Bill\Bill;
use App\Models\GoodsMove\Challan;
use Illuminate\Contracts\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Builder as EloquentBuilder;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class VoucherDesc extends Model
{
    use HasFactory;

    public function voucher()
    {
        return $this->belongsTo(Voucher::class,'voucher_id');
    }

    public function voucher_acc_details()
    {
        return $this->belongsTo(VoucherAccDetails::class,'v_acc_det_id');
    }

    public function challan()
    {
        return $this->belongsTo(Challan::class, 'against_id');
    }

    public function bill()
    {
        return $this->belongsTo(Bill::class, 'against_id');
    }


    public function scopeWithChallan(EloquentBuilder $query)
    {
        return $query->where('against', 'Challan');
    }
    
}
