<?php

namespace App\Models\Bill;

use App\Models\Account\Account;
use App\Models\Account\Voucher;
use App\Models\Account\VoucherDesc;
use App\Models\Booking\BookGr;
use App\Models\Master\Branch;
use App\Models\Master\Party;
use App\Models\Master\PartyBranches;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Bill extends Model
{
    use HasFactory;

    public function bill_desc()
    {
        return $this->hasMany(BillDesc::class,'bill_id');
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','bill_number');
    }

    public function cn_desc()
    {
        return $this->hasOne(CreditNoteDesc::class,'bill_id');
    }


    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function acc_party()
    {
        return $this->belongsTo(Account::class, 'acc_party_id');
    }

    public function income()
    {
        return $this->belongsTo(Account::class, 'income');
    }

    public function acc_party_branch()
    {
        return $this->belongsTo(PartyBranches::class, 'acc_party_branch_id');
    }

}
