<?php

namespace App\Models\GoodsMove;

use App\Models\Account\Account;
use App\Models\Account\VoucherDesc;
use App\Models\FleetOwner\DieselReceipt;
use App\Models\FleetOwner\DriverSettlementDesc;
use App\Models\FleetOwner\LorryHireBill;
use App\Models\FleetOwner\LorryHireBillDesc;
use App\Models\FleetOwner\LorryHireDesc;
use App\Models\Master\Branch;
use App\Models\Master\Employee;
use App\Models\Master\Party;
use App\Models\Master\Station;
use App\Models\Master\Vehicle;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Challan extends Model
{
    use HasFactory;

    public function challan_desc()
    {
        return $this->hasMany(ChallanDesc::class,'challan_id');
    }

    public function lhb_desc()
    {
        return $this->hasOne(LorryHireBillDesc::class,'challan_id');
    }

    public function challan_rec_desc()
    {
        return $this->hasMany(ChallanReceiptDesc::class,'challan_id');
    }

    public function diesel_receipt()
    {
        return $this->hasMany(DieselReceipt::class,'booking_id')->where('against', 'Challan');
    }

    public function voucher_desc()
    {
        return $this->hasMany(VoucherDesc::class,'against_number','challan_number')->where('against', 'Challan');
    }

    public function payment_voucher()
    {
        return $this->hasMany(VoucherDesc::class,'against_id')->where('against', 'CHALLAN_COST_CENTER');
    }

    public function lorry_hire_desc()
    {
        return $this->hasMany(LorryHireDesc::class,'against_id','id');
    }

    public function d_settlement_desc()
    {
        return $this->hasMany(DriverSettlementDesc::class,'against_id','id')->where('against','Challan');
    }

    public function branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id');
    }

    public function receiver_branch()
    {
        return $this->belongsTo(Branch::class, 'receiver_branch');
    }

    public function source()
    {
        return $this->belongsTo(Station::class, 'source_id');
    }

    public function destination()
    {
        return $this->belongsTo(Station::class, 'destination_id');
    }

    public function diesel_party1()
    {
        return $this->belongsTo(Account::class, 'diesel_party1_id');
    }

    public function diesel_party2()
    {
        return $this->belongsTo(Account::class, 'diesel_party2_id');
    }

    public function diesel_party3()
    {
        return $this->belongsTo(Account::class, 'diesel_party3_id');
    }


    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class, 'vehicle_id');
    }

    public function driver()
    {
        return $this->belongsTo(Employee::class, 'driver_id');
    }

    public function lorry_hire_from()
    {
        return $this->belongsTo(Account::class, 'lorry_hire_from');
    }

    public function broker()
    {
        return $this->belongsTo(Party::class, 'broker_id');
    }

    public function dl_comm_branch()
    {
        return $this->belongsTo(Account::class, 'dl_comm_branch');
    }

    public function dr_on_account()
    {
        return $this->belongsTo(Account::class, 'dr_on_account');
    }

    public function paid_using()
    {
        return $this->belongsTo(Account::class, 'paid_using');
    }

    public function commission_account()
    {
        return $this->belongsTo(Account::class, 'commission_account');
    }
}
