<?php

namespace App\Models\Inventory;

use App\Models\Account\Account;
use App\Models\Account\Balances;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    use HasFactory;

    protected $table = "products";

    public function balances()
    {
        return $this->hasMany(InventoryBalances::class, 'product_id');
    }

    public function brand()
    {
        return $this->belongsTo(Brand::class, 'brand_id');
    }

    public function linked_account()
    {
        return $this->belongsTo(Account::class, 'linked_account_id');
    }

    public function product_category()
    {
        return $this->belongsTo(ProductCategory::class, 'product_category_id');
    }
}
