<?php

namespace App\Models\Leads;

use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Lead extends Model
{
    use HasFactory;

    public function lead_desc()
    {
        return $this->hasMany(LeadDesc::class);
    }

    public function follow_ups()
    {
        return $this->hasMany(FollowUp::class)->where('against', 'Lead');
    }

    public function quotations()
    {
        return $this->hasMany(Quotation::class);
    }

    public function assigned_to()
    {
        return $this->belongsTo(User::class,'assigned_to_id','id');
    }

    public function surveyor()
    {
        return $this->belongsTo(User::class,'surveyor_id','id');
    }
}
