<?php

namespace App\Models\Master;

use App\Models\Account\Account;
use App\Models\HR\Attendance;
use App\Models\HR\SalaryDesc;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    use HasFactory;

    public function attendance()
    {
        return $this->hasMany(Attendance::class, 'emp_id');
    }

    public function salary_desc()
    {
        return $this->hasMany(SalaryDesc::class, 'emp_id');
    }

    // EMPLOYEE CAN BE ASSIGNED TO A VEHICLE (ONE TO ONE) ( IF EMPLOYEE IS A DRIVER )
    public function vehicle()
    {
        return $this->belongsTo(Vehicle::class);
    }

    // RECORDS HISTORY OF VEHICLE AND EMPLOYEE ( MANY TO MANY ) (BASICALLY IT IS HISTORY)
    public function vehicles()
    {
        return $this->belongsToMany(Vehicle::class, 'employee_vehicle');
    }

    // EMPLOYEE BELONGS TO A BRANCH (ONE TO MANY)     
    public function branch()
    {
        return $this->belongsTo(Branch::class);
    }

    // EMPLOYEE BELONGS TO A BRANCH (ONE TO MANY)     
    public function account()
    {
        return $this->belongsTo(Account::class);
    }

}
