<?php

namespace App\Models\Master;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Station extends Model
{
    use HasFactory;


    // STATION CAN BELONG TO ONE DELIVERY BRANCH (MANY TO ONE)
    public function delivery_branch()
    {
        return $this->belongsTo(Branch::class, 'branch_id', 'id');
    }

    
    
    // STAION CAN BE A PRIMARY STATION FOR A BRANCH (ONE TO ONE)
    public function branch_station()
    {
        return $this->belongsTo(Branch::class, 'id', 'branch_station');
    }
    
    // STATION CAN BELONG TO ROUTES (MANY TO MANY)
    public function routes()
    {
        return $this->belongsToMany(Route::class, 'route_station');
    }
}
