@php
function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}

function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}

function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
}

if(isset($_GET['copies']))
    $copies = $_GET['copies'];
else
    $copies = 'Original';

// BREAK $copies INTO ARRAY
$copies = explode(',', $copies);
@endphp

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $bill->bill_number }}</title>
    
    <style>
    * {margin: 0; padding: 0; box-sizing: border-box;}
    :root {
        --color1: #000;
        --color2: #e00202;
    }
    ul li { list-style: none;}
    body {overflow-x: hidden;scroll-behavior: smooth;font-family: "Poppins", sans-serif;}
    .main-table { 
        max-width: 1200px; 
        width: 100%; 
        margin: 0 auto; 
        border: 2px solid var(--color1);
        border-collapse: collapse;
    }
    .main-table td {
        padding: 0.2rem 0.2rem;
        vertical-align: top;
        border: 1px solid var(--color1);
    }
    .no-border {
        border: none !important;
    }
    .border-left-0 {
        border-left: 0 !important;
    }
    .border-right-0 {
        border-right: 0 !important;
    }
    .border-top-0 {
        border-top: 0 !important;
    }
    .border-bottom-0 {
        border-bottom: 0 !important;
    }
    </style>
</head>
<body>

<?php
if(!isset($multi_print)){
   $multi_bills[] = $bill;
}
?>

@foreach($multi_bills as $bill)

<?php $i = 0; ?>

@foreach($copies as $copy)

<?php $i++; ?>

<!-- Main Table Structure with 18 columns -->
<table class="main-table" width="100%" cellspacing="0" cellpadding="0">
    
    <!-- Header Section -->
    <tr class="no-border">
        <td colspan="5" style="font-size:0.9rem; font-weight: bold;" class="no-border">BILL NO :- {{ $bill->bill_number }}</td>
        <td colspan="4" style="font-size:0.9rem; font-weight: bold;" class="no-border">SAC CODE :- GTA 9967</td>
        <td colspan="4" style="font-size:0.9rem; font-weight: bold;" class="no-border">FREIGHT BILL</td> 
        <td colspan="6" style="font-size:0.9rem; font-weight: bold; text-align:right;" class="no-border">DATE :- {{ formatDate($bill->bill_date) }}</td>      
    </tr>
    <tr >
        <td class="no-border"  colspan="12" ></td>   
        <td class="no-border" colspan="6" style="font-size:0.9rem; font-weight: bold; text-align:right;" class="border-right-0 border-top-0">GSTIN NO :- {{ $company->gst_number }}</td>   
    </tr>

    <!-- Company Header Section -->
   
    <tr class="no-border">
        <td colspan="4" style="text-align:center; padding-top: 0.8rem;" class="no-border">
            <img src="img/logo.png" alt="_img" width="120px" height="100px">
        </td>
        <td colspan="11" style="text-align: center; padding-top: 0.8rem;" class="no-border">
            <h1 style="font-size:1.9rem; font-weight: bold; margin-bottom:0.2rem; color: var(--color2);">{{ $company->company_name }}</h1>
            <p style="font-size:0.9rem; font-weight: bold;">{{ $company->address1}}</p> 
            <p style="font-size:0.9rem; font-weight: bold;">Email :- {{ $company->email }}, <span>Phone :- {{ $company->mob1 }},{{ $company->mob2 }}</span></p>
            <p style="font-size:0.9rem; font-weight: bold;">{{ $company->jurisdiction }}</p>
            <p style="font-size:0.9rem; font-weight: bold;">Udhyam : {{ $company->cin }}</p>
        </td>
        <td colspan="3" class="no-border"></td>
    </tr>

    <!-- Bill Details Table Header -->
    <tr style="text-align: center;">
        <td style="font-size:0.8rem; font-weight: bold;" class="border-left-0">Sr No</td>
        <td style="font-size:0.8rem; font-weight: bold;">GR No</td>
        <td style="font-size:0.8rem; font-weight: bold;">Date</td>
        <td style="font-size:0.8rem; font-weight: bold;">Vehicle No</td>
        <td style="font-size:0.8rem; font-weight: bold;">From</td>
        <td style="font-size:0.8rem; font-weight: bold;">To</td>
        <td style="font-size:0.8rem; font-weight: bold;">Weight (Kg)</td>
        <td style="font-size:0.8rem; font-weight: bold;">Vehicle Type</td>
        <td style="font-size:0.8rem; font-weight: bold;">Invoice No</td>
        <td style="font-size:0.8rem; font-weight: bold;">Freight Charges</td>
        <td style="font-size:0.8rem; font-weight: bold;">{{$bill['extra_chg_label'] ?? ''}}</td>
        <td style="font-size:0.8rem; font-weight: bold;">GR Charges</td>
        <td style="font-size:0.8rem; font-weight: bold;">Loading Charges</td>
        <td style="font-size:0.8rem; font-weight: bold;">Unloading Charges</td>
        <td style="font-size:0.8rem; font-weight: bold;">Multiple Point Charges</td>
        <td style="font-size:0.8rem; font-weight: bold;">Detension Charges</td>
        <td style="font-size:0.8rem; font-weight: bold;">Other Charges</td>
        <td style="font-size:0.8rem; font-weight: bold;" class="border-right-0">Gross Total</td>
    </tr>

    @php
    $grouped_data = [];
    // Grouping by base GR number (e.g. 2512 for 2512, 2512A, 2512B)
    foreach($bill->bill_desc as $bill_desc) {
        preg_match('/^\d+/', $bill_desc['gr_number'], $matches);
        $base_gr = $matches[0] ?? $bill_desc['gr_number'];
        $grouped_data[$base_gr][] = $bill_desc;
    }
    $grand_amount = 0;
    $serial = 1;
    @endphp

    @foreach($grouped_data as $base_gr => $entries)
        @php
            $combined_gr_numbers = [];
            $combined_invoice_numbers = [];
            $freight_total = 0;
            $gr_chg_total = 0;
            $load_chg_total = 0;
            $unload_chg_total = 0;
            $mp_chg_total = 0;
            $detention_total = 0;
            $other_total = 0;
            $gross_total = 0;
            $weight_total = 0;
            $vehicle_no = '';
            $vehicle_type = '';
            $from = '';
            $to = '';
            $date = '';
        @endphp

        @foreach($entries as $entry)
            @php
                $combined_gr_numbers[] = $entry['gr_number'];
                $freight_total += $entry['freight'];
                $gr_chg_total += $entry['gr_chg'];
                $load_chg_total += 0;
                $unload_chg_total += $entry['pod_payment_dynamic_fields']->unloading_chg ?? 0;
                $detention_total += $entry['load_detention'] + $entry['unload_detention'];
                $other_total += 0;
                $gross_total += $entry['total_without_gst'];
                $weight_total += $entry['gr_desc'][0]->material_weight ?? 0;
                $grand_amount += $entry['total_without_gst'];

                if(isset($entry['bookGr']['vehicle']['vehicle_number'])) {
                    $vehicle_no = $entry['bookGr']['vehicle']['vehicle_number'];
                }
                if(isset($entry['bookGr']['vehicle']['vehicle_type'])) {
                    $vehicle_type = $entry['bookGr']['vehicle']['vehicle_type'];
                }
                $from = $entry['source']['station_name'] ?? '';
                $to = $entry['destination']['station_name'] ?? '';
                $date = formatDate($entry['gr_date']);
                $toll_amt = $entry['bookGr']->toll_amt ?? '';

                if(isset($entry['bookGr']['gr_desc'])) {
                    foreach($entry['bookGr']['gr_desc'] as $invoice) {
                        $combined_invoice_numbers[] = $invoice['invoice_number'];
                    }
                }
            @endphp
        @endforeach

        <tr>
            <td style="font-weight: bold; font-size:0.8rem;" height="25px" class="border-left-0">{{ $serial++ }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ implode(', ', $combined_gr_numbers) }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $date }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $vehicle_no }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $from }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $to }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $weight_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $vehicle_type }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ implode(', ', $combined_invoice_numbers) }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $freight_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{$toll_amt}}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $gr_chg_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $load_chg_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $unload_chg_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $mp_chg_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $detention_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;">{{ $other_total }}</td>
            <td style="font-weight: bold; font-size:0.8rem;" class="border-right-0">{{ $gross_total }}</td>
        </tr>
    @endforeach

    <!-- Total and Tax Rows -->
    <tr>
        <td style="font-weight: bold; font-size:0.9rem;" colspan="14" align="left" class="border-left-0 border-bottom-0">* Night Chargs. # Vehicle Return Charges</td>
        <td style="font-weight: bold; font-size:0.9rem; border-bottom: 0px solid var(--color1);" colspan="3">TOTAL</td>
        <td style="font-weight: bold; font-size:0.8rem; border-bottom: 0px solid var(--color1);" class="border-right-0">{{$grand_amount}}</td>  
    </tr>
    
    @if(!$bill->is_rcm)
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border:none" colspan="14" align="left" class="border-left-0 no-border"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-bottom: 0px solid var(--color1);" colspan="3">SGST</td>
        <td style="font-weight: bold; font-size:0.8rem; border-bottom: 0px solid var(--color1);" class="border-right-0">{{ $bill_desc['sgst_amount'] }}</td>  
    </tr>
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border:none" colspan="14" align="left" class="border-left-0 no-border"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-bottom: 0px solid var(--color1);" colspan="3">CGST</td>
        <td style="font-weight: bold; font-size:0.8rem; border-bottom: 0px solid var(--color1);" class="border-right-0">{{ $bill_desc['cgst_amount'] }}</td>  
    </tr>
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border:none" colspan="14" align="left" class="border-left-0 no-border"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-bottom: 0px solid var(--color1);" colspan="3">IGST</td>
        <td style="font-weight: bold; font-size:0.8rem; border-bottom: 0px solid var(--color1);" class="border-right-0">{{ $bill_desc['igst_amount'] }}</td>  
    </tr>
    @endif

    <tr>
        <td style="font-weight: bold; font-size:0.9rem;" colspan="14" align="left" class="border-left-0 border-top-0">
            @if($bill['is_rcm'])
            *Note:-GST is on Reverse Charge Basis
            @endif
        </td>
        <td style="font-weight: bold; font-size:0.9rem; border-bottom: 2px solid var(--color1);" colspan="3">GRAND TOTAL</td>
        <td style="font-weight: bold; font-size:0.8rem; border-bottom: 2px solid var(--color1);" class="border-right-0">{{ $bill->grand_total_amount }}</td>  
    </tr>

    <!-- Footer Section -->
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 2px solid var(--color1);" colspan="4" height="25px" class="border-left-0">
            <u>Customer Details:-</u>
        </td>  
        <td colspan="2" style="border-top: 2px solid var(--color1); border-bottom: 0; border-left: 0; border-right: 0;"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 2px solid var(--color1);" colspan="4" height="25px">
            <u>Bank Details:-</u>
        </td>  
        <td colspan="8" rowspan="4" style="text-align: center; border-top: 2px solid var(--color1);" class="border-right-0">
            @if ($company->company_name == 'BHAGYALAKSHMI TRANSPORT')
                <img src="{{ asset('img/blt_stamp.png') }}" alt="_img" width="auto" height="100px" style="padding-top: 5px;">
            @else
                <img src="{{ asset('img/stmp.png') }}" alt="_img" width="auto" height="100px" style="padding-top: 5px;">
            @endif
        </td>
    </tr>
    
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 0;" colspan="4" class="border-left-0">
            M/S {{ $bill['acc_party']['party']['party_name']}}
        </td>  
        <td colspan="2" style="border-top: 0; border-bottom: 0; border-left: 0; border-right: 0;"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 0;" colspan="4">
            HDFC BANK LTD.
        </td>  
    </tr>
    
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 0;" colspan="4" class="border-left-0">
            {{ $bill['acc_party']['party']['address1']}} {{ $bill['acc_party']['party']['state']}}
        </td>  
        <td colspan="2" style="border-top: 0; border-bottom: 0; border-left: 0; border-right: 0;"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 0;" colspan="4">
            DLF City Court Gurgaon-122004
        </td>  
    </tr>
    
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 0; padding-left:1.5rem;" colspan="4" class="border-left-0"></td>  
        <td colspan="2" style="border-top: 0; border-bottom: 0; border-left: 0; border-right: 0;"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 0;" colspan="4">
            A/C No-50200089323381
        </td>  
    </tr>
    
    <tr>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 2px solid var(--color1);" colspan="4" height="25px" class="border-left-0">
            GSTIN-{{ $bill['acc_party']['party']['gst_number']}}
        </td>  
        <td colspan="2" style="border-top: 0; border-bottom: 2px solid var(--color1); border-left: 0; border-right: 0;"></td>
        <td style="font-weight: bold; font-size:0.9rem; border-top: 0; border-bottom: 2px solid var(--color1);" colspan="4">
            IFSC-HDFC0001719
        </td>  
        <td style="font-size:0.9rem; font-weight: bold; color: var(--color2); text-align: center; border-top: 0; border-bottom: 2px solid var(--color1);" colspan="8" class="border-right-0">
            For {{ $company->company_name }}
        </td>
    </tr>
    
    <tr>
        <td colspan="18" height="30px" style="font-weight: bold; font-size:0.9rem; border-top: 0;" class="border-left-0 border-right-0">
            Payment Term: {{ $bill->acc_party->party->payment_term }}  
        </td>  
    </tr>
</table>

<?php
if($i%1==0 && isset($copies[$i])){
   echo '<div style="page-break-before: always;"></div>';
}
?>

@endforeach
@endforeach

</body>
</html>