  
@php

    

function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp


<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>
       @php
      if(isset($multi_print)){
        echo 'MULTI PRINT';
      }
      else{
        echo $bill->bill_number;
      }
    @endphp
  </title>
  
  <style>
  *{margin: 0; padding:0; box-sizing: border-box;}
  :root{
  --color1:#000;
  --color2:#c20202;
  --color3:#e1f6ff;
  --color4:#03b9d9;
  }
  ul li{list-style: none;}
  body{overflow-x: hidden; scroll-behavior: smooth; font-family: "Poppins", sans-serif;}
  .main_div{max-width:1200px; width:100%; margin: 0 auto; border:2px solid var(--color1);}
  .main_div table tr td{font-weight: 600; font-size:1rem; padding:0.2rem 0.3rem;}
  </style>  

</head>
<body>
<!--{{$company}}-->
<!--{{$bill}}-->

  <?php

  if(!isset($multi_print)){
     $multi_bills[] = $bill;
  }
   


  
?>

@foreach($multi_bills as $bill)


<?php
$i = 0;


?>



@foreach($copies as $copy)

<?php
$i++;
?>


   <div class="main_div">
      <!-- top_header -->
      <div class="top_header" style="text-align: center;">
      <h1 style="font-size:2.2rem; margin-top:0.2rem; color: var(--color2); border-bottom:1px solid var(--color1);">{{ $company->company_name }}</h1>
      <p style="font-size:1rem; font-weight: bold; border-bottom:2px solid var(--color1); padding:0.4rem 0;">
          <!--R.S.No.156/1, 163/4, Yadawad-Hosakoti Road Opp DCBL-Yadawad--591136 Tq:Mudalagi, Dist:Bealgavi, Karnataka-->
           {{ $company->address1 }}
          </p>
      </div>  
    <!--- -->
    <table border="0px" cellspacing="0px" cellpadding="0px" width="100%">
      <caption style="font-size:1.7rem; text-align: center; font-weight: bold; background: var(--color3); 
      border-bottom:2px solid var(--color4);">INVOICE</caption>
      <tr>
       <td style="border-right: 0; border-top: 0;" width="15%">GSTIN</td>
       <td style="border-left: 0;">: {{ $company->gst_number }}</td>
       <td colspan="2" style="border-right: 0;" align="center">PAN  NO :{{ $company->pan_number }}</td>
       <td style="border-left: 0;"></td>
       <td align="center" style="border-left:1px solid var(--color4); border-right: 1px solid var(--color4); 
        border-bottom: 1px solid var(--color4);">Inv No.</td>
       <td style="border-bottom: 1px solid var(--color4);">
       
        {{ isset($bill->bill_desc[0]) && isset($bill->bill_desc[0]['bookGr']['gr_desc'][0]) ? $bill->bill_desc[0]['bookGr']['gr_desc'][0]['invoice_number'] : '' }}

       </td>
       <td style="border-bottom: 1px solid var(--color4);"></td>
      </tr>
      <tr>
       <td style="border-bottom: 1px solid var(--color4); border-right: 0;">State</td> 
       <td style="border-bottom: 1px solid var(--color4); border-left: 0;">: {{ $company->state }}</td>
       <td style="border-bottom: 1px solid var(--color4); border:1px solid var(--color4);"align="center">State Code</td>
       <td style="border-bottom: 1px solid var(--color4); border: 1px solid var(--color4); color:var(--color2); font-weight: bold;" align="center">
           {{ substr($company->gst_number,0,2) }} 
            <!--{{ substr($company['gst_number'], 0, 2) }}-->
        

       </td>
       <td style="border-bottom: 1px solid var(--color4);"></td>
       <td style="border-bottom: 1px solid var(--color4); border-left: 1px solid var(--color4); border-right: 1px solid var(--color4);" align="center">Date</td>
       <td style="border-bottom: 1px solid var(--color4);">
        <!--    @foreach($bill->bill_desc as $bill_desc)-->
        <!--    @if(isset($bill_desc['bookGr']['gr_desc']))-->
        <!--                                @foreach($bill_desc['bookGr']['gr_desc'] as $invoice)-->
        <!--                                    {{ formatDate($invoice['invoice_date']) }} &nbsp;-->
        <!--                                @endforeach-->
        <!--    @endif-->
        <!--@endforeach-->
        
        {{ isset($bill->bill_desc[0]) && isset($bill->bill_desc[0]['bookGr']['gr_desc'][0]) ? formatDate($bill->bill_desc[0]['bookGr']['gr_desc'][0]['invoice_date']) : '' }}

        
        
       </td>
       <td style="border-bottom: 1px solid var(--color4);"></td>
      </tr>
      <tr>
       <td colspan="8" style="background: var(--color3); border-top: 1px solid var(--color4); border-bottom: 1px solid var(--color4); font-size:1rem; font-weight: bold;" align="center">Details of Receiver/ Billed to:</td> 
      </tr>
      <tr>
        <td style="border-top: 1px solid var(--color4); font-size:1rem;">Name</td>
        <td style="border-top: 1px solid var(--color4);">:
        {{ $bill->acc_party['account_name'] }}
        </td>
        <td style="border-top: 1px solid var(--color4);"></td>
        <td style="border-top: 1px solid var(--color4);" colspan="5"></td>
      </tr>
      <tr>
        <td style="font-size:1rem;">Address</td>
        <td>:{{ $bill->acc_party['party']['address1'] }}</td>
        <td></td>
        <td colspan="5"></td>
      </tr>
      <tr>
        <td style="font-size:1rem;">GSTIN</td>
        <td>:{{ $bill->acc_party['party']['gst_number'] }}</td>
        <td></td>
        <td colspan="5"></td>
      </tr>
      <tr>
        <td style="font-size:1rem;">PAN  NO</td>
        <td>:{{ $bill->acc_party['party']['pan_number'] }}</td>
        <td></td>
        <td colspan="5"></td>
      </tr>
      <tr>
        <td style="font-size:1rem;">State</td>
        <td width="20%">:</td>
        <td width="15%" style="border-top: 1px solid var(--color4); border-left: 1px solid var(--color4);
         border-right: 1px solid var(--color4);">State Code</td>
        <td width="10%" style="border-right: 1px solid var(--color4); border-top: 1px solid var(--color4);">
             {{ substr($bill->acc_party['party']['gst_number'],0,2) }}
        </td>
        <td colspan="4"></td>
      </tr>
      <tr>
       <td height="40px" style="border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4); border-right: 1px solid var(--color1);" align="center" colspan="2">Name of Product/Service</td> 
       <td style="border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4); border-right: 1px solid var(--color1);" align="center">To (Place)</td>
       <td style="border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4); border-right: 1px solid var(--color1); border-left: 1px solid var(--color1);" align="center">HSN/SAC</td>
       <td style="border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4); border-right: 1px solid var(--color1); border-left: 1px solid var(--color1);" align="center">Qty in MT</td>
       <td style="border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4); border-right: 1px solid var(--color1); border-left: 1px solid var(--color1);" align="center">Rate/MT</td>
       <td style="border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4); border-left: 1px solid var(--color1);" align="center" colspan="2">Amount</td>
      </tr>
       <?php
             $total_chg_qty = 0;
          ?>
      <tr>
       <td style="border-right: 1px solid var(--color1);" colspan="2">Being <span style="color: var(--color2);">Transport</span> Charges</td> 
       <td style="border-right: 1px solid var(--color1);">
           <!--{{ $bill_desc['destination']['station_name'] }}-->
       {{ isset($bill_desc['destination']) ? $bill_desc['destination']['station_name'] :''}}
       <!--{{ isset($bill->bill_desc[0]) && isset($bill->bill_desc[0]['bookGr']['destination']['station_name']) ? $bill->bill_desc[0]['bookGr']['destination']['station_name'] : '' }}-->

       </td>
       <td style="border-right: 1px solid var(--color1);"></td>
       
           @foreach($bill->bill_desc as $bill_desc)
          <?php $total_chg_qty+=$bill_desc['bookGr']['total_chg_qty'];
          ?> 
          @endforeach
          <td style="border-right: 1px solid var(--color1);">
          {{ number_format($total_chg_qty, 3) }} 
         
       </td>
       <td style="border-right: 1px solid var(--color1);">
           {{ $bill_desc['gr_desc']? (isset($bill_desc['gr_desc'][0])?$bill_desc['gr_desc'][0]->rate:'' ):'' }} 
       </td>
       <td colspan="2">
           {{ $bill_desc['total_without_gst'] }}
       </td>
      </tr>
      <tr>
        <td style="border-right: 1px solid var(--color1);" colspan="2">
        Material : {{ $bill_desc['gr_desc'] ? (isset($bill_desc['gr_desc'][0]) ? $bill_desc['gr_desc'][0]->material->material_name : '') : '' }}

 </td> 
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td colspan="2"></td>
       </tr>
       <tr>
        <td style="border-right: 1px solid var(--color1);" colspan="2">Period From : {{formatDate ($bill['from_date']) }}</td> 
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td colspan="2"></td>
       </tr>
       <tr>
        <td style="border-right: 1px solid var(--color1);" colspan="2">Period To: {{formatDate ($bill['to_date']) }}</td> 
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td colspan="2"></td>
       </tr>
       <tr>
        <td style="border-right: 1px solid var(--color1);" colspan="2">(Detailed As per Annexure Enclosed)</td> 
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td colspan="2"></td>
       </tr>
       <tr>
        <td style="border-right: 1px solid var(--color1);" colspan="2"><br></td> 
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td colspan="2"></td>
       </tr>
       <tr>
        <td style="border-right: 1px solid var(--color1);" colspan="2"><br></td> 
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td colspan="2"></td>
       </tr>
       <tr>
        <td style="border-right: 1px solid var(--color1); background: var(--color3); border-top: 2px solid var(--color4); border-bottom:2px solid var(--color4);" colspan="2">Total</td> 
        <td style="border-right: 1px solid var(--color1); background: var(--color3); border-top: 2px solid var(--color4); border-bottom:2px solid var(--color4);"></td>
        <td style="border-right: 1px solid var(--color1); background: var(--color3); border-top: 2px solid var(--color4); border-bottom:2px solid var(--color4);"></td>
        <td style="border-right: 1px solid var(--color1); background: var(--color3); border-top: 2px solid var(--color4); border-bottom:2px solid var(--color4);" align="center">-</td>
        <td style="border-right: 1px solid var(--color1); background: var(--color3); border-top: 2px solid var(--color4); border-bottom:2px solid var(--color4);"></td>
        <td style="border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4); " align="right" colspan="2">{{ $bill_desc['total_without_gst'] }}</td>
       </tr>
       <tr>
        <td colspan="2"><br></td> 
        <td></td>
        <td></td>
        <td></td>
        <td style="border-right: 1px solid var(--color1);"></td>
        <td colspan="2"></td>
       </tr>
       <tr>
        <td style="border-top: 1px solid var(--color4); border-bottom: 2px solid var(--color4); background: var(--color3); color: var(--color2); 
        font-weight: bold; border-right: 2px solid var(--color4);" colspan="3" align="center">Total Invoice Amount in Words :</td>
        <td style="border-top: 1px solid var(--color4); border-bottom: 2px solid var(--color4); background: var(--color3);" colspan="3">Total Amount Before Tax</td>
        <td style="border-top: 1px solid var(--color4); border-bottom: 2px solid var(--color4); background: var(--color3); border-left: 2px solid var(--color4);" colspan="2" align="right">
            {{ $bill_desc['total_without_gst'] }}
        </td>
       </tr>
       <tr>
        <td colspan="3" style="border-right: 2px solid var(--color4);">
             <?php echo numberToWords($bill->grand_total_amount) ?> 
        </td>
        <td colspan="2" style="border-right: 1px solid var(--color4); border-bottom: 1px solid var(--color4);" height="40px">Add : CGST <?php echo intval($bill->cgst_percent); ?> %</td>
        <td style="border-right: 1px solid var(--color4); border-bottom:1px solid var(--color4);"></td>
        <td colspan="2" align="right" style="border-bottom: 1px solid var(--color4);">{{ $bill->total_cgst_amount }} </td>
       </tr>
       <tr>
        <td colspan="3" style="border-right: 2px solid var(--color4);"></td>
        <td colspan="2" style="border-right: 1px solid var(--color4); border-bottom: 1px solid var(--color4);" height="40px">Add: SGST <?php echo intval($bill->sgst_percent); ?> %</td>
        <td style="border-right: 1px solid var(--color4); border-bottom: 1px solid var(--color4);"></td>
        <td colspan="2" align="right" style="border-bottom: 1px solid var(--color4);">{{ $bill->total_sgst_amount }} </td>
       </tr>
       <tr>
        <td colspan="3" rowspan="3" style="border-right: 2px solid var(--color4); border-top: 2px solid var(--color4); background: var(--color3); border-bottom: 2px solid var(--color4);">Declaration:<br>
        I/we have taken registration under CGST Act, 2017 and have exercised the option to pay tax on services of GTA in relation to transport of goods supplied by us during the financial Year 2023-24 under forward charge.</td> 
       <td colspan="2" style="border-right: 1px solid var(--color4); border-bottom: 1px solid var(--color4);">Add: IGST <?php echo intval($bill->igst_percent); ?> %</td>
       <td style="border-right: 1px solid var(--color4); border-bottom: 1px solid var(--color4);"></td>
       <td colspan="2" align="right" style="border-bottom: 1px solid var(--color4);">{{ $bill->total_igst_amount }} </td>
      </tr>
      <tr>
        <td colspan="3" style="border-right: 1px solid var(--color4); border-top: 1px solid var(--color4); background: var(--color3);" height="40px">Tax Amount : GST</td>
        <td colspan="2" align="right" style="border-right: 1px solid var(--color4); border-top: 1px solid var(--color4); background: var(--color3);">-</td>
      </tr>
      <tr>
        <td colspan="3" style="border-right: 1px solid var(--color4); border-top: 2px solid var(--color4); border-bottom: 2px solid var(--color4); background: var(--color3);" height="80px">Total Amount After Tax</td>
        <td colspan="2" align="right" style="border-right: 1px solid var(--color4); border-top: 2px solid var(--color4); border-bottom: 2px solid var(--color4); background: var(--color3);">{{$bill->grand_total_amount}}</td>
      </tr>
      <tr>
       <td colspan="2" style="border-right: 2px solid var(--color4);"><u>Bank Details:</u></td>
       <td></td>
       <td colspan="5" style="border-bottom: 1px solid var(--color4); border-left: 2px solid var(--color4);" height="40px">Certified that the particulars given above are true and correct.</td> 
      </tr>
      <tr>
        <td colspan="2" style="border-right: 2px solid var(--color4);"></td>
        <td></td>
        <td colspan="5" align="center" style="border-left: 1px solid var(--color4);">For,{{ $company->company_name }}</td> 
       </tr>
       <tr>
        <td>Bank Name </td>
        <td style="border-right: 2px solid var(--color4);">:: 
        <!--HDFC  BANK</td>-->
        {{ $company->bank_name }}
        <td></td>
        <td colspan="5" style="border-left: 1px solid var(--color4);"></td> 
       </tr>
       <tr>
        <td>Branch </td>
        <td style="border-right: 2px solid var(--color4);">:
        <!--GOKAK-->
        {{ $company->bank_branch }}
        </td>
        <td align="center" style="color: var(--color2); font-weight: bold;">Seal</td>
        <td colspan="5" style="border-left: 1px solid var(--color4);"></td> 
       </tr>
       <tr>
        <td>A/C No </td>
        <td style="border-right: 2px solid var(--color4);">:
        <!--50200011875958-->
        {{ $company->account_number }}
        </td>
        <td></td>
        <td colspan="5" style="border-left: 1px solid var(--color4);"></td> 
       </tr>
       <tr>
        <td>IFSC code </td>
        <td style="border-right: 2px solid var(--color4);">:
        <!--HDFC0002552-->
        {{ $company->ifsc }}
        </td>
        <td></td>
        <td colspan="5" style="border-left: 1px solid var(--color4);" align="center">Authorised Signatory</td> 
       </tr>
    </table>
   </div>


<?php
if($i%1==0 && isset($copies[$i])){
   echo '<div style="page-break-before: always;"></div>';
}
?>

@endforeach

@endforeach
  
</body>
</html>