@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    function numberToWords($number) {
        $no = floor($number);
        $point = round($number - $no, 2) * 100;
        $hundred = null;
        $digits_1 = strlen($no);
        $i = 0;
        $str = array();
        $words = array(
            '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
            '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
            '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
            '80' => 'Eighty', '90' => 'Ninety'
        );
        $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
        while ($i < $digits_1) {
            $divider = ($i == 2) ? 10 : 100;
            $number = floor($no % $divider);
            $no = floor($no / $divider);
            $i += ($divider == 10) ? 1 : 2;
            if ($number) {
                $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
                $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
                $str [] = ($number < 21) ? $words[$number] .
                    " " . $digits[$counter] . $plural . " " . $hundred
                    :
                    $words[floor($number / 10) * 10]
                    . " " . $words[$number % 10] . " "
                    . $digits[$counter] . $plural . " " . $hundred;
            } else $str[] = null;
        }
        $str = array_reverse($str);
        $result = implode('', $str);
        $points = ($point) ?
            "." . $words[$point / 10] . " " . 
                $words[$point = $point % 10] : '';
                echo $result . "Rupees  ";
        // echo $result . "Rupees  " . $points . " Paise";
    }

@endphp

<!DOCTYPE html>
<html lang="en"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>  
    <link rel="preconnect" href="https://fonts.gstatic.com/">
    <link rel="preconnect" href="https://fonts.gstatic.com/">
   
<style>      
    .lightgrey{background-color: rgb(226, 226, 226);} 
    .grey{background-color: rgb(221, 221, 221);}
    .black{background-color: rgb(0, 0, 0);color: white;}
    .red{color: rgb(248, 14, 14);}
    .text-bottom{vertical-align: bottom;}
    .mnone{margin: 0px;}    
   .mainbox{width: 18cm;border: 1px solid;margin: auto;min-height: 26cm;}             
   body{font-size: 13px;font-family: Arial, Helvetica, sans-serif;}    
   .right{text-align: right;} 
   .left{text-align: left;}   
   .small{font-size: 10.5px;} 
   .small2{font-size: 12px;}    
   .bold{font-weight: 550;}
   .bb{border-bottom: 1px solid;}       
   .bt{border-top: 1px solid;} 
   .bl{border-left: 1px solid;} 
   .br{border-right: 1px solid;}        
   .center{text-align: center;}            
   p{margin: 0px;}       
   h2{margin: 3px;text-align: center;font-size: 26px;font-family: initial;font-weight: bolder;color: rgb(0, 106, 138);}             
   .mt2{margin-top: 6px;}                
   .pd2{padding: 3px;}   
   .pd3{padding: 8px;}    
   .text-top{vertical-align: top;}          
   .vsmall{font-size: 10px;}      
   .vvsmall{font-size: 9.5px;}     
  .box{border:1px solid;} 
  .boxl{border: 1px solid; border-radius: 5px; width: 120px;}
  .cmp{font-weight: bolder;font-size: 13.5px;}
  .cmp2{font-weight: bolder;font-size: 10.5px;}
  .bgcol{background-color: rgb(190, 190, 190);}   
  .mainbox .col1,.col2{float: left;}
  p{font-size: 12px;}   
  .col1{width: 70%;}  
  .col2{width: 30%;}  
  .watermmark{     
    background: linear-gradient(rgba(233, 233, 233, 0),rgba(233, 231, 231, 0)),url(logowatermark.png); 
    position: none;
    background-size: cover;  
} 

   </style></head> 
  
<body>    


<div class="mainbox">   
  
   <div class="box1">
    <table width="100%" cellpadding="0" cellspacing="0" class="center small2">
        <tbody><tr>
            
            <td width="10%" style="margin: auto;"> <img src="img/bs.png" width="100"> </td> 
            <td width="50%">
                <h2 class="pd2" style="color:#006">{{ $company->company_name }}</h2>
                <p class="center bold small2 pd2" style="font-size: 13px;;"> {{ $company->address1 }} </p>
            </td>
            <td style="vertical-align: bottom;">
                <table width="100%" cellpadding="4" cellspacing="0" class="center small2">
                    <tbody><tr>
                        <th colspan="4" class="bt bl black"> GOODS MANIFEST CUM FREIGHT CHALLAN </th>
                    </tr>
                    <tr>
                        <th class="bl bt" width="25%"> No.  </th>
                        <td class="bl bt">{{ $challan->challan_number }}</td>
                        <th class="bl bt" width="20%">Date.  </th>
                        <td class="bl bt">{{ formatDate($challan->challan_date) }}</td>
                    </tr>
                    <tr>
                        <th class="bl bt grey">Truck No.  </th>
                        <td class="bl bt" colspan="3">{{ $challan->vehicle ? $challan->vehicle['vehicle_number']: '' }}</td>
                    </tr>
                    </tbody></table>
            </td>
        </tr>
    </tbody></table>       
</div>
   <div class="box2">
    <table width="100%" cellpadding="5" cellspacing="0" class="center small2">
        <tbody><tr style="height: 32px;">
            <th class="bt br grey" width="10%">From </th>
            <td class="bt br">{{ $challan['source']['station_name']}}</td>
            <th class="bt br grey" width="10%">To </th>
            <td class="bt br"> {{$challan['destination']['station_name'] }}</td>
            <th class="bt br grey" width="10%">V/A </th>
            <td class="bt "> </td>
        </tr>
        <tr style="height: 32px;">
            <th class="bt br bb grey" width="10%">No. of <br>Pkg.  </th>
            <td class="bt br bb">{{$challan->lh_total_pkg}}</td>
            <th class="bt br bb grey" width="10%">Weight </th>
            <td class="bt br bb">{{$challan->lh_total_wt}}</td>
            <th class="bt br bb grey" width="10%"> Minimum <br> Guarantee  </th>
            <td class="bt bb"> </td>
        </tr>
        </tbody></table>
</div>
   <div class="box3">
    <table width="100%" cellpadding="5" cellspacing="0" class="center small2">
        <tbody><tr style="height: 28px;" class="grey">
            <th class="bb br">Rate per ton  </th>
            <th class="bb br">Freight </th>
            <th class="bb br">Advance  </th>
            <th class="bb br">Bal Freight  </th>
            <th class="bb br">Less TDS  </th>
            <th class="bb br"> Other Charges  </th>
            <th class="bb br"> Balance Amount  </th>
            <th class="bb ">Payable At </th>
            
        </tr>
        <tr style="height: 54px;">
            <td class="bb br">{{$challan->lh_rate}}</td>
            <td class="bb br">{{$challan->lh_freight}}</td>
            <td class="bb br">{{$challan->lh_advance}}</td>
            <td class="bb br">{{$challan->lh_balance}}</td>
            <td class="bb br">{{$challan->lh_tds}}</td>
            <td class="bb br">{{$challan->lh_total_pkg}}</td>
            <td class="bb br">{{ $challan->lh_net_freight }} </td>
            <td class="bb "></td>
            
        </tr>
        </tbody></table>
</div>
   <div class="box4">
    <table width="100%" cellpadding="0" cellspacing="0" class="center small2">
        <tbody><tr>
            <th width="15%" class="br bb" style="vertical-align: top;">
            <p class="bb grey">Signature on <br> Revenue Stamp </p>   
            <p>&nbsp; </p> 
            </th>
            <th class="br bb">
            <p class="bb pd2 grey"> Amount in Word ( Advance Freight ) </p>  
            <p class="bb pd3">{{numberToWords($challan->lh_advance)}}</p>  
            <p class="bb pd2 grey"> Amount in Word ( Balance Freight ) </p>  
            <p class=" pd3">{{numberToWords($challan->lh_balance)}}</p>  
            </th>
            <th width="15%" class="bb" style="vertical-align: top;">
                <p class="bb grey">Signature of <br> Branch Manager  </p>   
                <p>&nbsp; </p>     
            </th> 
        </tr>
        </tbody></table>
        <table width="100%" cellpadding="1" cellspacing="0" class="center small2">
            <tbody><tr style="height: 32px;">
                <th class="bb br grey" width="10%">Description <br> of Goods </th>
                <td class="bb br">{{$challan->challan_desc[0]['material']}}</td>
                <th class="bb br grey" width="10%">Chassis No. </th>
                <td class="bb br">{{ $challan->vehicle?$challan->vehicle['chasis_number']:''}} </td>
                <th class="bb br grey" width="10%"> Engine No.  </th>
                <td class="bb ">{{ $challan->vehicle?$challan->vehicle['engine_number']:''}}</td> 
            </tr>
            </tbody></table>
</div>
   <div class="box5">
    <table width="100%" cellpadding="1" cellspacing="0" class="center small2" style="height: 144px;">
        <tbody><tr style="height: 24px;">
            <th class="bb br grey"> Truck Owner's Name Address <br> Phone &amp; Pan No.  </th>
            <th class="bb br grey"> Driver Name Address <br> Phone &amp; Licence No. </th>
            <th class="bb grey"> Broker's Name Address&amp; Phone  </th>
        </tr>
        <tr>
            <td class="bb br"> {{$challan->vehicle?->party['party_name']??''}} <br> {{$challan->vehicle?->party['address1']??''}},{{$challan->vehicle?->party['address2']??''}}<br> <br> Mob :{{$challan->vehicle?->party['mob_number']??''}}
            <br>Pan No :{{$challan->vehicle?->party['pan_number']??''}}
          </td>
           <td class="bb br"> {{$challan->driver?->emp_name}} <br>{{$challan->driver?->address}}<br> <br> Mob :{{$challan->driver?->contact_number}}
            <br>Pan No :{{$challan->driver?->pan_number}}
          </td
                        <br>  </td>
            <td class="bb ">{{$challan->broker['party_name']??''}} <br> {{$challan->broker['address1']??''}},{{$challan->broker['address2']??''}}<br> <br> Mob :{{$challan->broker['mob_number']??''}}
            <br>Pan No :{{$challan->broker['pan_number']??''}} </td>
        </tr>
       
    </tbody></table>    
    </div>
   <div class="box6">
    <table width="100%" cellpadding="1" cellspacing="0" class="center small2" style="min-height: 450px;">
        <tbody><tr style="height: 35px;">
            <th class="br bb grey">To Station <br> Address </th>
            <td class="bb" colspan="8"> </td>
        </tr>
        <tr style="height: 35px;" class="grey">
            <th class="bb br">Booking<br> Date </th>
            <th class="bb br">CN No.</th>
            <th class="bb br">Pkg. </th>
            <th class="bb br">Weight </th>
            <th class="bb br">From </th>
            <th class="bb br">TO </th>
            <th class="bb br">Description <br> of Goods  </th>
            <th class="bb br">Party Name  </th>
            <th class="bb "> Remarks  </th>
        </tr>
         @foreach($challan->challan_desc as  $desc_item)
                <tr style="height: 35px;">
        
            <td class="br">{{ $desc_item['gr_date'] }} </td>
            <td class="br">{{ $desc_item['gr_number'] }} </td>
            <td class="br">{{ $desc_item['pkg'] }} </td>
            <td class="br">{{ $desc_item['wt'] }} </td>
            <td class="br">{{$challan->source?->station_name}}</td>
            <td class="br">{{ $desc_item['destination'] }}</td>
            <td class="br">{{ $desc_item['material'] }} </td>
            <td class="br">{{ $desc_item['consignee'] }}</td>
            <td class=""> </td>
        </tr>
         @endforeach
           
        <tr>
            <td class="br "> </td>
            <td class="br "> </td>
            <td class="br "> </td>
            <td class="br "> </td>
            <td class="br "> </td>
            <td class="br "> </td>
             <td class="br "> </td>
             <td class="br "> </td>
                      <td class=" "> </td>
          </tr>
    </tbody></table>       
</div>
 
    </div>
    
    

</body></html>