@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    function numberToWords($number) {
        $no = floor($number);
        $point = round($number - $no, 2) * 100;
        $hundred = null;
        $digits_1 = strlen($no);
        $i = 0;
        $str = array();
        $words = array(
            '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
            '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
            '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
            '80' => 'Eighty', '90' => 'Ninety'
        );
        $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
        while ($i < $digits_1) {
            $divider = ($i == 2) ? 10 : 100;
            $number = floor($no % $divider);
            $no = floor($no / $divider);
            $i += ($divider == 10) ? 1 : 2;
            if ($number) {
                $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
                $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
                $str [] = ($number < 21) ? $words[$number] .
                    " " . $digits[$counter] . $plural . " " . $hundred
                    :
                    $words[floor($number / 10) * 10]
                    . " " . $words[$number % 10] . " "
                    . $digits[$counter] . $plural . " " . $hundred;
            } else $str[] = null;
        }
        $str = array_reverse($str);
        $result = implode('', $str);
        $points = ($point) ?
            "." . $words[$point / 10] . " " . 
                $words[$point = $point % 10] : '';
                echo $result . "Rupees  ";
        // echo $result . "Rupees  " . $points . " Paise";
    }

@endphp



<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8"> 
        <meta name="viewport" content="width=device-width, initial-scale=1.0">  
        <title></title>     
        <link href="https://fonts.googleapis.com/css?family=Anton&display=swap" rel="stylesheet">
        <style>
            .bordertrc{border: 0px solid; border-color: gainsboro;}
            .mnone{margin: 0px;}    
            .mainbox{width: 18.5cm;border: 1px solid;height: 27cm; margin: auto;}           
            body{font-size: 13px;font-family: Arial, Helvetica, sans-serif;}    
            .right{text-align: right;} 
            .left{text-align: left;}
            .small{font-size: 10.5px;}
            .small2{font-size: 12px;}   
            .bold{font-weight: 550;}       
            .bb{border-bottom: 1px solid;}       
            .bt{border-top: 1px solid;}   
            .bl{border-left: 1px solid;}
            .br{border-right: 1px solid;}       
            .center{text-align: center;}          
            p{margin: 0px;font-size: 14px;}       
            h1{margin: 0px;text-align: center;font-size: 33px;font-family: 'Noto Serif', serif;}          
            .mt2{margin-top: 2px;}            
            .pd2{padding: 3px;}   
            .pd3{padding: 6px;}      
            .text-top{vertical-align: top;}            
            .vsmall{font-size: 10px;}      
            .vvsmall{font-size: 9.5px;}     
            .box{border:1px solid;}   
            .bgcolor{background-color: rgb(190, 189, 189);}  
            .watermark{
                background: linear-gradient(rgba(233, 233, 233, 0),rgba(233, 231, 231, 0)),url(logowatermark.png) ;
                position: center;
                position: relative;
                background-size:contain;
                background-repeat: no-repeat;
            }
        </style>  
    </head>
    <body>
        <!-- {{$challan}} -->
        <div class="mainbox watermark">
            <div class="box1">
                <table width="100%">
                    <tr>
                        <td width="20%" class="pd2">  
                            <img src="img/bs.png" width="139" height="70" >
                        </td> 
                        <td>
                        <p class="mnone  pd2 small3 center bold" style="font-family: 'Anton', sans-serif;font-size: 24px;">{{ $company->company_name }}</p> 
                          
                        <P class="mnone center pd2 vvsmall bold">{{ $company->address1 }}</P>
                        <p class="mnone center pd2 vvsmall bold">Mob.: &nbsp;&nbsp;&nbsp;{{ $company->mob1 }}  &nbsp;&nbsp;  {{ $company->mob2 }}   {{ $company->mob3 }}  / &nbsp;&nbsp; Email : {{ $company->email }}</p>
                        <p class="mnone center pd2 vvsmall bold">PAN No : {{ $company->pan_number }} ,  GSTIN No:- {{ $company->gst_number }}</p>
        
                      </td>
                    </tr>
                </table>
            </div>  
            <div class="box2">
                <table width="100%" class="bold small2 bb" cellpadding="3">   
                    <tr>
                        <td>Vendor Name:-    {{ $challan->vehicle ? $challan->vehicle['party']?$challan->vehicle['party']['party_name']:'' : '' }}</td>
                   
                        <td>Challan No:- {{ $challan->challan_number }}</td>  
                        <td>Date:- {{ formatDate($challan->challan_date) }}</td>  
                    </tr>
                    <tr>
                      <td width="30%">From :-  {{ $challan['source']['station_name']}}</td>
                      <td width="30%">To :- {{$challan['destination']['station_name'] }}</td>
                      <td>Lorry No:- {{ $challan->vehicle ? $challan->vehicle['vehicle_number']: '' }} </td> 
                    </tr>
              </table>
            </div>
            <div class="box3">
                <table width="100%" class="small center bold" cellspacing="0" cellpadding="2" style="height: 82px;"> 
                  <tr style="height: 22px;">
                      <td class="bb br">Sr. No.</td>
                      <td class="bb br">Gr No.</td>
                      
                      <td class="bb br">Consignor </td>   
                      <td class="bb br">Consignee</td>   

                      <td class="bb br" width="20%">Contents </td>
                      <td class="bb br">Weight In Kgs.</td>
                      <td class="bb br"> Station </td>
                      <td class="bb ">Amount</td> 
                  </tr>
                  @foreach($challan->challan_desc as $index => $desc_item)
                    <tr style="height: 22px;">
                        <td class="bb br">{{ $index + 1 }}</td>
                        <td class="bb br">{{ $desc_item['gr_number'] }}</td>

                        <td class="bb br">{{ $desc_item['consignor'] }}</td>
                        <td class="bb br">{{ $desc_item['consignee'] }}</td>

                        <td class="bb br">{{ $desc_item['material'] }}</td>
                        <td class="bb br">{{ $challan->lh_total_wt }} MT</td>
                        <td class="bb br">{{ $desc_item['destination'] }}</td>
                        <td class="bb ">{{ $challan->lh_net_freight }}</td> 
                    </tr>
                  @endforeach

                    <!-- @for($i = count($challan->challan_desc); $i < 5; $i++)
                        <tr>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                            <td>&nbsp;</td>
                        </tr>
                    @endfor -->

              </table>
            </div>
            <div class="box4 bb" style="height: 10px;"></div>

            <div class="box6 bordertrc" style="font-weight: bold;" >
                <table width="100%" class="small" cellpadding="3">  
                  <tr><td colspan="3">Owner's Name:-  {{ $challan->vehicle ? $challan->vehicle['party']?$challan->vehicle['party']['party_name']:'' : '' }}</td></tr> 
                  <tr><td colspan="3">Address & Contact Details:-  {{ $challan->vehicle ? $challan->vehicle['party']?$challan->vehicle['party']['address1']:'' :'' }}</td></tr>
                  <tr>
                      <td colspan="2"></td> 
                      <td>Telephone:-  {{$challan->vehicle ? $challan->vehicle['party']?$challan->vehicle['party']['tele_number']:'' :'' }} </td>
                  </tr> 
                  <tr>
                      <td width="35%">Driver's Name:-   {{ $challan->driver?$challan->driver['emp_name']:''}}</td>
                      <td width="30%">D.L.No:- {{ $challan->driver?$challan->driver['license_number']:''}}</td>
                  </tr>
                  <tr>
                    <td> Address:-  {{ $challan->driver?$challan->driver['address']:''}}</td> 
                    <td>Telephone No:-   {{ $challan->driver?$challan->driver['contact_number']:''}}</td>
                    </tr> 
                    <tr>
                        <td width="35%">Engine No:-   {{ $challan->vehicle?$challan->vehicle['engine_number']:''}}</td>
                        <td width="35%">Vehicle Type:-   {{ $challan->vehicle?$challan->vehicle['vehicle_type']:''}}</td>
                    </tr>
                    <tr>
                        <td colspan="3">&nbsp;</td>
                    </tr>
                </table>
            </div>

            


            <div class="box5">
              <div style="display: flex;">
                  <div style="width: 60%;">
                    <p class="bold small2">TERMS & CONDITION </p>
                    <P class="small" style="margin-left: 15px;">1. Goods located in good conditions.</P>
                    <p class="small" style="margin-left: 15px;">2. All the papers related to goods handed over to the driver.</p>
                    <p class="small" style="margin-left: 15px;">3. The trucks should reach the unloading  point with in 11 am, otherwise no detention will be paid, if the truck detained.</p>
                    <p class="small" style="margin-left: 15px;">4. The owner lorry driver, guarantor and broker  jointly and several undertake  to deliver the goods at the  destinations in accordance 
                        to the company's challan cum manifest in proper order and condition.
                    </p>
                    <p class="small" style="margin-left: 15px;">5. In case of any loss and  / or damage to the  consignment entrusted by the company for the carrige the parties here 
                        above mentioned undertake to inform the company  within 12 hour of such loss in writing and shall be liable to compensate
                        the company of such loss and/or damage fothwith <br>The parties here above mentioned shall be entitled to claim freight of goods 
                        carried by them only after delivery of the  good in full and in proper manner and sound condition. 
                    </p>
                    <p class="small" style="margin-left: 15px;">6. Goods will be delivered not later than .....................Days / Date, failing Rs. 500/- will be deducted per day.  </p>
                    <p class="small"style="margin-left: 15px;">7. Signed challan to be  handed over  to our branch officer's/ or loading branch with 15 days of delivery, failing 
                        which Rs. 200/- per week will be deducted, Transhipment penalty Rs. 5000/- will be recovered.  </p><br>
                  </div>

                  <div style="width: 40%;">
                    <div class="box4 bordertrc bold">
                        <table style="width: 100%; text-align:center;" cellspacing="0" cellpadding="2" >
                            <tr>
                                <td colspan="2" class="bb bl bt br">Freight Break Up</td>
                            </tr>

                            <tr>
                                <td class="bb bl bt br">Particulars</td>
                                <td class="bb bl bt br">Amt</td>
                            </tr>
                            <tr>
                                <td class="bb bl br">Vehicle Hire Cost</td>
                                <td class="bb bl br">{{ $challan->lh_freight }}</td>
                            </tr>
                            <tr>
                                <td class="bb bl br">Loading Charge</td>
                                <td class="bb bl br">{{ $challan->loading_labour }}</td>

                            </tr>
                            <tr>
                                <td class="bb bl br">Loading Detention</td>
                                <td class="bb bl br">{{ $challan->loading_detention }}</td>

                            </tr> 
                            <tr>   
                                <td class="bb bl br">Point Charges</td>
                                <td class="bb bl br">{{ $challan->lh_extra_point }}</td>

                            </tr>
                            <tr>
                                <td class="bb bl br">Unloading Charge</td>
                                <td class="bb bl br">{{ $challan->unloading_labour }}</td>

                            </tr>
                            <tr>
                                <td class="bb bl br">Unloading Detention</td>
                                <td class="bb bl br">{{ $challan->unloading_detention }}</td>

                            </tr>
                            <tr>
                                <td class="bb bl br">Total Hire Cost</td>
                                <td class="bb bl br">{{ $challan->lh_net_freight }}</td>

                            </tr>
                            <tr>
                                <td class="bb bl br">Advance</td>
                                <td class="bb bl br">{{ $challan->lh_advance }}</td>

                            </tr>
                            <tr>
                                <td class="bb bl br">TDS</td>
                                <td class="bb bl br">{{ $challan->lh_tds }}</td>

                            </tr>
                            <tr>
                                <td class="bb bl br">Balance</td>
                                <td class="bb bl br">{{ $challan->lh_balance }}</td>

                            </tr>
        
        
                        </table>
                    </div>

                  </div>

              </div>  
             
            </div>
            
            
            
            
            


            <div class="box7 bordertrc">
              
              <p class="bold center small2 pd2"><u>UNDERTAKING</u></p> 
              <p class="small" style="text-align: justify;"> I............................. Driver / Owner of above particular vehicle to hereby confirm having 
                  received in proper  condition the goods detailed in above noted Lorry Challan for safe Carriage to your 
                  destination officer at my risk and liability at the rate fixed. I agree and undertake that  (a) goods  
                  will be loaded/unloaded and delivered as per your loading / unloading office's instructions and your rules
                  and regulation (b) No other  goods will be loaded into or transshipped from my above vehicle enroute
                  No unloading will be effected on Sunday Holidays (d) if any damage, shortage,theft contract for delivery to destination
                  station (f) I have understood the condition or carriage of goods upto destination and shall arrange loading and 
                  unloadind also  (g) Entire contents have been read over and explained to  me in my own language, Vehicle Owner, Driver 
                  Guarantor & broker documents and particulars furnished are true.   
              </p> <br>
            </div>
            <div class="box8">
              <table width=100%>
                  <tr>
                      <td class="small bold center" width="40%"> 
                        <p><br><br></p>
                          <p class="bt small bold">Signature of Driver / Lorry Driver / Guranter & brokers</p></td>
                      <td></td>
                      <td width='20%' class="small right bold">
                        <p><img src="sign.jpg" style="width:144px;"></p>
                        <p class="bt small bold">Sinature of Despatch Clerk </p> </td>
                      <td width="2%"></td>
                  </tr>
              </table>
            </div>  
        </div>
    </body>
</html>