@php

    
function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}

function return_start_end_odm($descs ) {
    // OUT OF THEM DESC I want the smalled desc.start_km and largest desc.end_km. Descs is array of objects
    $start_odm = $descs[0]['start_reading'];
    $end_odm = $descs[0]['end_reading'];

    foreach ($descs as $desc) {
        if ($desc['start_reading'] < $start_odm) {
            $start_odm = $desc['start_reading'];
        }

        if ($desc['end_reading'] > $end_odm) {
            $end_odm = $desc['end_reading'];
        }
    }

    return [$start_odm, $end_odm];
}


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $ds->ds_number }}</title>
    <style>
        /* Reset and Base Styles */
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-weight: bold;
        }
        body {
            overflow-x: hidden;
            scroll-behavior: smooth;
            font-family: "Poppins", sans-serif;
            background-color: #f8f9fa;
            color: #333;
            line-height: 1.6;
        }
        h2, h3 {
            color: #343a40;
        }

        /* Root Variables */
        :root {
            --primary-color: #2c89df;
            --secondary-color: #6c757d;
            --success-color: #28a745;
            --danger-color: #dc3545;
            --table-border-color: #dee2e6;
        }

        /* Main Container */
        .main_div {
            max-width: 1200px;
            width: 100%;
            margin: auto;
            padding: 1.5rem;
            background: #fff;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
        }

        /* Header Section */
        h2.text-center {
            font-size: 2rem;
            margin-bottom: 1rem;
        }
        hr {
            border: 1px solid var(--secondary-color);
            margin-bottom: 1.5rem;
        }

        /* Table Styles */
        table {
            width: 100%;
            margin-bottom: 1.5rem;
            border-collapse: collapse;
            text-align: left;
        }
        th, td {
            padding: 0.75rem;
            border: 1px solid var(--table-border-color);
        }
        th {
            background-color: var(--primary-color);
            color: #fff;
            text-transform: uppercase;
            font-size: 0.9rem;
        }
        td {
            font-size: 0.9rem;
            color: #495057;
        }
        tr:nth-child(even) td {
            background-color: #f2f2f2;
        }
        .fw-bold {
            font-weight: bold;
        }
        .text-center {
            text-align: center;
        }

        /* Section Titles */
        h3 {
            font-size: 1.5rem;
            margin-bottom: 1rem;
            border-bottom: 2px solid var(--primary-color);
            padding-bottom: 0.5rem;
            text-align: left;
        }

        /* Buttons (Optional for Export or Print Actions) */
        .btn {
            display: inline-block;
            margin: 1rem 0;
            padding: 0.5rem 1rem;
            border: none;
            border-radius: 4px;
            background-color: var(--primary-color);
            color: #fff;
            font-size: 1rem;
            cursor: pointer;
            text-decoration: none;
            text-align: center;
        }
        .btn:hover {
            background-color: #0056b3;
        }
    </style>

<style>
    .expense-summary {
        display: grid;
        grid-template-columns: repeat(4, 1fr); /* Four columns */
        gap: 1rem; /* Space between items */
        margin-top: 1rem;
    }
    .expense-item {
        background: #f8f9fa;
        padding: 1rem;
        border: 1px solid #dee2e6;
        border-radius: 8px;
        text-align: center;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    }
    .expense-item span:first-child {
        display: block;
        font-weight: bold;
        color: #495057;
    }
    .expense-item span:last-child {
        display: block;
        font-size: 1.2rem;
        color: #007bff;
    }
    .expense-item.total {
        grid-column: span 4; /* Make the total row span all 4 columns */
        background: #e9ecef;
        font-weight: bold;
        color: #343a40;
    }
</style>

</head>
<body>
    <div class="main_div">
        <div id="print-section">
            <h2 class="text-center">Trip Sheet Report</h2>
            <hr />

            <!-- Basic Information -->
            <h3>Basic Details</h3>
            <table>
                <tr>
                    <th>Branch</th>
                    <td>{{ $ds->branch['branch_name'] }}</td>
                    <th>D.S. Number</th>
                    <td>{{ $ds->ds_number }}</td>
                </tr>
                <tr>
                    <th>Settle Date</th>
                    <td>{{ formatDate($ds->settle_date) }}</td>
                    <th>Vehicle</th>
                    <td>{{ $ds->vehicle ? $ds->vehicle['vehicle_number'] : '' }}</td>
                </tr>
                <tr>
                    <th>Driver</th>
                    <td>{{ $ds->driver ? $ds->driver['emp_name'] : '' }}</td>
                    <th>Mobile</th>
                    <td>{{ $ds->driver ? $ds->driver['contact_number'] : '' }}</td>
                </tr>
                <tr>
                    <th>PAN</th>
                    <td>{{ $ds->driver ? $ds->driver['pan_number'] : '' }}</td>
                    <th>License</th>
                    <td>{{ $ds->driver ? $ds->driver['license_number'] : '' }}</td>
                </tr>
            </table>

             <!-- KM Details Information -->
             <h3>KM Details</h3>
             <table>
                <tr>
                    <th>Start KM </th>
                    <th>End KM</th>
                    <th>Total KM</th>
                    <th>Mileage</th>
                </tr>
                <tr>
                    <td>{{ $ds->start_km }}</td>
                    <td>{{ $ds->end_km }}</td>
                    <td>{{ $ds->total_km }}</td>
                    <td>{{ $ds->mileage }}</td>
                </tr>
             </table>

            <!-- Freight Entries -->
            <h3>Trip Entries</h3>
            <div style="border-bottom: 2px solid black;">
                <table width="100%" class="mtable">
                    <tr>
                        <th>Doc No. </th>
                        <th>Source</th>
                        <th>Destination</th>
                        <th>Party</th>
                        <th>Loading Date</th>
                    </tr>
                    @foreach($ds->d_settlement_desc as $d_settlement_desc)
                    <tr>
                        <td>{{ $d_settlement_desc['against_number'] }}</td>
                        <td>{{ $d_settlement_desc['source'] }}</td>
                        <td>{{ $d_settlement_desc['destination'] }}</td>
                        <td>{{ $d_settlement_desc['acc_party'] }}</td>
                        <td>{{ formatDate($d_settlement_desc['date']) }}</td>
                    </tr>
                    @endforeach
                </table>
            </div>


            <!-- Diesel Entries -->
            <h3>Diesel Entries</h3>
            <table>
                <thead>
                    <tr>
                        <th>Filling Station</th>
                        <th>Voucher No.</th>
                        <th>Date</th>
                        <th>Qty. Actual</th>
                        <th>Rate</th>
                        <th>Actual</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($ds->d_settlement_desc as $d_settlement_desc)
                        @foreach($d_settlement_desc['diesel_receipt'] as $diesel_receipt)
                            <?php $copy = json_decode(json_encode($diesel_receipt)); ?>
                            <tr>
                                <td>{{ $copy->filling_station->account_name }}</td>
                                <td>{{ $diesel_receipt['dr_number'] }}</td>
                                <td>{{ formatDate($diesel_receipt['booking_date']) }}</td>
                                <td>{{ $diesel_receipt['qty'] }}</td>
                                <td>{{ $diesel_receipt['rate'] }}</td>
                                <td>{{ $diesel_receipt['amount'] }}</td>
                            </tr>
                        @endforeach
                    @endforeach
                    <tr>
                        <td colspan="3" class="fw-bold">Total Diesel Amount</td>
                        <td>{{ $ds->total_diesel_receipt_qty }}</td>
                        <td></td>
                        <td>{{ $ds->total_diesel_receipt_amt }}</td>
                    </tr>
                </tbody>
            </table>

            <h3>Payment Details</h3>
            <table class="table table-bordered">
              <thead>
                <tr>
                    <th style="border-bottom: 2px solid black">Voucher No.</th>
                    <th style="border-bottom: 2px solid black">Date</th>
                    <th style="border-bottom: 2px solid black">Amount</th>
                    <th style="border-bottom: 2px solid black">Remarks</th>
                </tr>
              </thead>
              <tbody>
                @foreach($ds->d_settlement_desc as $d_settlement_desc)

                        @foreach($d_settlement_desc['payment_voucher'] as $payment_voucher)

                        <tr>
                            <td>{{ $payment_voucher['voucher_number'] }}</td>
                            <td>{{ formatDate($payment_voucher['voucher']['voucher_date']) }}</td>
                            <td>{{ $payment_voucher['receipt_amt'] }}</td>
                            <td>{{ $payment_voucher['voucher']['narration'] }}   </td>
                        </tr>

                        @endforeach
                    @endforeach

                    <?php
                    $total_unmarked_amt = 0;
                    
                    ?>
                    
                    @foreach($unmarked_voucher as $unmarked)
                        <tr>
                            <td>{{ $unmarked['voucher_number'] }}</td>
                            <td>{{ formatDate($unmarked['voucher_date']) }}</td>
                            <td>{{ $unmarked['total_dr_amount'] }}</td>
                            <td>{{ $unmarked['narration'] }}  </td>
                        </tr>

                        <?php  $total_unmarked_amt+=$unmarked['total_dr_amount']; ?>
                    @endforeach

              </tbody>
            </table>
          
            <!-- Expense Totals -->
            <!-- Expense Totals -->
            <h3>Expense Summary</h3>
            <table class="expense-table">
                <thead>
                    <tr>
                        <th>Expense Type</th>
                        <th>Total Amount</th>
                    </tr>
                </thead>
                <tbody>
                    @if($ds->salary_amount > 0)
                    <tr>
                        <td>DRIVER SALARY</td>
                        <td>{{ $ds->salary_amount }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_dsl_diff_amount > 0)
                    <tr>
                        <td>FUEL DIFF</td>
                        <td>{{ $ds->total_dsl_diff_amount }}</td>
                    </tr>
                    @endif
            
                    @if($ds->balance_fuel_amt > 0)
                    <tr>
                        <td>FUEL BALANCE</td>
                        <td>{{ $ds->balance_fuel_amt }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_toll_expense > 0)
                    <tr>
                        <td>TOLL</td>
                        <td>{{ $ds->total_toll_expense }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_return_freight > 0)
                    <tr>
                        <td>RETURN FREIGHT</td>
                        <td>{{ $ds->total_return_freight }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_green_tax > 0)
                    <tr>
                        <td>FIX</td>
                        <td>{{ $ds->total_green_tax }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_diesel_amt > 0)
                    <tr>
                        <td>DRIVER DSL</td>
                        <td>{{ $ds->total_diesel_amt }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_toll > 0)
                    <tr>
                        <td>CASH TOLL</td>
                        <td>{{ $ds->total_toll }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_state_entry > 0)
                    <tr>
                        <td>STATE ENTRY</td>
                        <td>{{ $ds->total_state_entry }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_legal_exp > 0)
                    <tr>
                        <td>LEGAL</td>
                        <td>{{ $ds->total_legal_exp }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_food > 0)
                    <tr>
                        <td>FOOD</td>
                        <td>{{ $ds->total_food }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_maintainance > 0)
                    <tr>
                        <td>MAINTENANCE</td>
                        <td>{{ $ds->total_maintainance }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_parking > 0)
                    <tr>
                        <td>PARKING</td>
                        <td>{{ $ds->total_parking }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_dalla > 0)
                    <tr>
                        <td>DALLA</td>
                        <td>{{ $ds->total_dalla }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_other1 > 0)
                    <tr>
                        <td>{{ $ds->other1_label }}</td>
                        <td>{{ $ds->total_other1 }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_other2 > 0)
                    <tr>
                        <td>{{ $ds->other2_label }}</td>
                        <td>{{ $ds->total_other2 }}</td>
                    </tr>
                    @endif
            
                    @if($ds->total_other3 > 0)
                    <tr>
                        <td>{{ $ds->other3_label }}</td>
                        <td>{{ $ds->total_other3 }}</td>
                    </tr>
                    @endif
            
                    <tr class="total-row">
                        <td>Total</td>
                        <td>{{ $ds->driver_expense }}</td>
                    </tr>
                </tbody>
            </table>
            


          
            <!-- Profit/Loss -->
            <h3 class="text-center">Profit/Loss Summary</h3>
            <table class="table table-bordered">
              <thead>
                <tr>
                  <th>Particular</th>
                  <th>Amount</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>Total Freight</td>
                  <td>{{ $ds->total_freight }}</td>
                </tr>
                <tr>
                  <td>Hire Expense</td>
                  <td>{{ $ds->total_hire_freight }}   @if($ds->total_km>0) <span> ( {{ $ds->total_hire_freight/$ds->total_km }}/km ) </span> @endif </td>
                </tr>
                <tr>
                  <td>Fuel Expense</td>
                  <td>{{ $ds->total_fuel_expense }}  @if($ds->total_km>0) <span> ( {{ $ds->total_fuel_expense/$ds->total_km }}/km ) </span>  @endif </td>
                </tr>
                <tr>
                  <td>Fastag Expense</td>
                  <td>{{ $ds->fastag_amt }}  @if($ds->total_km>0) <span> ( {{ $ds->fastag_amt/$ds->total_km }}/km ) </span>  @endif </td>
                </tr>
                <tr>
                  <td>Driver Way Expense</td>
                  <td>{{ $ds->driver_expense }}  @if($ds->total_km>0) <span> ( {{ $ds->driver_expense/$ds->total_km }}/km ) </span>  @endif </td>
                </tr>
                <tr class="fw-bold" >
                  <td style="border-top: 2px solid black; font-weight:bold">Profit/Loss</td>
                  <td style="border-top: 2px solid black; font-weight:bold">{{ $ds->total_profit_loss }}</td>
                </tr>
              </tbody>
            </table>
        </div>
    </div>
</body>
</html>



