
@php

    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    $copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);

@endphp


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $gr->gr_number }}</title>
    
    <style>
    * {margin: 0; padding: 0; box-sizing: border-box;}
    :root {
    --color1: #000;
    --color2: #be0202;
    }
    ul li { list-style: none;}
    body {overflow-x: hidden;scroll-behavior: smooth;font-family: "Poppins", sans-serif;}
    .main_div { max-width: 1200px; width: 100%; margin: 0 auto;}
    .main_div table tr td{padding:0rem 0rem; }
    .main_stmp{position:relative;}
    .stmp_img{position:absolute; right:5%; top:0;}
    </style>


</head>
<body>
@php
$dynamic_fields = json_decode($gr->payment_dynamic_fields);
@endphp

<?php
$i = 0;

?>

@foreach($copies as $copy)

<?php
$i++;
?>

    <!---- main_div ---->
    <div class="main_div">
     <!---- top_heading ----->
      <div style="display: flex; justify-content: space-between; align-items: center;">
        <div style="width:20%;"><img src="img/logo.png" alt="_img" width="auto" height="100px"></div>
       <div style="text-align: center; width:60%;">
        <div style="font-size:1rem; font-weight: bold;"><u>CONSIGNMENT NOTE</u></div>
        <div style="font-size:0.9rem; font-weight: bold;">All disputes subject to Gurugram jurisdiction</div>
        <h1 style="font-size:1.7rem; font-weight: bold; margin-top:0.2rem; color: var(--color2);">{{ $company->company_name }}</h1>
        <p style="font-size:0.9rem; font-weight: bold;">Office Add.: {{$company->address1}} </p>
        <p style="font-size:0.9rem; font-weight: bold;">Registered Add.: {{$company->address2}} Contact:{{ $company->mob1 }}, 
        Email:{{ $company->email }}</p>
           <p style="font-size:0.9rem; font-weight: bold;"> Udhyam : {{ $company->cin }} </p>
           
       </div>
       <div style="text-align: center; width:20%;">
         <div style="font-size:0.9rem; font-weight: bold;">The Company is not responsible for Leakage Breakage & Damage of any Liquid items</div>
       </div> 
      </div>
      <!------ ------>
      <div style="display: flex; justify-content: space-between; margin-top:0.3rem; gap:1.5rem;">
       <!----- ------>
       <div style="width:30%;">
         <table border="1px" cellspacing="0px" cellpadding="0px" width="100%" style="height:100%;">
           <tr>
            <td style="font-size:0.9rem; font-weight: bold;" height="40px">Vehicle No. {{ $gr->vehicle_number }}</td>
           </tr>  
           <tr>
            <td style="font-size:0.9rem; font-weight: bold; border-bottom: 0; color: var(--color2);" align="center">CAUTION</td>
           </tr>
           <tr>
            <td style="font-size:0.75rem; font-weight: bold; border-top: 0; color: var(--color2);" align="center">
              This Consigment will not be detained, diverted, rerouted or re-bookes without Consignee Bank written permission.   
            </td>
           </tr>
           <tr>
            <td style="font-size:0.75rem; font-weight: bold; color: var(--color2);">In case consignment is seized and any penalty is imposed due to wrong declaration of goods, the party will be responsible themselves.</td>
           </tr>
         </table>
       </div> 
         <!----- ------>
         <div style="width:40%;">
          <table border="1px" cellspacing="0px" cellpadding="0px" width="100%" style="border-bottom: 0;
          border-left: 0; border-right: 0;">
            <caption style="font-size:1rem; font-weight: bold; margin-bottom:0.2rem;">INSURANCE AT OWNER'S RISK</caption>
            <tr>
             <td style="padding:0.5rem; border-left:2px solid var(--color1); border-bottom: 2px solid var(--color1); border-right:2px solid var(--color1);">
               <div style="font-size:0.9rem; font-weight: bold;">The Customer has stated that:-</div>
               <div style="display: flex; align-items: center; gap:0.5rem; margin-top:0.4rem;"><input type="checkbox" name="" id=""><span style="font-size:0.9rem; font-weight: bold;">he has not insured the consignment</span></div>
               <div style="font-size:0.9rem; font-weight: bold; text-align: center; margin-top:0.5rem;">OR</div>
               <div style="display: flex; align-items: center; gap:0.5rem; margin-top:0.4rem;"><input type="checkbox" name="" id=""><span style="font-size:0.9rem; font-weight: bold;">he has insured the consignment</span></div>
            </td>   
            </tr>
            <tr>
            <td style="border:0; padding-top:0.5rem; ">
            <div style="display: flex; gap:0.3rem;">
            <div style="width:20%; font-size:0.8rem; font-weight: bold;">Way Bill No                   </div>
               <div style="width:80%; border-bottom:1px dotted #000; height:20px; font-size:0.8rem; font-weight: bold;">
                    @foreach($gr->eway_details as $eway)
                            {{ isset($eway->eway_number) ? $eway->eway_number : '' }} ,        
                    @endforeach

                    Payment Term : {{ $gr->acc_party->party->payment_term }}
                </div>
            </div>  
            </td>  
            </tr>
          </table>  
         </div>
         <!----- ------>
         <div style="width:30%;">
            <table border="1px" cellspacing="0px" cellpadding="0px" width="100%" style="border-top: 0; border-left: 0; border-bottom: 0;">
              <tr>
               <td style="font-size:0.9rem; font-weight: bold; border-left: 0; border-top: 0; border-bottom: 0;" height="40px" width="20%" align="right">No</td> 
               <td style="font-size:0.9rem; font-weight: bold; border-top: 2px solid var(--color1); text-align:center">{{ $gr->gr_number }}</td>
              </tr>  
              <tr>
                <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-left: 0; border-bottom: 0;" height="40px" width="20%" align="right">Date</td> 
                <td style="font-size:0.9rem; font-weight: bold; border-top: 2px solid var(--color1); text-align:center">{{ formatDate($gr->gr_date) }}</td>
               </tr>  
               <tr>
                <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-left: 0; border-bottom: 0;" height="40px" width="20%" align="right">FROM</td> 
                <td style="font-size:0.9rem; font-weight: bold; border-top: 2px solid var(--color1); text-align:center">{{isset($gr['source']) ? $gr['source']->station_name :''}}</td>
               </tr>  
               <tr>
                <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-left: 0; border-bottom: 0;" height="40px" width="20%" align="right">TO</td> 
                <td style="font-size:0.9rem; font-weight: bold; border-top: 2px solid var(--color1); border-bottom: 2px solid var(--color1);  text-align:center">{{isset($gr['destination']) ? $gr['destination']->station_name:'' }}</td>
               </tr>   
            </table>   
         </div>
         
      </div>
      <!------ ------->
      <div style="display: flex; margin-top:0.5rem; gap:0.7rem;">
        <div style="width:50%;">
          <table width="100%" border="1px" cellspacing="0px" cellpadding="0px">
             <tr>
              <td style="font-size:0.9rem; font-weight: bold;">
                 <div style="display: flex; gap:0.3rem;">
                 <div style="width:96%; height:10px;"></div>
                 </div>
                 <div style="display: flex; gap:0.3rem;">
                 <div style="width:15%;">Consignor</div>
                 <div style="width:80%; border-bottom:1px solid var(--color1); height:20px;">{{isset($gr['consignor']) ? $gr['consignor']->party_name:'' }}</div>
                 </div>
                 <div style="display: flex; gap:0.3rem;">
                 <div style="width:96%; border-bottom:1px solid #000; height:16px;">{{isset($gr['consignor']) ? $gr['consignor']->address1 :''}} , {{isset($gr['consignor']) ? $gr['consignor']->city :''}} , {{isset($gr['consignor']) ? $gr['consignor']->state :''}} , {{isset($gr['consignor']) ? $gr['consignor']->pincode :''}}</div>
                 </div>
                 <div style="display: flex; gap:0.3rem;">
                 <div style="width:96%; border-bottom:1px solid #000; height:20px;"></div>
                 </div>
                <div style="display: flex; gap:0.3rem;">
                <div style="width:10%;">GSTIN</div>
                <div style="width:85%; border-bottom:1px solid var(--color1); height:20px;">{{isset($gr['consignor']) ? $gr['consignor']->gst_number:'' }}</div>
                </div>
                <div style="display: flex; gap:0.3rem;">
                <div style="width:96%; height:10px;"></div>
                </div>
              </td> 
             </tr>
          </table>
        </div>
        <div style="width:50%;">
         <table width="100%" border="1px" cellspacing="0px" cellpadding="0px">
            <tr>
             <td style="font-size:0.9rem; font-weight: bold;">
                 <div style="display: flex; gap:0.3rem;">
                 <div style="width:96%; height:10px;"></div>
                 </div>
                <div style="display: flex; gap:0.3rem;">
                <div style="width:15%;">Consignee</div>
                <div style="width:80%; border-bottom:1px solid #000; height:20px;">{{isset($gr['consignee']) ? $gr['consignee']->party_name:'' }}</div>
                </div>
                <div style="display: flex; gap:0.3rem;">
                <div style="width:96%; border-bottom:1px solid #000; height:16px;">{{ isset($gr['consignee']) ? $gr['consignee']->address1:'' }}, {{isset($gr['consignee']) ? $gr['consignee']->city :''}} , {{isset($gr['consignee']) ? $gr['consignee']->state :''}}</div>
                </div>
                <div style="display: flex; gap:0.3rem;">
                <div style="width:96%; border-bottom:1px solid #000; height:20px;"></div>
                </div>
                <div style="display: flex; gap:0.3rem;">
                <div style="width:10%;">GSTIN</div>
                <div style="width:85%; border-bottom:1px solid var(--color1); height:20px;">{{isset($gr['consignee']) ? $gr['consignee']->gst_number:'' }}</div>
                </div>
                <div style="display: flex; gap:0.3rem;">
                <div style="width:96%; height:10px;"></div>
                </div> 
             </td> 
            </tr>
         </table>
       </div>
       </div> 
      <!----- ----->
      <table width="100%" border="1px" cellspacing="0px" cellpadding="0px" style="margin-top: 0.3rem;
      text-align: center; border-bottom: 0;">
       <tr>
        <td style="font-size:0.9rem; font-weight: bold;">No. of Article</td>
        <td style="font-size:0.9rem; font-weight: bold;">DESCRIPTION (Said to contain)</td>
        <td style="font-size:0.9rem; font-weight: bold;">Actual Weight</td>
        <td style="font-size:0.9rem; font-weight: bold;">Charged Weight</td>
        <td style="font-size:0.9rem; font-weight: bold;">REMARKS</td>
       </tr>  
        @php
        $serial1 = 0;
        @endphp
        @foreach($gr->gr_desc as $desc_item)
       <tr>
        <td style="font-size:0.9rem; font-weight: bold;" height="25px" width="10%">{{$gr->total_pkg}}</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px" width="30%">{{isset($desc_item['material']) ? $desc_item['material']->material_name : '' }}</td> 
        <td style="font-size:0.9rem; font-weight: bold; border-bottom: 1px solid var(--color1);" height="25px" width="10%">{{$gr->total_material_weight}}</td> 
        <td style="font-size:0.9rem; font-weight: bold; border-bottom: 1px solid var(--color1);" height="25px" width="10%">{{$gr->total_chg_qty}}</td> 
        <td style="font-size:0.9rem; font-weight: bold; border-bottom: 0;" height="25px" width="10%"> {{$gr->remarks}}</td> 
       </tr>   
       @php $serial1++; @endphp
       @endforeach
      </table>
      <!------ ------->
      <table width="100%" border="1px" cellspacing="0px" cellpadding="0px" style="border-top: 0;">
        <tr>
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px" width="10%"></td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0; text-align:center" height="25px" width="30%">{{$gr->p_marka}}</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px" width="10%">Freight</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px" width="10%" align="center">
        @if($gr->pay_mode != 'TBB')
          {{ $gr->freight }}
        @endif
        </td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px" width="10%"></td> 
        </tr> 
        <tr>
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px">Hamali</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        </tr> 
        <tr>
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px">CN Charge</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        </tr> 
        <tr>
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px">Other Charge</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px">
        {{$gr->pay_mode == 'TBB' && isset(json_decode($gr->payment_dynamic_fields)->other) ? json_decode($gr->payment_dynamic_fields)->other : ''}}

        </td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        </tr> 
        <tr>
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px" colspan="2">
            <div style="display: flex; gap:0.3rem;">
                <div style="width:10%;">Value</div>
                <div style="width:85%; border-bottom:1px dotted #000; height:20px;">{{ isset($gr['gr_desc'][0]) ? $gr['gr_desc'][0]->invoice_value : '' }}</div>
                </div>   
        </td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px">GST</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px"></td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0; border-bottom: 0;" height="25px"></td> 
        </tr>     
        <tr>
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0;" height="25px" colspan="2">
            <div style="display: flex; gap:0.3rem;">
                <div style="width:25%;">Invoice No. & Date</div>
                <div style="width:70%; border-bottom:1px dotted #000; height:20px;">{{ isset($gr['gr_desc'][0]) ? $gr['gr_desc'][0]->invoice_number : '' }} , {{ isset($gr['gr_desc'][0]) ? formatDate($gr['gr_desc'][0]->invoice_date) : '' }}
</div>
                </div>
        </td>  
        <td style="font-size:0.9rem; font-weight: bold;" height="25px">GRAND TOTAL</td> 
        <td style="font-size:0.9rem; font-weight: bold;" height="25px" align="center">
          @if($gr->pay_mode != 'TBB')
          {{ $gr->grand_total }}
        @endif
        </td> 
        <td style="font-size:0.9rem; font-weight: bold; border-top: 0;" height="25px"></td> 
        </tr> 
      </table>
      <!------- -------->
      <div class="main_stmp">
        
       
      <table width="100%">
       <tr>
        <td style="font-size:0.9rem; font-weight: bold;" width="40%"></td>
        <td style="font-size:0.9rem; font-weight: bold;">GSTIN: {{$company->gst_number}}</td>
        <td style="font-size:0.9rem; font-weight: bold;" align="right">For {{$company->company_name}}</td>
       </tr>
       
        <tr>
        <td colspan="3" style="font-size:0.6rem; font-weight: bold;" width="40%">
            <p>Delivery timeline - as per the e-way bill </p>
            <p>Any break down in the vehicle will be notified </p>
        </td>
       </tr>
       
       <tr>
        <td style="font-size:0.9rem; font-weight: bold;">List of Services we rendered</td>
        <td colspan="2" width="50%"></td>
       </tr>
       <tr>
        <td style="font-size:0.9rem; font-weight: bold;" colspan="3">#Full truck/container/trailer/tanker load service from Delhi Ncr to pan India And pan India to Delhi Ncr.</td>
       </tr>
       <tr>
        <td style="font-size:0.9rem; font-weight: bold; padding-top: 15px;" colspan="3" align="right">Signature of Booking Officer</td>
       </tr>
      </table>
      
      @if ($company->company_name == 'BHAGYALAKSHMI TRANSPORT')
        <div class="stmp_img">
            <img src="{{ asset('img/blt_stamp.png') }}" alt="_img" width="auto" height="100px" style="padding-top: 5px;">
        </div>
     @else
        <div class="stmp_img">
            <img src="{{ asset('img/stmp.png') }}" alt="_img" width="auto" height="100px" style="padding-top: 5px;">
        </div>
     @endif

      </div>
    </div>

<?php
if($i%1==0 && isset($copies[$i])){
echo '<div style="page-break-before: always;"></div>';
}
?>

@endforeach

</body>
</html>