
@php

    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    $copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title></title>
    
    <!-- font-family cdn link --> 
    <link href="https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Engagement&family=Fasthand&family=Pacifico&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Vampiro+One&display=swap" rel="stylesheet">

    <style>
    *{margin: 0; padding:0; box-sizing: border-box;}
    ul li{list-style: none;}
    body{overflow-x: hidden; scroll-behavior: smooth; font-family: "Poppins", sans-serif;}
    .main_div{max-width:1200px; width:100%; margin: 0 auto; }
    .bottom_p tr td{padding: 0 0.4rem; }
    
.table {
  border-collapse: separate;
  border-spacing: 0;
}

.table td, th {
  padding: 0.0rem 5px;
  line-height: 140%;
}
 .able th, td {
  border-bottom: 1px solid #000;
  border-right: 1px solid #000; 
}

.table tr td {
  border-left: 1px solid #000;
}

.table tr td {
  border-top: 1px solid #000;
}

.table tr:first-child td:first-child {
  border-top-left-radius: 0.4rem;
}

.table tr:first-child td:last-child {
  border-top-right-radius: 0.4rem;
}

.table tr:last-child td:first-child {
  border-bottom-left-radius: 0.4rem;
}

.table tr:last-child td:last-child {
  border-bottom-right-radius: 0.4rem;
}
    </style>

</head>
<body>
{

<!--{{$company}}-->
    <div class="main_div">
      <!-- top-heading -->  
      <div class="top_header" style="display: flex; align-items: center;">
        <div class="logo" style="width:20%;"></div>  
        <div style="text-align: center; width:60%;">
            <span style="display: block; line-height: 120%;"><u>Subject to Delhi Jurisdiction only</u></span>
            <h1 style="font-size: 2rem; line-height: 110%; letter-spacing: 0.4rem; color:#007ac6;">
             <u><span style="letter-spacing:0.8rem;"></span>  {{ $company->company_name }} </u></h1>
            <h3 style="font-size: 1rem; line-height:100%;">
                 {{ $company->company_caption }} 
                </h3>
         </div>
     </div>
     <!-- address -->
     <div class="address_div" style="display: flex; align-items: center; margin-top:0.1rem;">
      <address style="text-align: center; width:80%; border:1px solid #000;
      box-shadow:4px 4px 1px 1px #000;
      border-radius:0.5rem; padding:0rem 1rem; font-size:0.9rem; line-height:120%;">Head Office:
      {{$company->address1}}
      <!--BG233,1st Floor, Sanjay Gandhi Transport Nagar, Delhi-110042 -->
      Ph.:
      {{$company->mob1}}
      {{$company->mob2}}
      {{$company->mob3}}
      
      </address> 
      <div style="width:30%;"></div>  
     </div> 
      <!-- table-div -->
      <div class="table_div" style="margin-top: 0.5rem; display: flex; gap:0.4rem;">
        <!-- first -->
        <div style="width:35%;">
            <table class="table" width="100%" height="40%" style="text-align: center;">
              <tr>
                <td style="width: 50%;">TO PAY</td>
                 <td>PAID/TO BE BILLED</td>
               </tr>
               <tr>
                <td><br></td>
                <td><br></td>
               </tr>
            </table> 
            <!-- GST NO -->
            <div>
             <span>GST.No</span>  
             <table width="100%" class="table"  height="40px" style="text-align: center;">
                <tr>
                    <td> {{$company->gst_number}}</td>
                  <!--<td>0</td> -->
                  <!--<td>6</td>  -->
                  <!--<td>A</td> -->
                  <!--<td>F</td> -->
                  <!--<td>U</td> -->
                  <!--<td>P</td> -->
                  <!--<td>G</td> -->
                  <!--<td>2</td> -->
                  <!--<td>4</td> -->
                  <!--<td>7</td> -->
                  <!--<td>7</td> -->
                  <!--<td>E</td>-->
                  <!--<td>1</td> -->
                  <!--<td>Z</td>-->
                  <!--<td>A</td>   -->
                </tr>
             </table> 
            </div>  
            <!-- PAN NO -->
            <div>
                <span>PAN.No</span>  
                <table class="table" width="100%"  height="40px" style="text-align: center;">
                   <tr>
                        {{ $company->pan_number  }}
                       
                     <!--<td>A</td> -->
                     <!--<td>F</td>  -->
                     <!--<td>U</td> -->
                     <!--<td>P</td> -->
                     <!--<td>G</td> -->
                     <!--<td>2</td> -->
                     <!--<td>4</td> -->
                     <!--<td>7</td> -->
                     <!--<td>7</td> -->
                     <!--<td>E</td>    -->
                   </tr>
                </table> 
               </div>  
        </div>
        <!-- middle-->
         <div style="width:40%;">
           <table width="100%" class="table">
            <tr>
              <td style="text-align: center;">AT OWNER RISK</td>  
            </tr>
            <tr>
              <td style="text-align: center;">INSURANCE</td>  
            </tr>
              <tr>
                <td style="border-top: 0; border-bottom: 0; font-size:0.85rem;">The customer has stated that</td>
              </tr>
              <tr>
                <td style="border-top: 0; border-bottom: 0; font-size:0.85rem;">he has not insured the consignment</td>
              </tr>
              <tr>
                <td style="border-top: 0; border-bottom: 0; font-size:0.85rem;">OR</td>
              </tr>
              <tr>
                <td style="border-top: 0; border-bottom: 0; font-size:0.85rem;">he had insured the consignment</td>
              </tr>
               <tr>
                <td style="border-top: 0; border-bottom: 0;">
                    <div style="font-size: 0.9rem; display: flex; align-items: end;">
                        <div style="min-width:10%; font-size:0.85rem;">Company</div><div style="width:80%; border-bottom:1px solid #000;"></div></div>
                        <div style="font-size: 0.9rem; display: flex; align-items: end;">
                         <div style="width:20%; font-size:0.85rem;">Policy No</div><div style="width:20%; border-bottom:1px solid #000;"></div><div style="width:10%; font-size:0.85rem;">Dated</div><div style="min-width:48%; border-bottom:1px solid #000;"></div></div>
                        <div style="font-size: 0.9rem; display: flex; margin-bottom:0.5rem; align-items: end;">
                    <div style="min-width:10%; font-size:0.85rem;">Amount</div><div style="width:20%; border-bottom:1px solid #000;"></div><div style="width:10%; font-size:0.85rem;">Risk</div><div style="width:53%; border-bottom:1px solid #000;"></div></div> 
                </td>
               </tr>
              <tr>
                <td><br></td>
              </tr>
           </table> 
         </div>
         <!-- last -->
         <div style="min-width:25%;">
           <table class="table" width="100%" height="100%">
            <tr>
              <td height="50px">Date:
               {{ formatDate($gr->gr_date) }}
              </td>
              
            </tr>
            <tr>
              <td style="font-size:1rem; font-weight: bold;" valign="top">C.N.No.:
               {{ $gr->gr_number }} 
              </td>  
            </tr>
            <tr>
              <td style="font-size:1rem; font-weight: bold;" valign="top">LORRY No:
              {{$gr->vehicle_number}}
              </td>  
            </tr>
           </table> 
         </div> 
      </div>  
      <!-- form-div -->
      <div class="form_div" style="margin-top:0.3rem;"> 
        <div style="display:flex; align-items: center; justify-content: space-between;">
         <div style="width:65%;">
            <table width="100%">
                <tr>
                 <td style="border-bottom:1px solid #000; width:50%;
                 border-right:0;">Consignor.s Name and Address</td>   
                 <td style="border-bottom:1px solid #000; width:50%;
                 border-right:0;">
                     
                      {{ $gr->consignor?$gr->consignor['party_name']:$gr->party_name }} 
                      {{$gr-> consignor_address}}
                 </td>
                </tr>
                <tr>
                  <td style="border-bottom:1px solid #000; width:50%;
                 border-right:0;">GST No. Consignor's ................................</td>   
                   <td style="border-bottom:1px solid #000; width:50%;
                 border-right:0;">
                {{ $gr->consignor_gst_number }}
                   </td>
                 </tr>
               <tr>
                <td style="border-bottom:1px solid #000; width:50%;
                 border-right:0;">Consignee Name and Address</td>
                <td style="border-bottom:1px solid #000; width:50%;
                 border-right:0;">
                    {{$gr->consignee?$gr->consignee['party_name']:$gr->consignee_name}}
                     {{ $gr->consignee_address }}
                </td>
               </tr>  
               <tr>
                <td style="border-right:0;">GST No. Consignor's ................................  </td>   
                 <td style="border-bottom:1px solid #000; width:50%;
               border-right:0;">
                     {{ $gr->consignee_gst_number }}
                 </td>
               </tr>
              
             </table>
         </div>
         <div style="width:32%;">
          <table class="table" width="100%">
           <tr>
            <td style="border:0;">From</td>
            <!--<td>{{ $gr->source?$gr->source['station_name']:$gr->source_name }}</td>-->
           </tr>
            <tr>
              <td style="border-radius:0.5rem; height:30px;">
                  {{ $gr->source?$gr->source['station_name']:$gr->source_name }}
                  <br></td>  
            </tr>
            <tr>
             <td style="border:0;">To</td>   
            </tr>
              <tr>
               <td style="border-radius:0.5rem; height:30px;">
                    {{ $gr->destination?$gr->destination['station_name']:$gr->destination_name }}
                   <br></td>  
              </tr>
          </table>
         </div>
        </div> 
      </div> 
      <!-- table div -->
       <table class="table" width="100%" style="margin-top: 0.1rem;">
           
        <tr style="text-align: center;">
            
            
            <td rowspan="2" style="vertical-align: middle;">Packages</td> 
            <td rowspan="2" style="vertical-align: middle;">Said to Contain</td> 
            <td colspan="2" style="vertical-align: middle;">Weight</td>
            <td rowspan="2" style="vertical-align: middle;">Rate</td>
            <td rowspan="2" style="vertical-align: middle;">Amount to Pay/Paid Rs</td>
            <td rowspan="2" style="vertical-align: middle;">P.</td>
        </tr>
        <tr>
            <td style="vertical-align: middle;">Actual</td>
            <td style="vertical-align: middle;">Charged</td>
        </tr>
        <tr>
            @foreach($gr->gr_desc as $desc_item)

                           
            <td style="border-top: 0; border-bottom: 0; text-align:center">
                {{ $desc_item->pkg }}
            </td>
            <td style="border-top: 0; border-bottom: 0; text-align:center">
                {{ $desc_item->material?$desc_item->material['material_name']:'' }}
            </td>
            <td>{{ $desc_item->material_weight }}</td> 
            <td>{{ $desc_item->chg_qty }}</td>
             @endforeach
            <td>Freight </td> 
            <td style="text-align:right">
            
                 @php
                        if ($gr->pay_mode != 'TBB') {
                        $freight_parts = explode('.', $gr->freight);
                        echo isset($freight_parts[0]) ? $freight_parts[0] : '';
                                    }
                @endphp
            </td>
            <td>
                @php
                     if ($gr->pay_mode != 'TBB') {
                     $freight_parts = explode('.', $gr->freight);
                    echo isset($freight_parts[1]) ? $freight_parts[1] : '';
                                    }
                 @endphp
            </td>
            
        </tr>
        <tr>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td></td> 
            <td></td>
            <td>Hamali</td> 
            <td>
                
    
            </td>
            <td></td>
        </tr>
        <tr>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td></td> 
            <td></td>
            <td>Risk Ch.</td> 
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td></td> 
            <td></td>
            <td>St.Ch.</td> 
            <td style="text-align: right;"></td>
            <td></td>
        </tr>
        <tr>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td></td> 
            <td></td>
            <td>Door Delivery Charges</td> 
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td style="border-top: 0; border-bottom: 0;"></td>
            <td>
              <div style="display: flex; justify-content: space-between;">
                <div style="border-right:1px solid #000; width:50%;">INV.No</div>
                <div style="width:50%; text-align: right;">Date</div>
              </div>
            </td> 
            <td>Bulky</td> 
            <td>Extra Bulky</td> 
            <td>...........</td> 
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td style="border-top: 0;"></td>
            <td>
              <div style="display: flex; justify-content: space-between;">
                <div style="border-right:1px solid #000; width:50%;">
   @if(isset($gr->gr_desc))
                                                @foreach($gr->gr_desc as $desc_item)
                                                  {{ $desc_item->invoice_number??'' }} &nbsp; &nbsp; 
                                            @endforeach
                                        @endif
                </div>
                <div style="width:50%; text-align: right;">
                     @if(isset($gr->gr_desc))
                                                @foreach($gr->gr_desc as $desc_item)
                                                {{ formatDate($desc_item->invoice_date) }}
                                                 
                                            @endforeach
                                        @endif
                </div>
              </div>
            </td> 
            <td></td> 
            <td></td> 
            <td>Grand Total</td> 
            <td style="text-align:right">
                 @php
                        if ($gr->pay_mode != 'TBB') {
                        $total_parts = explode('.', $gr->grand_total);
                        echo isset($total_parts[0]) ? $total_parts[0] : '';
                                    }
                @endphp
                <!--{{$gr->grand_total }}-->
                </td>
            <td>
                @php
                        if ($gr->pay_mode != 'TBB') {
                        $total_parts = explode('.', $gr->grand_total);
                        echo isset($total_parts[1]) ? $total_parts[1] : '';
                                    }
                @endphp  
            </td>
        </tr>
    </table>
    
       <!---->
      <table width="100%">
      <tr>
        <td style="border:0;">customer satisfaction is our motto</td>
        <td style="border:0; font-size: 1rem; font-weight: bold;">H.O. Copy</td>
        <td style="font-size:1.2rem; color: #007ac6; border:0; font-weight: bold; float: right;">For <span style="letter-spacing: 0.4rem;
        ">LG</span> LOGISTICS</td>
      </tr>  
      </table>   
    </div>
    
</body>
</html>