@php

    

function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>jk Amanganj bill</title>
    
    <style>
    *{margin: 0; padding:0; box-sizing: border-box;}
    :root{
    --color1:#000;
    }
    ul li{list-style: none;}
    body{overflow-x: hidden; scroll-behavior: smooth; font-family: "Poppins", sans-serif;}
    .main_div{max-width:1200px; width:100%; margin: 0 auto; border:2px solid var(--color1);}
    .middle_div table tr td{font-size:0.8rem; padding:0.1rem; height:20px;} 
    .bottom_div table tr th, tr td{font-size:0.8rem; padding:0rem 0.3rem; } 
    </style>

</head>
<body>
<!--{{$bill}}-->
    <div class="main_div">
    <!-- top_header -->
    <div class="top_header" style="text-align: center;">
    <h6 style="font-size:0.8rem; border-bottom: 2px solid var(--color1); padding:0.1rem 0;">TEX INVOICE</h6>
    <h1 style="font-size:2.8rem; margin-top:0.2rem;">{{$company->company_name}}</h1>
    <div>
        <h5 style="font-size:0.75rem;">{{$company->address1}}</h5> 
        <h5 style="font-size:0.75rem; padding:0.1rem 0;">PAN: {{$company->pan_number}}&nbsp;&nbsp;&nbsp; GSTN:{{ $company->gst_number }}&nbsp;&nbsp;&nbsp; STATE: {{ $company->state }}&nbsp;&nbsp;&nbsp;  STATE CODE: {{ substr($company->gst_number,0,2) }}</h5>
        <h5 style="font-size:0.75rem;">WHETHER TAX IS PAYBLE UNDER REVERSE CHARGE MECHANISIM : - NO</h5>
        <h5 style="font-size:0.75rem; padding:0.1rem 0; 
        border-top:2px solid var(--color1); border-bottom:2px solid var(--color1);"><u>TRANSPORTATION FREIGHT BILL</u></h5> 
    </div>
    </div>   
    <!--- --->
    <div class="middle_div">
     <table width="100%">
      <tr>
       <td height="10px"></td>
       <td height="10px"></td>
       <td height="10px"></td> 
      </tr>  
      <tr>
       <td>Consignor / Bill To</td> 
       <td>Bill No. :</td>
       <td>{{ $bill->bill_number }}</td>
      </tr>  
      <tr>
       <td style="font-weight:bold; font-size:0.95rem;">{{ $bill->acc_party['party']['party_name'] }}</td>
       <td></td>
       <td></td> 
      </tr>
      <tr>
       <td>(WHOLLY OWNED SUBSIDIARY OF JK CEMENT LTD.)</td> 
       <td>Date :</td>
       <td>{{ formatDate($bill->bill_date) }}</td>
      </tr>
      <tr>
        <td>{{ $bill->acc_party['party']['address1'] }}</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <td>DISTRICT:{{ $bill->acc_party['party']['state'] }}</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <td style="font-weight:bold;">GSTIN:- {{ $bill->acc_party['party']['gst_number'] }}</td>
        <td></td>
        <td></td>
      </tr>
      <tr>
        <td style="font-weight:bold;">Sac Code : 996791</td>
        <td></td>
        <td></td>
      </tr>
     </table>   
    </div>
    <div class="bottom_div">
        <table border="1px" cellspacing="0px" cellpadding="0px" style="text-align: center;">
            <thead>
                <tr>
                    <th height="50px" style="border-left: 0;">SrNo</th>
                    <th height="50px">Consignee</th>
                    <th height="50px">Destination</th>
                    <th height="50px">Vehicle No</th>
                    <th height="50px">LR No</th>
                    <th height="50px" width="8%">ELR NO.</th>
                    <th height="50px">Invoice No</th>
                    <th height="50px">Disp.Date</th>
                    <th height="50px">Delv. Date</th>
                    <th height="50px">Bag Ld.</th>
                    <th height="50px">Bag U/L</th>
                    <th height="50px">QTY (MT)</th>
                    <th height="50px">Rate/MT</th>
                    <th height="50px">Freight</th>
                    <th height="50px">Bag SH.</th>
                    <th height="50px">UNLD</th>
                    <th height="50px" style="border-right: 0;">GRN No.</th>
                </tr>
            </thead>
            <tbody>
        <?php
          $serial = 1;
         $total_chg_qty = 0;
         $total_without_gst =0;
         $total_rows=17;
          ?>
                
                @foreach($bill->bill_desc as $bill_desc)
          <tr>
            <td style="border-left:0;">{{ $serial++; }}</td>
            <td>{{ $bill_desc['consignee'] ['party_name'] }}</td>
            <td>{{ $bill_desc['destination'] ['station_name'] }}</td>
            <td>{{ $bill_desc['vehicle']?$bill_desc['vehicle']['vehicle_number']:'' }}</td>
             <td>{{ $bill_desc['gr_number'] }}</td>
             <td></td>
         
            <td> 
              @if(isset($bill_desc['bookGr']['gr_desc']))
                            @foreach($bill_desc['bookGr']['gr_desc'] as $invoice)
                                {{ $invoice['invoice_number'] }} &nbsp;
                            @endforeach
              @endif
            </td>
            
           <td>
                @if(isset($bill_desc['bookGr']['challan_desc'][0]['challan']['challan_date']))
                    {{ $bill_desc['bookGr']['challan_desc'][0]['challan']['challan_date'] }}
                
                @endif
            </td>

           
             
              <td>{{ $bill_desc['pod_date'] }}</td>


           
           
            <td>{{$bill_desc['gr_desc']? (isset($bill_desc['gr_desc'][0])?$bill_desc['gr_desc'][0]->pkg:'' ):''}}</td>
            <td>{{$bill_desc['gr_desc']? (isset($bill_desc['gr_desc'][0])?$bill_desc['gr_desc'][0]->pkg:'' ):'' }}</td>
            <td>{{ $bill_desc['bookGr']['total_chg_qty'] }}  <?php $total_chg_qty+=$bill_desc['bookGr']['total_chg_qty']; ?></td>
            <!--<td >{{ $bill_desc['bookGr']['total_chg_qty'] }}<?php $total_chg_qty+=$bill_desc['bookGr']['chg_qty']; ?></td>-->
            <td>{{ $bill_desc['gr_desc']? (isset($bill_desc['gr_desc'][0])?$bill_desc['gr_desc'][0]->rate:'' ):'' }}</td>
            <td>{{ $bill['total_without_gst']}}<?php $total_without_gst+=$bill['total_without_gst']; ?></td>
            <td></td>
            <td></td>
            <td></td>
          </tr>  

@endforeach

  
  
   @for($j=1; $j<=$total_rows-$bill->bill_desc->count(); $j++)



          <tr>
            <td style="border-left:0;">{{ $serial++ }}</td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr> 

          @endfor
                <!--<tr>-->
                <!--    <td height="50px" style="border-left: 0;">1</td>-->
                <!--    <td height="50px" style="text-align: left;">MS AKASH TRADERS</td>-->
                <!--    <td height="50px">SATNA</td>-->
                <!--    <td height="50px">MP34H0225</td>-->
                <!--    <td height="50px">416</td>-->
                <!--    <td height="50px">SSRL-24/503</td>-->
                <!--    <td height="50px">3387048521</td>-->
                <!--    <td height="50px">25/10/2023</td>-->
                <!--    <td height="50px">26.10.2023</td>-->
                <!--    <td height="50px">500</td>-->
                <!--    <td height="50px">500</td>-->
                <!--    <td height="50px">25</td>-->
                <!--    <td height="50px">617</td>-->
                <!--    <td height="50px">15,425.00</td>-->
                <!--    <td height="50px">0.00</td>-->
                <!--    <td height="50px">900</td>-->
                <!--    <td height="50px" style="border-right: 0;">0</td>-->
                <!--</tr>-->
             
              
                <tr>
                  <td height="20px" colspan="11" style="border-left: 0; font-weight: bold;">Total:--</td>  
                  <td height="20px" style="font-weight: bold;">{{ number_format($total_chg_qty, 3) }}</td>
                  <td height="20px"></td>
                  <td height="20px" style="font-weight: bold;"> {{ number_format($total_without_gst, 3) }}</td>
                  <td height="20px" style="font-weight: bold;"></td>
                  <td height="20px"></td>
                  <td height="20px" style="border-right: 0;"></td>
                </tr>
                <tr>
                  <td height="20px" colspan="10" style="border-bottom: 0; border-left: 0;"></td>
                  <td height="20px" colspan="3" style="font-weight: bold;">CGST <?php echo intval($bill->cgst_percent); ?>%</td>
                  <td height="20px" style="font-weight: bold;">{{ $bill->total_cgst_amount }}</td>  
                  <td height="20px" colspan="3" style="border-right: 0; border-bottom: 0;"></td>
                </tr>
                <tr>
                    <td height="20px" colspan="10" style="border-top: 0; border-bottom: 0; border-left: 0; font-weight: bold;">Declaration:-  GST of Freight as Applicable Will be Charged and Paid by SHIV SHAKTI ROAD LINES</td>
                    <td height="20px" colspan="3" style="font-weight: bold;">SGST <?php echo intval($bill->cgst_percent); ?>%</td>
                    <td height="20px" style="font-weight: bold;">{{ $bill->total_cgst_amount }}</td>  
                    <td height="20px" colspan="3" style="border-right: 0; border-top: 0; border-bottom: 0;"></td>
                  </tr>
                  <tr>
                    <td height="20px" colspan="10" style="border-top: 0; border-bottom: 0; border-left: 0;"></td>
                    <td height="20px" colspan="3" style="font-weight: bold;">IGST <?php echo intval($bill->igst_percent); ?>%</td>
                    <td height="20px" style="font-weight: bold;">{{ $bill->total_igst_amount }}</td>  
                    <td height="20px" colspan="3" style="border-right: 0; border-bottom: 0; border-top: 0;"></td>
                  </tr>
                  <tr>
                    <td height="20px" colspan="10" style="border-top: 0; border-left: 0;"></td>
                    <td height="20px" colspan="3" style="font-weight: bold;">Total</td>
                    <td height="20px" style="font-weight: bold;">{{ $bill->grand_total_amount }}</td>  
                    <td height="20px" colspan="3" style="border-right: 0; border-top: 0;"></td>
                  </tr>
                  <tr>
                    <td height="20px" colspan="2" style=" border-left: 0; font-weight: bold;">RUPEES IN WORD :-</td>
                    <td height="20px" colspan="15" style="border-right: 0; text-align: left; font-weight: bold;"> <?php echo numberToWords($bill->grand_total_amount) ?> only.</td>
                  </tr>
                  <tr>
                    <td colspan="17" height="20px" style="border-bottom: 0; border-left: 0; border-right: 0;"></td>
                  </tr>
                  <tr>
                    <td colspan="17" height="50px" style="text-align: right; border: 0; font-weight: bold;"> For {{$company->company_name}}</td>
                  </tr>
                  <tr>
                    <td colspan="17" height="20px" style="border: 0;"></td>
                  </tr>
                  <tr>
                    <td colspan="17" height="20px" style="border: 0;"></td>
                  </tr>
                  <tr>
                    <td colspan="17" height="30px" style="text-align: right; border:0; font-weight: bold;">Authorised Signatory</td>
                  </tr>
            </tbody>
        </table>
           
    </div>
    <!--- --->
    </div>

    
</body>
</html>