
@php

    

function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>jk shankarghar</title>
   
    <style>
    *{margin: 0; padding:0; box-sizing: border-box;}
    :root{
    --color1:#000;
    }
    ul li{list-style: none;}
    body{overflow-x: hidden; scroll-behavior: smooth; font-family: "Poppins", sans-serif;}
    .main_div{max-width:1200px; width:100%; margin: 0 auto; border:2px solid var(--color1);}
    .middle_div table tr td{ padding:0.3rem 0.1rem;}
    .bottom_div2 table tr th, tr td{font-size:0.8rem; padding:0.5rem 0.1rem;} 
    </style>

</head>
<body>
<!--{{$company}}-->
<!--{{$bill}}-->
    <!-- main_div-->
    <div class="main_div">
       <!-- top_header -->
       <div class="top_header" style="text-align: center;">
        <h6 style="font-size:0.7rem; border-bottom: 2px solid var(--color1);">TEX INVOICE</h6>
        <h1 style="font-size:2.6rem; margin:0.25rem 0;">{{$company->company_name}}</h1>
        <div>
          <h5 style="font-size:0.7rem;">HEAD OFFICE:- {{$company->address1}} MOB:- {{$company->mob1}}</h5>  
          <h5 style="font-size:0.7rem; padding:0.1rem 0; border-top:2px solid var(--color1); border-bottom:2px solid var(--color1);">TRANSPORTATION FREIGHT BILL (Basic) : CEMENT - BARA, PRAYAGRAJ</h5> 
        </div>
      </div>
      <!---- ---->
     <div class="middle_div">
      <table width="100%">
       <tr>
        <td></td>
       </tr> 
       <tr>
         <td style="font-weight: bold; font-size: 1rem;">Sap Code :220000137</td>
         <td style="font-weight: bold; font-size: 1rem;" width="10%">Bill No. :-</td>
         <td style="font-weight: bold; font-size: 1rem;">{{ $bill->bill_number }}</td>
       </tr>
       <tr>
        <td></td>
        <td style="font-weight: bold; font-size: 1rem;">Date :-</td>
        <td style="font-weight: bold; font-size: 1rem;">{{ formatDate($bill->bill_date) }}</td>
       </tr>
       <tr>
        <td style="font-weight: bold; font-size: 1.1rem;">{{ $bill->acc_party['party']['party_name'] }}</td>
        <td style="font-weight: bold; font-size: 1rem;">PAN No. :-</td>
        <td style="font-weight: bold; font-size: 1rem;">{{ $bill->acc_party['party']['pan_number'] }}</td>
       </tr>
       <tr>
        <!--<td style="font-size:0.9rem;">Khasra No. 441,448,450,451,</td>-->
        <td style="font-weight: bold; font-size: 1rem;">GSTIN No. :-</td>
        <td style="font-weight: bold; font-size: 1rem;">{{ $bill->acc_party['party']['gst_number'] }}</td>
       </tr>
       <tr>
        <td style="font-size:0.9rem;">Village- {{ $bill->acc_party['party']['address1'] }}, Tehsil-  {{ $bill->acc_party['party']['address2'] }} </td>
        <td style="font-weight: bold; font-size: 1rem;">Status  :-</td>
        <td style="font-weight: bold; font-size: 1rem;">Proprietor</td>
       </tr>
       <tr>
        <td style="font-weight: bold; font-size: 0.9rem;">GSTIN No. :{{$company->gst_number}} </td>
        <td></td>
        <td></td>
       </tr>
       <tr>
        <td style="font-weight: bold; font-size: 0.9rem;">SAC Code : 996511   GTA Services</td>
       </tr>
      </table>
      </div>
      <!-- bottom_div -->
      <div class="bottom_div2">
      <table border="1px" cellspacing="0px" cellpadding="0px" style="text-align: center;">
        <thead>
          <tr>
            <th height="45px" style="border-left: 0;">SrNo</th>
            <th height="45px" width="50%">Consignee</th>
            <th height="45px">DISTRICT DESCRIPTION</th>
            <th height="45px" width="20%">City</th>
            <th height="45px">Invoice no</th>
            <th height="45px" width="20%">GNR NO.</th>
            <th height="45px">Vehicle no</th>
            <th height="45px" width="5%">LR No</th>
            <th height="45px">Disp. Date</th>
            <th height="45px">Disp. Bags</th>
            <th height="45px">Unload Bags</th>
            <th height="45px">Qty/MT</th>
            <th height="45px">Rate/MT</th>
            <th height="45px">Freight (A)</th>
            <th height="45px">Freight (B)</th>
            <th height="45px">Total Freight</th>
            <th height="45px" style="border-right: 0;">Bags<br/>SH</th>
          </tr>
        </thead>
        <tbody>
             <?php
          $serial = 1;
         $total_chg_qty = 0;
         $total_without_gst =0;
         $total_rows=17;
          ?>
                
                @foreach($bill->bill_desc as $bill_desc)
          <tr>
            <td style="border-left:0;">{{ $serial++; }}</td>
            <td>{{ $bill_desc['consignee'] ['party_name'] }}</td>
             <td>{{ $bill_desc['district'] ['station_name'] }}</td>
            <td>{{ $bill_desc['destination'] ['station_name'] }}</td>
         
            <td> 
              @if(isset($bill_desc['bookGr']['gr_desc']))
                            @foreach($bill_desc['bookGr']['gr_desc'] as $invoice)
                                {{ $invoice['invoice_number'] }} &nbsp;
                            @endforeach
              @endif
            </td>
            <td></td>
            <td>{{ $bill_desc['vehicle']?$bill_desc['vehicle']['vehicle_number']:'' }}</td>
            <td>{{ $bill_desc['gr_number'] }}</td>
            
            
              <td>{{ $bill_desc['pod_date'] }}</td>
           
            <td>{{$bill_desc['gr_desc']? (isset($bill_desc['gr_desc'][0])?$bill_desc['gr_desc'][0]->pkg:'' ):''}}</td>
            <td>{{$bill_desc['gr_desc']? (isset($bill_desc['gr_desc'][0])?$bill_desc['gr_desc'][0]->pkg:'' ):'' }}</td>
            
            <td>{{ $bill_desc['bookGr']['total_chg_qty'] }}  <?php $total_chg_qty+=$bill_desc['bookGr']['total_chg_qty']; ?></td>
            <!--<td >{{ $bill_desc['bookGr']['total_chg_qty'] }}<?php $total_chg_qty+=$bill_desc['bookGr']['chg_qty']; ?></td>-->
            <td>{{ $bill_desc['gr_desc']? (isset($bill_desc['gr_desc'][0])?$bill_desc['gr_desc'][0]->rate:'' ):'' }}</td>
            <td>{{ $bill['total_without_gst']}}<?php $total_without_gst+=$bill['total_without_gst']; ?></td>
            <td></td>
            <td> {{ $bill['total_without_gst']}}<?php $total_without_gst+=$bill['total_without_gst']; ?></td>
            <td></td>
          </tr>  

@endforeach

@for($j=1; $j<=$total_rows-$bill->bill_desc->count(); $j++)



          <tr>
            <td style="border-left:0;">{{ $serial++ }}</td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
          </tr> 

          @endfor

  
          <!--<tr>-->
          <!--  <td height="45px" style="border-left: 0;">2</td>-->
          <!--  <td height="45px" style="text-align: left;">SATYAPRAKASH PATEL & SONS</td>-->
          <!--  <td height="45px" style="text-align: left;">JAUNPUR</td>-->
          <!--  <td height="45px" style="text-align: left;">JAUNPUR</td>-->
          <!--  <td height="45px">3386385298</td>-->
          <!--  <td height="45px">SSRL-25/91</td>-->
          <!--  <td height="45px">UP70HT4591</td>-->
          <!--  <td height="45px">91</td>-->
          <!--  <td height="45px">15/07/2024</td>-->
          <!--  <td height="45px">600</td>-->
          <!--  <td height="45px">600</td>-->
          <!--  <td height="45px">30</td>-->
          <!--  <td height="45px">673</td>-->
          <!--  <td height="45px">20190.00</td>-->
          <!--  <td height="45px">0</td>-->
          <!--  <td height="45px">20190.00</td>-->
          <!--  <td height="45px" style="border-right: 0;">0</td>-->
          <!--</tr>-->
         
          <tr>
           <td height="35px" colspan="11" style="border-left: 0;">Total->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>></td>
           <td height="35px">{{ number_format($total_chg_qty, 3) }}</td>
           <td height="35px" colspan="3"></td> 
           <td height="35px"></td>
           <td height="35px" style="border-right: 0;"></td>
          </tr>
          <tr>
           <td height="35px" colspan="13" style="border-bottom: 0; border-left: 0;"></td>
           <td height="35px" colspan="2">CGST <?php echo intval($bill->cgst_percent); ?>%</td> 
           <td height="35px">{{ $bill->total_cgst_amount }}</td>
           <td height="35px" style="border-right: 0; border-bottom: 0;"></td>
          </tr>
          <tr>
          <td height="35px" colspan="13" style="text-align: left; border-top: 0; border-bottom: 0; border-left: 0;">Declaration:-  GST of Freight as Applicable Will be Charged and Paid by SHIV SHAKTI ROAD LINES</td> 
          <td height="35px" colspan="2">SGST <?php echo intval($bill->sgst_percent); ?>%</td>
          <td height="35px">{{ $bill->total_sgst_amount }}</td>  
          <td height="35px" style="border-top: 0; border-right: 0; border-bottom: 0;"></td>
         </tr>
         <tr>
          <td height="35px" colspan="13" style="border-top: 0;  border-left: 0;"></td>  
          <td height="35px" colspan="2" style="font-size:0.7rem;">GRAND TOTAL-->></td>
          <td height="35px">{{ $bill->grand_total_amount }}</td>
          <td height="35px" style="border-right: 0; border-top: 0;"></td>
         </tr>
         <tr>
          <td height="35px" colspan="17" style="text-align: left;">RUPEES(In Words):-<?php echo numberToWords($bill->grand_total_amount) ?> only.</td>  
         </tr>
         <tr>
           <td height="10px" colspan="17" style="border-bottom: 0; border-left: 0; border-right: 0;"><br></td> 
         </tr>
         <tr>
           <td height="45px" colspan="13" style="border:0;"></td>
           <td height="45px" style="border:0;">For :-</td>
           <td height="45px" colspan="3" style="border:0; font-size:0.7rem;">{{$company->company_name}}</td>
         </tr>
         <tr>
          <td height="45px" style="border: 0;"></td>
          <td height="45px" style="border: 0; text-align: left;">Document No.:</td>  
          <td height="45px" style="border:0;"></td>
          <td height="45px" style="border:0;">Bill Passed By:</td>
          <td height="45px" style="border:0;"></td>
          <td height="45px" style="border: 0; border-bottom: 1px solid var(--color1);"></td>
          <td height="45px" colspan="11" style="border:0;"></td>
         </tr>
         <tr>
            <td height="10px" colspan="17" style="border:0;"><br></td> 
          </tr>
          <tr>
            <td height="10px" colspan="17" style="border:0;"><br></td> 
          </tr>
         <tr>
          <td height="10px" colspan="9" style="border: 0;"></td>
          <td height="10px" colspan="8" style="border: 0; text-align: right;">Authorised Signatory</td>  
         </tr>
        </tbody>
      </table>
      </div>
    </div>  
    
    
</body>
</html>