@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    
    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);

@endphp


<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>LR Print</title>
    <link href="https://fonts.googleapis.com/css?family=Noto+Serif&display=swap" rel="stylesheet">

</head>
<style>
    .mnone{margin: 0px;}    
   .mainbox{width: 20.5cm;border: 1px solid;height: 12cm; margin: auto; }    
   body{font-size: 13px;font-family: Arial, Helvetica, sans-serif;}  
   .right{text-align: right;} 
   .small{font-size: 12px;}
   .small2{font-size: 16px;}   
   .bold{font-weight: 550;}
   .bb{border-bottom: 1px solid #000000}       
   .bt{border-top: 1px solid;}
   .bl{border-left: 1px solid;}
   .br{border-right: 1px solid;}
   .center{text-align: center;}
   p{margin: 0px;font-size: 14px;} 
   h1{margin: 0px;text-align: center;font-size: 33px;font-family: 'Noto Serif', serif;}        
   .mt2{margin-top: 6px;}
   .pd2{padding: 3px;} 
   .text-top{vertical-align: top;}
   .vsmall{font-size: 10px;}
   .vvsmall{font-size: 9.5px;}
	.right-border{border-right:1px solid #000000}
	.top-border{border-top:1px solid #000000}
	.bottom-border{border-bottom:1px solid #000000}
   @media print {
  a {
    display: none;
  }
} 
   </style>
<body>
   <!--{{$company}}-->
   <!--{{$gr}}-->

   @php
      $dynamic_fields = json_decode($gr->payment_dynamic_fields);

      $gr_copy = json_decode(json_encode($gr), true);
    @endphp
    
    <?php
      $i = 0;

    ?>

    @foreach($copies as $copy)

    <?php
      $i++;
    ?>
   


    <div class="mainbox" >
        <div class="box1">
            <table width="100%">
                <tr>
                <td width="15%"><img src="" width="100"></td>
                    <th width="60%"><h1 style="font-size:23px">{{ $company->company_name }} </h1><p class="bold">{{ $company->address2 }}.</p><p>Mob.: {{ $company->mob1 }}</p></th>
                    <td class="bold" align="right"><p>GSTIN: &nbsp; {{ $company->gst_number }}</p>
                    <p style="padding-right: 100px;">PAN: &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; {{ $company->pan_number }}</p></td>
            </table>
        </div>
        <div class="box4">
            <table width="100%" style="height: 33px;">
                <tr><td width="75%"><span class="bold">GR No.:</span><span style="font-size:15px; font-weight:bold">{{$gr->gr_number}} </span> 
                    <p><span class="bold">Delivery From : {{$gr->source_name}}</span>  </p>
                    </td> 
                    <td width="25%"><span class="bold">Date: {{ formatDate($gr->gr_date) }}  </span></td> 
                </tr>
            </table>
        </div> 
        <div class="box5">
            <table width="100%">
                <tr class="bt top-border">
                	<td width="70%" class="right-border top-border">
                    <p class="bold">Hired From : </p><p>{{ isset($gr_copy['lorry_hire_from']) ? $gr_copy['lorry_hire_from']['account_name']  : ''}} </p>
                    <p>{{ isset($gr_copy['lorry_hire_from']['party']['address1']) ? $gr_copy['lorry_hire_from']['party']['address1'] : '' }}</p> 
                    <P>GSTIN : {{ $gr_copy['lorry_hire_from']['party']['gst_number'] ?? '' }}</P>
                    <p>Mob No : {{ $gr_copy['lorry_hire_from']['party']['mob_number'] ?? '' }} </p>
        			</td> 
                	<td width="30%" class="top-border" style="vertical-align: top;">
                    	<p><b>To : {{$gr->destination_name}}</b></p>
                    </td>
				</tr>    
            </table>
        </div>
        <div class="box6">
            {{-- <table width="100%" cellpadding="0" cellspacing="0" class="center" style="height: 65px;">
                <tr  style="height: 24px;font-weight:bold; background-color: rgb(228, 227, 227);"> 
                    <td width="25%"  class="bb bt br">Product</td>
                    <td width="25%"   class="bb bt br">No. of Bags</td>
                    <td width="25%"  class="bb bt br">Weight (MT)</td>
                    <td width="25%"   class="bb bt">Approx Value (Rs.)</td>
                </tr>
                @foreach($gr->gr_desc as $desc_item)
                <tr  style="height: 20px;"> 
                    <td class="br">{{ $desc_item->material?$desc_item->material['material_name']:'' }}</td>
                    <td class="br">{{ $desc_item->pkg }}</td>
                    <td class="br">{{ $desc_item->material_weight }}</td>
                    <td>{{$gr->total_invoice_value}}</td> 
                </tr>
                @endforeach
            </table> --}}
        </div>
        <div class="box7">
            <table width="100%" cellpadding="0" cellspacing="0" class="center">
                <tr style="font-weight: bold;background-color: rgb(228, 227, 227);">
                    <td width="25%" class="bb bt br">Truck No.</td>
                    <td width="25%" class="bb bt br">Driver Name</td>
                    <td width="25%" class="bb bt br">Contact No.</td>
                    <td width="25%" class="bb bt">Driver Sign.</td>   
                </tr>
                <tr style="height:30px">
                    <td class="br bottom-border">{{$gr->vehicle?$gr->vehicle['vehicle_number']:''}}</td>
                    <td class="br bottom-border">{{$gr->driver?$gr->driver['emp_name']:$gr->driver_name}}</td>
                    <td class="br bottom-border">{{$gr->driver?$gr->driver['contact_number']:$gr->driver_mob_number}}</td>
                    <td class="bottom-border">&nbsp;</td> 
                </tr>
            </table>
        </div> 


        <div class="box7">
            <table width="100%" cellpadding="0" cellspacing="0" class="center">
                <tr style="font-weight: bold;background-color: rgb(228, 227, 227);">
                    <td width="15%" class="bb bt br">Hire Total</td>
                    <td width="15%" class="bb bt br">Extra Point</td>
                    <td width="15%" class="bb bt br">Material Cost</td>
                    <td width="15%" class="bb bt br">Loading Labour </td>
                    <td width="15%" class="bb bt br">Loading Detention</td>
                    <td width="15%" class="bb bt br">Unloading Labour</td>
                    <td width="15%" class="bb bt br">Unloading Detention</td>
                    <td width="15%" class="bb bt br">Dala</td>
                    <td width="15%" class="bb bt br">Bilty Chg</td>
                    <td width="15%" class="bb bt br">{{$gr->other_minus_label}}</td>
                    <td width="15%" class="bb bt br">Tds</td>
                    <td width="20%" class="bb bt br">Advance</td>
                    <td width="20%" class="bb bt br">Payment</td>
                    <!-- <td width="20%" class="bb bt br">Diesel</td>    -->
                    <td width="20%" class="bb bt">Balance</td>   
                </tr>
                <tr style="height:30px">
                    <td class="br bottom-border">{{$gr->lh_net_freight}}</td>
                    <td class="br bottom-border">{{$gr->lh_extra_point}}</td>
                    <td class="br bottom-border">{{$gr->material_cost}}</td>
                    <td class="br bottom-border">{{$gr->loading_labour}}</td>
                    <td class="br bottom-border">{{$gr->loading_detention}}</td>
                    <td class="br bottom-border">{{$gr->unloading_labour}}</td>
                    <td class="br bottom-border">{{$gr->unloading_detention}}</td>
                    <td class="br bottom-border">{{$gr->dala}}</td>
                    <td class="br bottom-border">{{$gr->bilty_chg}}</td>
                    <td class="br bottom-border">{{$gr->other_minus}}</td>
                    <td class="br bottom-border">{{$gr->lh_tds}}</td>
                    <td class="br bottom-border">{{$gr->lh_advance  }}</td>
                    <td class="br bottom-border">{{   $gr->lh_payment + $gr->lh_payment2 }}</td>
                    <!-- <td class="bottom-border br">{{ $gr->diesel_amt1 +$gr->diesel_amt2 }}</td>  -->
                    <td class="bottom-border">{{ $gr->lh_balance }}</td> 
                </tr>
            </table>
        </div>
         

        <div class="box8">
            <table width="100%" style="margin-top:10px">
                <tr><td class="bold"> <br><br><br><br>Sign. & Stamp of Receiver </td>
                    <td class="right bold" style="position: relative;">
                      
                      @if( $company->company_code=='BABA_BMR' )
                            <img src='https://server.baba.logisticsoftware.in/img/stampp.png' style="width:30%; height: 100px;  position: absolute; top: 0; left: 65%;"/>
                      @endif        
                    
                            <!--<img src='' style="width:22%; height: 100px; position: absolute; top: 0; left: 50%;"/>-->
                     
                        <br><br><br><br>Sign. of H&T Agent &nbsp;</td>
                </tr> 
            </table>
        </div>
    </div>
   
    <div style="height:10px"></div>
   

     <?php
           if($i%2==0 && isset($copies[$i])){
               echo '<div style="page-break-before: always;"></div>';
           }
        ?>

        @endforeach
   

  
        
   
 	
 

        <!-- table width="100%" id="v_desc_t" border="1" cellpadding="0" cellspacing="0" style="overflow:auto" bordercolor="#000000">
              <tr>
                <td height="20" align="center" valign="middle">R.No.</td>
                <td align="center" valign="middle"> Date</td>
                <td align="center" valign="middle">Advance From.</td>
                <td align="center" valign="middle">Toll</td>
                <td align="center" valign="middle">Police Challan</td>
                <td align="center" valign="middle">Repairing</td>
                <td align="center" valign="middle">Dalla</td>
                <td align="center" valign="middle">Labour</td>
                <td align="center" valign="middle">H/G</td>
                <td align="center" valign="middle">Fooding</td>
                <td align="center" valign="middle">Border Expence</td>
                <td align="center" valign="middle">Balance</td>
                <td align="center" valign="middle">Remarks</td>
              </tr>

              <tr>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <tr align="center" valign="middle"></tr>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
                <td align="center" valign="middle"></td>
              </tr>

        </table>-->

</body>
</html>
