@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }
    
    
    function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}

    $copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp


<!DOCTYPE html>
<html lang="en"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $lorry_hire->lh_number }} (LHS)</title>
    <link href="lorry%20hire%20assna_files/css.css" rel="stylesheet">

<style>
    .mnone{margin: 0px;}    
   .mainbox{width: 18.5cm;border: 1px solid; margin: auto;}             
   body{font-size: 13px;font-family: Arial, Helvetica, sans-serif;}    
   .right{text-align: right;} 
   .left{text-align: left;}
   .small{font-size: 10.5px;}
   .small2{font-size: 12px;}   
   .bold{font-weight: 550;}
   .bb{border-bottom: 1px solid;}       
   .bt{border-top: 1px solid;} 
   .bl{border-left: 1px solid;}
   .br{border-right: 1px solid;}        
   .center{text-align: center;}          
   p{margin: 0px;font-size: 14px;}       
   h1{margin: 0px;text-align: center;font-size: 33px;font-family: 'Noto Serif', serif;}             
   .mt2{margin-top: 6px;}            
   .pd2{padding: 3px;}   
   .pd1{padding: 2px;}    
   .text-top{vertical-align: top;}          
   .vsmall{font-size: 10px;}      
   .vvsmall{font-size: 8px;}     
  .box{border:1px solid;} 
  .boxl{border: 1px solid; border-radius: 5px; width: 120px;}
  .cmp{font-weight: bolder;font-size: 13.5px;}
  .cmp2{font-weight: bolder;font-size: 10.5px;}
  .bgcol{background-color: rgb(190, 190, 190);}
  .box4 .col1,.col2{float: left;}
  .col1{width: 50%;}
  .col2{width: 50%;}
 .watermark{
     background: linear-gradient(rgba(233, 233, 233, 0),rgba(233, 231, 231, 0)),url(logowatermark.png) ;
     position: center;
     position: relative;
     background-size:contain;
     background-repeat: no-repeat;
     margin-top:225 !important;
}


.no-print {
    display: block;
}

@media print {
    .no-print {
        display: none;
    }
}


  </style></head>

  <body>

    <button class="no-print" id="downloadButton">Download as Image</button>
<div class="mainbox watermark">

    

    <div class="box1">
        <table width="100%" cellpadding="0" cellspacing="0"> 
            <tbody><tr>
                <td width="25%" class="pd2">
                </td> 
                <td style="vertical-align: top;"> 
                   
                    <p class="center mnone small pd2">{{ $company->jurisdiction }} </p> 
                    <h2 class="center mnone">LORRY HIRE CHALLAN </h2>
                </td>
                <td width="25%"></td>
            </tr>  
            </tbody></table>
    </div>

    <div class="box2">
        <table width="100%" cellpadding="0" cellspacing="0"> 
            <tbody><tr>
                <td width="65%"> 
                    <h2 class="mnone pd2" style="font-family: 'Anton', sans-serif;font-size: 24px;">{{$company->company_name}}</h2>
                    <p class="small2 pd1">{{$company->address1}}</p>
                    <p class="small2 pd1">Mobile : {{$company->mob1}},{{$company->mob2}} </p>
                    <p class="small2 pd1">Email: {{$company->email}}</p>
                    <p class="small2 pd1">PAN NO : {{$company->pan_number}},&nbsp;&nbsp;&nbsp;GSTIN NO : {{$company->gst_number}}</p>
                </td> 
                <td style="vertical-align: top;">
                    <p class="bold small2">Date : <u>{{formatDate($lorry_hire->lh_date)}}</u> </p>
                    <h3>FREIGHT MEMO NO : <u>{{$lorry_hire->lh_number}}</u> </h3>
                    <table width="100%" cellpadding="2" cellspacing="0" class="center vvsmall pd2"> 
                        <tbody><tr>
                            <td class="bt bl br bb bold" colspan="2">TRIP DURATION</td>
                        </tr>
                        <tr>
                            <td class="bb bl br">LOADING DATE</td>
                            <td class="bb br">UNLOAD DATE </td> 
                        </tr>
                        <tr>
                            <td class="bb bl br">{{formatDate($lorry_hire->load_date)}}</td>
                            <td class="bb br">{{formatDate($lorry_hire->unload_date)}}</td>
                        </tr>
                        <tr>
                            <td class="bb bl br">SOURCE</td>
                            <td class="bb br">DESTINATION</td> 
                        </tr>
                        <tr>
                            <td class="bb bl br">{{$lorry_hire->source->station_name}}</td>
                            <td class="bb br">{{$lorry_hire->destination->station_name}}</td>
                        </tr>
                        </tbody></table>
                </td>
            </tr>
            </tbody></table>
    </div>

    <div class="box3">
        <table width="100%" cellpadding="4" cellspacing="0" class="center vvsmall "> 
            <tbody>
                <tr>
                    <td colspan="5" class="bb bt"><h2 class="mnone" style="font-size: 15px;">VEHICLE DETAILS </h2></td>
                </tr>
                <tr class="bold small"> 
                    <td class="bb br">VEHICLE NO.</td>
                    <td class="bb br">VEHICLE TYPE</td>
                    <td class="bb br">CN/LS NO. </td>   
                    <td class="bb br">Date</td>  
                    <td class="bb br">WEIGHT</td>             
                </tr>
                
                @foreach($lorry_hire->lorry_hire_desc as $desc_item)
                <tr>
                    <td style="font-size: 10px;" class="bb br">{{ $desc_item['vehicle'] }}</td>
                    <td style="font-size: 10px;" class="bb br">{{ $desc_item['vehicle_type'] }}</td>
                    <td style="font-size: 10px;" class="bb br">{{ $desc_item['against_number'] }}</td>
                    <td style="font-size: 10px;" class="bb br">{{ formatDate($desc_item['date']) }}</td>
                    <td style="font-size: 10px;" class="bb br">{{ $desc_item['loaded_wt'] }} MT</td>
                </tr>
                @endforeach
                
            </tbody>
        </table>
    </div>

    <div style="clear: both;"></div>

    <div class="box5">
        <table width="100%" cellpadding="1" cellspacing="0" class="small2"> 
            <tbody><tr>
                <td colspan="3" class="center"><h3 class="mnone pd2 bb bt">TO BE FILLED  AT FINAL PAYMENT DESTINATION </h3></td>
            </tr>
            <tr> 
                <td width="50%" class="bb"><p class="center pd1 bold small2">DEBIT VOUCHER</p></td>  
                <td width="30%" class="bb bl"></td>
                
                @php
                    // Recalculate $top_total
                    $total_amt = 0;
                    $top_total = $lorry_hire->balance;
                @endphp
                    
                <td width="20%" class="bb bl">
                    <input type="hidden" name="lh_balance" id="lh_balance" value="<?php echo $top_total?>"/>
                </td>
            </tr>
            <tr style="vertical-align: top;">
                <!--debit voucher area 1st td-->
                <td class="bb" rowspan="15">
                <p class="small2 bold pd2">AMOUNT PAID TO THIS LORRY HIRE CHALLAN AS NOTED</p>
                    <p class="small2 bold pd2">DETAILS : Truck No. : {{$lorry_hire->vehicle_number}}</p>
                    
                <table width="100%" border="1" cellpadding="0" cellspacing="0">
                	<tbody>
                	    <tr>
                            <th>Voucher</th>
                            <th>Date</th> 
                            <th>Amount</th>
                        </tr>
                        
                        @foreach($lorry_hire->voucher_desc as $voucher_des)
                        <tr>
                            <td>{{ $voucher_des['voucher_number'] }}</td>
                            <td>{{ formatDate($voucher_des['voucher']['voucher_date']) }}</td>
                            <td align="end">{{ $voucher_des['receipt_amt'] }}  <?php $total_amt += $voucher_des['receipt_amt'] ;?></td>
                        </tr>
                        
                        @endforeach
                        
                        <tr>
                            <td colspan="2" align="center">Total</td>
                            <td align="end">{{ $total_amt }}</td>
                            <input type="hidden" name ="voucher_tot" id="voucher_tot" value="<?php echo $total_amt ?>"/>
                        </tr>
                    </tbody>
                </table>


                <table width="100%" border="1" cellpadding="0" cellspacing="0">
                	<tbody>
                	    <tr>
                            <th>Diesel</th>
                            <th>Date</th> 
                            <th>Amount</th>
                        </tr>
                        <?php
                        $total_fuel_amt = 0;
                        ?>
                        
                        @if($lorry_hire->diesel_party1 && $lorry_hire->diesel_amt1)
                        <tr>
                            <td>{{ $lorry_hire->diesel_party1['account_name'] }}</td>
                            <td>{{ formatDate($lorry_hire->diesel_date1)  }}</td>
                            <td align="end">{{ $lorry_hire->diesel_amt1  }}  <?php $total_fuel_amt += $lorry_hire->diesel_amt1; ?></td>
                        </tr>
                        @endif

                        @if($lorry_hire->diesel_party2 && $lorry_hire->diesel_amt2)
                        <tr>
                            <td>{{ $lorry_hire->diesel_party2['account_name'] }}</td>
                            <td>{{ formatDate($lorry_hire->diesel_date2)  }}</td>
                            <td align="end">{{ $lorry_hire->diesel_amt2  }}  <?php $total_fuel_amt += $lorry_hire->diesel_amt2; ?></td>
                        </tr>
                        @endif

                        @if($lorry_hire->diesel_party3 && $lorry_hire->diesel_amt3)
                        <tr>
                            <td>{{ $lorry_hire->diesel_party3['account_name'] }}</td>
                            <td>{{ formatDate($lorry_hire->diesel_date3)  }}</td>
                            <td align="end">{{ $lorry_hire->diesel_amt3  }}  <?php $total_fuel_amt += $lorry_hire->diesel_amt3; ?></td>
                        </tr>
                        @endif
                        
                        <tr>
                            <td colspan="2" align="center">Total</td>
                            <td align="end">{{ $total_fuel_amt }}</td>
                            <input type="hidden" name ="voucher_tot" id="voucher_tot" value="<?php echo $total_fuel_amt ?>"/>
                        </tr>
                    </tbody>
                </table>
                
                
                
                
                <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p> <p>&nbsp;</p>
                <table width="100%" cellpadding="0" cellspacing="0">
                    <tbody>
                        <tr>
                            <td class="bold">PASSED BY </td>
                            <td class="bold">CASHIER</td>
                            <td class="center bt bl br bold">Revenue<br>Stamp</td>
                            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        </tr>
                    </tbody>
                </table>
            </td>   

            </tr>
            <tr>
               
                <td class="bb bl small bold">PKT :-  </td>
                <td class="bb bl small bold right">{{$lorry_hire->total_pkg}}</td>
            </tr>
            <tr>
               
                <td class="bb bl small bold">FREIGHT :-  </td>
                <td class="bb bl small bold right">{{$lorry_hire->freight}}</td>
            </tr>
            <tr>
                <td class="bb bl small bold">RATE :-  </td>
                <td class="bb bl small bold right">{{$lorry_hire->rate}}</td>
            </tr>
            <tr>
                <td class="bb bl small bold">MUNSHIANA :-  </td>
                <td class="bb bl small bold right">{{$lorry_hire->munshiana}}</td>
            </tr>
            <tr>
                <td class="bb bl small bold">LOADING (-) :-  </td>
                <td class="bb bl small bold right">{{$lorry_hire->loading_labour}}</td>
            </tr>
            <tr>
                <td class="bb bl small bold">COMMISSION (-) :-  </td>
                <td class="bb bl small bold right">{{$lorry_hire->collection_chg}}</td>
            </tr>
            
            <?php
            
            if($lorry_hire->other_add + $lorry_hire->unloading_labour > 0){
                ?>
            <tr>
               
                <td class="bb bl small bold">Unloading Chgs.:- </td>
                <td class="bb bl small bold right">{{$lorry_hire->other_add + $lorry_hire->unloading_labour }}</td>
            </tr>
                
                <?php
            }
            
            
            ?>
           
            <tr>
               
                <td class="bb bl small bold">DETENTION ( Loading Point ) :- </td>
                 <td class="bb bl small bold right">{{$lorry_hire->loading_detention}}</td>
            </tr>
            <tr>
              
                <td class="bb bl small bold">DETENTION ( Unloading Point ) :- </td>
                 <td class="bb bl small bold right">{{$lorry_hire->unloading_detention}}</td>
            </tr>
            
              <tr>
            
                <td class="bb bl small bold">Balance :- </td>
                <td class="bb bl small bold right" id="top_blance" >{{ number_format($top_total - $total_amt, 2) }}</td>
            </tr>
            </tbody></table>
    </div>

    <div class="box6">
        
        <p class="small2 bold pd2">AMOUNT IN WORDS RS. </p>
        
        <?php
        $number_to_words = $top_total - $total_amt;
    
        // If the total is negative, display "Receivable"
        if ($number_to_words < 0) {
            $number_to_words_display = "Receivable: " . numberToWords(abs($number_to_words)) . " Only/-";
        } else {
            $number_to_words_display = numberToWords($number_to_words) . " Only/-";
        }
    ?>
    <p>{{ $number_to_words_display }}</p>
    <p>&nbsp;</p>
    
        <p><img src="" style="margin-left: 510px;"></p>
        <p class="small2 right bold ">SIGNATURE OF ISSUING STATION &nbsp;</p>

        <p>&nbsp;</p>
    </div>

    <div class="box7 bt">
        <p>&nbsp;</p>
        <h3 class=" center mnone" style="font-size: 12px; margin-top: -14px;">NOTE : THIS PAYMENT WILL BE 
            MADE ONLY PRODUCTION ON ORIGINAL LORRY HIRE CHALLAN</h3>
            <p>&nbsp;</p>
    </div>
</div>
  
 <script>

    // Ensure the DOM is fully loaded before executing the script
    document.addEventListener('DOMContentLoaded', function() {
        var topBalanceElement = document.getElementById('top_blance');
        
        var lh_balance =  document.getElementById('lh_balance').value;
        var voucher_tot =  document.getElementById('voucher_tot').value;
        topBalanceElement.textContent = lh_balance - voucher_tot;
    });
</script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>
<script>
    document.getElementById('downloadButton').addEventListener('click', function () {
    const noPrintButton = document.querySelector('.no-print');

    // Temporarily hide the no-print button
    noPrintButton.style.display = 'none';

    let name = "<?php echo $lorry_hire->lh_number.' (LHS)';?>"; 

    // Capture the page as an image
    html2canvas(document.body, {
        scale: 2, // Scale to enhance the quality of the captured image
        width: document.body.scrollWidth, // Use the full width of the document
        height: document.body.scrollHeight, // Use the full height of the document
        useCORS: true, // Allow cross-origin images
        backgroundColor: '#ffffff' // Set background color to white to mimic print
    }).then(function (canvas) {
        // Create a download link
        let link = document.createElement('a');
        link.href = canvas.toDataURL('image/png');
        link.download = name;
        link.click();

        // Show the button again after capturing
        noPrintButton.style.display = 'block';
    });
});

</script>



</body></html>