  
@php

    

function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


$copies = 'Original';

// BREAK $copies INTO ARRAY
$copies = explode(',', $copies);





@endphp
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0"> 
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>{{ $bill->bill_number }}</title> 
</head>
<style>
.mnone{margin: 0px;}    
.mainbox{width: 29cm;border: 1px solid; margin: auto;}          
body{font-size: 13px;font-family: Arial, Helvetica, sans-serif;}  
.right{text-align: right;} 
.left{text-align: left;}
.small{font-size: 10.5px;}
.small2{font-size: 12px;}   
.bold{font-weight: 550;}
.bb{border-bottom: 1px solid;}       
.bt{border-top: 1px solid;}
.bl{border-left: 1px solid;}
.br{border-right: 1px solid;}       
.center{text-align: center;}          
p{margin: 0px;font-size: 14px;}       
h1{margin: 0px;text-align: center;font-size: 33px;font-family: 'Noto Serif', serif;}          
.mt2{margin-top: 6px;}            
.pd2{padding: 3px;}   
.text-top{vertical-align: top;}         
.vsmall{font-size: 10px;}      
.vvsmall{font-size: 9.5px;}     
.box{border:1px solid;} 
.bgcol{background-color: rgb(168, 168, 168);}
</style>  
<body>


<?php
$i = 0;


?>


@foreach($copies as $copy)

<?php
$i++;
?>



<div class="mainbox">
  <div class="box1">
      <table width="100%" class="bb" cellpadding="2" cellspacing="0">
          <tr>
              <td class="center" width="90%">
                  <h2 class="mnone center">{{ $company->company_name }}</h2>  
                  <p class="center mnone small2">ADDRESS: {{ $company->address1 }}</p>
                  <p class="mnone center  small2">MOB:- {{ $company->mob1 }} / {{ $company->mob2 }}</p>
                  <h4 class="mnone center">TAX INVOICE</h5>
                </td>
              <td width="10%"class="bl center small bold"></td>
          </tr>
      </table>
  </div>
  <div class="box2">
      <table width="100%">
          <tr>
              <td width="25%">
                  <h2 class="small2 mnone">TO :- <u>{{ $bill->acc_party['account_name'] }}</u></b> </h2>
                  <p class="small2">Distt:-   <u>{{ $bill->billing_address }}</u></b>   </p>
                  <p class="small2">GSTIN :- <u>{{ $bill->acc_party['party']['gst_number'] }}</u></b> </p>
                  <p class="small2">PAN No. :- <u>{{ $bill->acc_party['party']['pan_number'] }}</u></b> </p>
                  <p class="small2">Work Order No:- <u id="po"></u></b> </p>
                  <p class="small2">POS :-  
                    {{ substr($bill->acc_party['party']['gst_number'],0,2) }} - {{ $bill->acc_party['party']['state'] }}
                    </b>
                    </p>
                  <p class="small2">SAC :-   
                    @if($bill->acc_party['account_name']=='DP WORLD RAIL LOGISTICS PRIVATE LIMITED')
                        <u>996511</u>
                    @else
                        <u>996791</u>
                    @endif
                  </b> </p>
                  <p class="small2">Products :- <u>IRON & STEEL</u></b>  </p> 
              </td>  
              <td width="40%" >
                  <div class="box bgcol"> <br></b><p class="small2 center">JOB DESCRIPTION : </p> <br></div>
              </td>
              <td width="25%" style="vertical-align: top;">
                  <p class="small2">PAN NO : <u>{{ $company->pan_number }}</b></u> </p>
                  <p class="small2">GST NO : <u>{{ $company->gst_number }}</b></u> </p>
                  <p class="small2">BILL NO : <u>{{ $bill->bill_number }}</u></b></p>
                  <p class="small2">BILL DATE : <u>{{ formatDate($bill->bill_date) }}</u></b> </p> 
                  
                  <p class="small2">VENDOR CODE : <u>19422</u></b> </p> 
              </td>
          </tr>
      </table>
  </div>
  <div class="box3">
      <table width="100%" cellpadding="2" cellspacing="0" class="center" style="font-size:12px;">
          <tr class="bold small bgcol" style="height: 21px;">
                @foreach(  json_decode($bill->supplementary_headers) as $supplementary_header)
                <th  class="bt br" width="10%" align="center" class="right-border">{{ $supplementary_header }}</th>
            @endforeach
                <td class="bt br" >LOADED <BR> WEIGHT</td>
                <td class="bt br" >CHARGED WEIGHT</td>
              
              <td class="bt br" >RATE</td>
              <td class="bt br" >FREIGHT</td>
               
          </tr>

          <?php
             $total_material_weight = 0;
             $total_chg_qty = 0;
          ?>
          @foreach($bill->bill_desc as $bill_desc)
            <?php $supplementary_desc= $bill_desc['supplementary_desc'];?>
            <tr style="height: 21px;">
   
                <td class="bt br" align="left" class="right-border">{{ $supplementary_desc->other1 }}</td>     
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->other2 }}</td> 
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->other3 }}</td>    
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->other4 }}</td>    
                <td class="bt br" align="left" class="right-border">{{ $supplementary_desc->other5 }}&nbsp;&nbsp;</td>    
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->other6 }}</td>
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->other7 }}</td> 
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->other8 }}</td>   
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->material_weight }} <?php $total_material_weight+=$supplementary_desc->material_weight; ?> </td> 
                <td class="bt br" align="left" class="right-border">&nbsp;&nbsp;{{ $supplementary_desc->chg_qty }} <?php $total_chg_qty+=$supplementary_desc->chg_qty; ?></td> 
                <td class="bt br" align="left" class="right-border">{{ $supplementary_desc->rate }}&nbsp;&nbsp;</td>   
                <td class="bt br" >{{ $bill_desc['total_without_gst'] }}</td> 
            </tr>
            @endforeach    
        
        
        <tr style="height: 21px;">
            <th class="bt br">&nbsp;</th>
              <th class="bt br"> </th>
              <th class="bt br"> </th>
              <th class="bt br">&nbsp;</th>
              <th class="bt br"> </th>
              <th class="bt br"> </th>
              <th class="bt br"> </th>
              <th class="bt br"> Total </th>
              <th class="bt br"> {{ number_format($total_material_weight, 3) }} </th>  
              <th class="bt br"> {{ number_format($total_chg_qty, 3) }} </th>  
              <th class="bt br"> </th>  
              <th class="bt br"> </th>  
                <!-- <th class="bt br">  </th>   -->
        </tr>
        <tr style="height: 21px;" class="bgcol">
            <td class="bt br small2 bold" colspan="5">TOTAL OF ABOVE </td>
              
               <td class="bt br"> </td>
               <td class="bt br"> </td>
               <td class="bt br" colspan="4">  </td>
               <td class="bt br" style="font-weight:bold; ">{{ $bill->total_without_gst + $bill->other_plus - $bill->other_minus }} </td>  
        </tr>
        <tr style="height: 21px;">
            <td class="bt br" colspan="8"> </td> 
               <td class="bt br small2" colspan="3"> SGST @ <?php echo intval($bill->sgst_percent); ?> %</td>
               <td class="bt br">{{ $bill->total_sgst_amount }} </td>  
        </tr>
        <tr style="height: 21px;">
            <td class=" br" colspan="8"> </td> 
               <td class="bt br small2" colspan="3"> CGST @ <?php echo intval($bill->cgst_percent); ?> % </td>
               <td class="bt br">{{ $bill->total_cgst_amount }}  </td>  
        </tr>
        <tr style="height: 21px;">
            <td class="br" colspan="8"> </td> 
               <td class="bt bb br small2" colspan="3"> IGST @ <?php echo intval($bill->igst_percent); ?> %  </td>
               <td class="bt br ">{{ $bill->total_igst_amount }} </td>  
        </tr>
         
        <tr style="height: 21px;" class="bgcol">
          
                <th class="bb  left" colspan="10"> Rupee in words :-  <?php echo numberToWords($bill->grand_total_amount) ?>  </th>    
            
            
                <th class="bb"> </th>   
            
                <th class=" bb">{{ $bill->grand_total_amount }}</th> 
             
        </tr>
      </table>
  </div>
  <div class="box4">
      <table width="100%">
          <tr>
              <td width="40%">
                  <br>
                  <div class="box">
                     
                      <table width="100%" cellspacing="0" class="bl small2" cellpadding="2">
                        <tr class="bgcol bold">
                            <td class="bt br">Bank Detail </td>
                            <td class="bt br"></td>   
                        </tr>
                          <tr >
                              <td class="bt br">ACCOUNT  NO </td>
                              <td class="bt br">{{ $company->account_number }}</td>   
                          </tr>
                          <tr >
                            <td class="bt br">BANK NAME </td>
                            <td class="bt br">{{ $company->bank_name }}</td>   
                        </tr>
                        <tr>
                            <td class="bt br"> IFSC </td>
                            <td class="bt br">{{ $company->ifsc }}</td>   
                        </tr>
                        <tr>
                            <td class="bt br bb"> BRANCH ADD: </td>
                            <td class="bt br bb">{{ $company->bank_branch }}</td>     
                        </tr>
                      </table>
                  </div>
              </td>

              <td width="33%">&nbsp;</td>
              <td>
                  <p class="small2 bold">FOR {{ $company->company_name }}</p> <br><br><br>
                   <p class="bold small2">Authorised Signatory</p>
                    
              </td>
          </tr>
         </table>
  </div>
  <table>
    <tr><td width="100%"  class="bt">
                  <p class="small2">I/we hereby declare that though our aggregate turnover in any preceding financial year from 2017-18 onwards is 
                  more than the aggregate turnover notified under the sub-rule (4) of rule 48, 
                  we are not required to prepare an invoice in terms of the provisions of the said sub-rule.</p>
               
    </td></tr>
<tr><td width="100%"  class="bt">
                  <p class="small2">We have taken registration under the CGST Act 2017 and have exercised the option to pay tax on services of GTA 
                  in relation to transport of goods supplied by us during the Financial Year 2023-24 under forward charge mechanism.</p>
                  
    </td></tr>

</table>
</div>




<?php
if($i%1==0 && isset($copies[$i])){
   echo '<div style="page-break-before: always;"></div>';
}
?>

@endforeach
 


</body>
</html>