@php

    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    $copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp



<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{$company->company_name}}</title>
     
    <style>
    *{margin: 0; padding:0; box-sizing: border-box;}
    :root{
    --color1:#000;
    --color2:#e80410;
    --color3:#dfd0fc;
    }
    ul li{list-style: none;}
    body{overflow-x: hidden; scroll-behavior: smooth; font-family: "Poppins", sans-serif;}
    .main_div{max-width:1200px; width:100%; margin: 0 auto;}
    .main_div table tr td{padding:0.3rem 0.2rem;}
    </style>   

</head>
<body>


    <!---- main_div ----->
    <div class="main_div">
     <!---- top_header ----->   
     <div class="top_header" style="display: flex; gap:1.5rem; border: 2px solid var(--color1); border-bottom: 0;">
      <div class="logo" style="margin:0.1rem; text-align: center;">
        <img src="img/bs.png" alt="_img" style="width:auto; height:120px;">
      </div>
      <div style="text-align: center; margin-bottom:0.3rem; margin: 0 auto;">
       <h1 style="font-size:2rem; margin-bottom: 0.3rem; color:var(--color2);">{{$company->company_name}}</h1> 
       <h3 style="font-weight: bold; font-size:1rem; margin-bottom:0.2rem;">{{$company->company_caption}}</h3>
       <p style="font-size:0.9rem; margin-bottom:0.2rem;">{{$company->address1}}</p>  
       <div style="display: flex; justify-content: center; gap:1rem;">
        <div style="font-size:0.9rem;"><span style="font-weight: bold;">Phone No</span> :{{$company->mob1}},</div>
        <div style="font-size:0.9rem;"><span style="font-weight: bold;">E-Mail</span> :- {{$company->email}},</div>
        <div style="font-size:0.9rem;"><span style="font-weight: bold;">Web</span> :- {{$company->website}}</div>
       </div>
       <p style="font-size:0.9rem; margin-top:0.2rem;"><span style="font-weight: bold;">GST NO</span> :{{$company->gst_number}}</p>
      </div>
     </div>   
     <!---- ----->
     <table border="1px" cellspacing="0px" cellpadding="0px" width="100%">
        <caption style="font-weight: bold;  border-left: 2px solid var(--color1); 
        border-right: 2px solid var(--color1); border-top: 2px solid var(--color1); font-size:0.9rem; background: var(--color3); padding:0.5rem 0;" align="center">Other Bill Entry</caption> 
        <tr>
         <td style="font-weight: bold; font-size:0.9rem;">Bill Entry No</td>   
         <td style="font-size:0.9rem;">{{$bill->bill_number}}</td>
         <td style="font-weight: bold; font-size:0.9rem;">Bill Entry Date</td>
         <td style="font-size:0.9rem;">{{formatDate($bill->bill_date)}}</td>
        </tr>
        <tr>
        <td style="font-weight: bold; font-size:0.9rem;">Vendor Name</td>   
        <td style="font-size:0.9rem;">{{ isset($bill->acc_party) ? $bill->acc_party->account_name :'' }} </td>
        <td style="font-weight: bold; font-size:0.9rem;">Vendor Accounted to</td>
        <td style="font-size:0.9rem;">{{ isset($bill->acc_party) ? $bill->acc_party->group ?$bill->acc_party->group->group_name:'' : ''}}</td>
        </tr>
        <tr>
        <td style="font-weight: bold; font-size:0.9rem;">Vendor Bill Number</td>   
        <td style="font-size:0.9rem;">{{$bill->invoice_number}}</td>
        <td style="font-weight: bold; font-size:0.9rem;">Vendor Bill Amount</td>
        <td style="font-size:0.9rem;">{{$bill->grand_total_amount}}</td>
        </tr>
        <tr>
        <td style="font-weight: bold; font-size:0.9rem;">Vendor Bill Date</td>   
        <td style="font-size:0.9rem;">{{formatDate($bill->invoice_date)}}</td>
        <td style="font-weight: bold; font-size:0.9rem;">Due Date</td>
        <td style="font-size:0.9rem;"></td>
        </tr>
        <tr>
        <td style="font-weight: bold; font-size:0.9rem;">Ref. NO.</td>   
        <td style="font-size:0.9rem;"></td>
        <td style="font-weight: bold; font-size:0.9rem;">Remark</td>
        <td style="font-size:0.9rem;">{{$bill->remarks}}</td>
        </tr>
        <tr>
        <td style="font-weight: bold; font-size:0.9rem;">GST Reverse Charge</td>   
        <td style="font-size:0.9rem;">NO</td>
        <td style="font-weight: bold; font-size:0.9rem;">Net Amount</td>
        <td style="font-size:0.9rem;">{{$bill->grand_total_amount}}</td>
        </tr>
        <tr>
         <td colspan="4" height="20px"></td>   
        </tr>
     </table>
     <!----- ----->
     <table border="1px" cellspacing="0px" cellpadding="0px" width="100%" style="text-align: center;">
     <caption style="font-weight: bold;  border-left: 2px solid var(--color1); border-right: 2px solid var(--color1); font-size:0.9rem; background: var(--color3); padding:0.5rem 0;" align="center">Details of Account Head</caption> 
        <tr style="background: var(--color3);">
        <td style="font-size:0.9rem; font-weight: bold;">Sr No</td>
        <td style="font-size:0.9rem; font-weight: bold;">Account Head</td>   
        <td style="font-size:0.9rem; font-weight: bold;">Debit Amount</td>   
        <td style="font-size:0.9rem; font-weight: bold;" colspan="2">SGST Amount</td>   
        <td style="font-size:0.9rem; font-weight: bold;" colspan="2">CGST Amount</td>   
        <td style="font-size:0.9rem; font-weight: bold;" colspan="2">IGST Amount</td>   
        <td style="font-size:0.9rem; font-weight: bold;">Net Amount</td>   
        <td style="font-size:0.9rem; font-weight: bold;">Narration</td>   
        </tr>
        
        @php
            $totalAmount = 0;
            $totalIgstAmount = 0;
            $totalCgstAmount = 0;
            $totalSgstAmount = 0;
            $totalNetAmount = 0;
        @endphp
        
         @foreach($bill->purchase_desc as $index => $desc_item)
        <tr>
        <td style="font-size:0.9rem;">{{$index + 1}}</td>
        <td style="font-size:0.9rem;">{{$desc_item['dr_account']->account_name}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->amount}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->sgst_percent}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->sgst_amount}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->cgst_percent}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->cgst_amount}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->igst_percent}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->igst_amount}}</td>
        <td style="font-size:0.9rem;">{{$desc_item->net_amount}}</td>
        <td style="font-size:0.9rem;"></td>
        </tr> 
        
        @php
            $totalAmount += $desc_item->amount;
            $totalIgstAmount += $desc_item->igst_amount;
            $totalCgstAmount += $desc_item->cgst_amount;
            $totalSgstAmount += $desc_item->sgst_amount;
            $totalNetAmount += $desc_item->net_amount;
        @endphp
        
         @endforeach
        <tr>
        <td style="font-size:0.9rem;" colspan="2">Total Amount</td>
        <td style="font-size:0.9rem;">{{$totalAmount}}</td>
        <td style="font-size:0.9rem;" colspan="2">{{$totalSgstAmount}}</td>
        <td style="font-size:0.9rem;" colspan="2">{{$totalCgstAmount}}</td>
        <td style="font-size:0.9rem;" colspan="2">{{$totalIgstAmount}}</td>
        <td style="font-size:0.9rem;">{{$totalNetAmount}}</td>
        <td style="font-size:0.9rem;"></td>
        </tr>
        <tr>
        <td colspan="11" height="5px"></td> 
        </tr> 
     </table>
     <!---- ------>
     <table border="1px" cellspacing="0px" cellpadding="0px" width="100%" style="border-top: 0;">
      <tr>
       <td style="font-size:0.9rem; font-weight: bold; background: var(--color3);" colspan="2" height="30px" align="center">Add TCS (+)</td> 
       <td style="font-size:0.9rem; font-weight: bold; background: var(--color3);" colspan="2" height="30px" align="center">Less TDS (-)</td> 
      </tr>  
      <tr>
        <td style="font-size:0.9rem; font-weight: bold;" width="15%">TCS Rate(%)</td> 
        <td style="font-size:0.9rem;" width="25%">0.000</td> 
        <td style="font-size:0.9rem; font-weight: bold;" width="25%">TDS Section</td> 
        <td style="font-size:0.9rem;">TDS PAYABLE PROFESSIONAL AND CONSULTANCY SEC-194J</td> 
      </tr>
      <tr>
        <td style="font-size:0.9rem; font-weight: bold;">TCS Amount</td> 
        <td style="font-size:0.9rem;">0.00</td> 
        <td style="font-size:0.9rem; font-weight: bold;">TDS Section</td> 
        <td style="font-size:0.9rem;">Non Corporate</td> 
      </tr>
      <tr>
        <td style="font-size:0.9rem; font-weight: bold; border-bottom: 0;"></td> 
        <td style="font-size:0.9rem;  border-bottom: 0;"></td> 
        <td style="font-size:0.9rem; font-weight: bold;">TDS Rate</td> 
        <td style="font-size:0.9rem;">{{ isset($bill->acc_party)? $bill->acc_party->party ? $bill->acc_party->party->tds_percent :'':''}}</td> 
      </tr>
      <tr>
        <td style="font-size:0.9rem; font-weight: bold;  border-top: 0;"></td> 
        <td style="font-size:0.9rem;  border-top: 0;"></td> 
        <td style="font-size:0.9rem; font-weight: bold;">TDS Amount (-)</td> 
        <td style="font-size:0.9rem;">{{ $bill->acc_party->party->tds_percent ? $totalAmount / $bill->acc_party->party->tds_percent : '' }}</td> 
      </tr>
     </table>
     <!----- ----->
     <table border="1px" cellspacing="0px" cellpadding="0px" width="100%">
      <caption style="font-weight: bold; border-left: 2px solid var(--color1); border-right: 2px solid var(--color1); font-size:0.9rem; background: var(--color3); padding:0.5rem 0;" align="center">Other Detail</caption> 
      <tr>
        <td style="font-size:0.9rem; font-weight: bold;" width="15%">PAN No</td>
        <td style="font-size:0.9rem;" width="25%">{{$bill->acc_party->party->pan_number}}</td>
        <td style="font-size:0.9rem; font-weight: bold;" width="25%">GST No</td>
        <td style="font-size:0.9rem;">{{$bill->acc_party->party->gst_number}}</td>
      </tr>  
      <tr>
        <td style="font-size:0.9rem; font-weight: bold;">Other Deduction</td>
        <td style="font-size:0.9rem;"></td>
        <td style="font-size:0.9rem; font-weight: bold;">Discount Received</td>
        <td style="font-size:0.9rem;">0</td>
      </tr> 
      <tr>
      <td colspan="3" style="font-size:0.9rem; font-weight: bold;">Net Payable Amount</td>
      <td style="font-size:0.9rem; font-weight: bold;"></td>  
      </tr>
      <tr>
        <td colspan="2" height="50px" valign="bottom" style="font-size:0.9rem; font-weight: bold; border-right: 0;">Prepared By :{{$bill->created_by_user->username}} </td>
        <td colspan="2" height="50px" valign="bottom" style="font-size:0.9rem; font-weight: bold; border-left: 0;" align="center">Authorized Sign. :</td>
      </tr>
     </table>
    </div>


</body>
</html>