@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    function numberToWords($number) {
        $no = floor($number);
        $point = round($number - $no, 2) * 100;
        $hundred = null;
        $digits_1 = strlen($no);
        $i = 0;
        $str = array();
        $words = array(
            '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
            '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
            '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
            '80' => 'Eighty', '90' => 'Ninety'
        );
        $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
        while ($i < $digits_1) {
            $divider = ($i == 2) ? 10 : 100;
            $number = floor($no % $divider);
            $no = floor($no / $divider);
            $i += ($divider == 10) ? 1 : 2;
            if ($number) {
                $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
                $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
                $str [] = ($number < 21) ? $words[$number] .
                    " " . $digits[$counter] . $plural . " " . $hundred
                    :
                    $words[floor($number / 10) * 10]
                    . " " . $words[$number % 10] . " "
                    . $digits[$counter] . $plural . " " . $hundred;
            } else $str[] = null;
        }
        $str = array_reverse($str);
        $result = implode('', $str);
        $points = ($point) ?
            "." . $words[$point / 10] . " " . 
                $words[$point = $point % 10] : '';
                echo $result . "Rupees  ";
        // echo $result . "Rupees  " . $points . " Paise";
    }

    function getMonthName($monthNumber) {
        $months = [
            1 => 'January',
            2 => 'February',
            3 => 'March',
            4 => 'April',
            5 => 'May',
            6 => 'June',
            7 => 'July',
            8 => 'August',
            9 => 'September',
            10 => 'October',
            11 => 'November',
            12 => 'December',
        ];

        if ($monthNumber < 1 || $monthNumber > 12) {
            return '';
        }

        return $months[$monthNumber];
    }

    // if(isset($_GET['copies']))
    // $copies = $_GET['copies'];
    // else
    // $copies = 'Original,Duplicate';
    

    // // BREAK $copies INTO ARRAY
    // $copies = explode(',', $copies);





@endphp



<!DOCTYPE html>
<html lang="en">

<head>
    <title>
        {{ $salary->salary_number }}
    </title>
</head>
<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        font-size: 14px;
        font-family: poppins, sans-serif;
    }

    ul {
        list-style: none;
    }

    table,
    tr,
    th,
    td {
        margin: 0;
     
    }
    th{font-size: 17px;font-weight: bold;}
    td{font-weight: 600;}

    td,
    th {
        text-indent: 4px;
        padding:6px 0px;
    }

    @media print {
        table {
            width: 100%;
            font-size: 14px;
            word-wrap: break-word;
        }
    }
</style>
<body>

    <?php count($salary->ss_desc)==0?die('NO SALARY DESC FOUND'):'';
      
      $salary_desc = $salary->ss_desc[0];
    
    ?>

    <div style="width: 900px;margin: 0 auto;">
        <div style="border: 1px solid #000;">
            <table width="100%" cellspacing="0" cellpadding="0" align="center"border="1">
                <tr>
                    <td colspan="5">{{ $company->company_name }}</td>
                </tr>
               <tr>
                <th colspan="3">
                    Salary Slip  : {{ $salary->salary_number }}
                </th>
                <th>
                    {{ getMonthName($salary->month) }}
                </th>
                <th>{{ formatDate($salary->date) }}</th>
               </tr>
               <tr>
                <td>Employee Name</td>
                <td width="15%"> {{ $salary_desc->employee['emp_name'] }} </td>
                <td>Date of Joining</td>
                <td align="center" colspan="2">{{ $salary_desc->employee['joining_date'] }}</td>
               </tr>
               <tr>
                <td>Employee Code</td>
                <td width="15%">{{ $salary_desc->employee['emp_id'] }}</td>
                <td>Total Working Days</td>
                <td align="center" colspan="2">{{ $salary_desc['days_in_month'] }}</td>
               </tr>
               <tr>
                <td>Designation</td>
                <td width="15%">{{ $salary_desc->employee['designation'] }}</td>
                <td>Number of Working Days Attended</td>
                <td align="center" colspan="2">{{ $salary_desc['working'] }}</td>
               </tr>
               <tr>
                <td>Pan</td>
                <td width="15%">{{ $salary_desc->employee['pan_number'] }}</td>
                <td>Leaves Taken</td>
                <td align="center" colspan="2">{{ $salary_desc['absent'] }}</td>
                
               </tr>
               <tr>
                <td>Bank Account Number</td>
                <td width="15%">{{ $salary_desc->employee['account_number'] }}</td>
                <td></td>
                <td align="center" colspan="2"></td>
               </tr>
               <tr>
                <td>Bank Name</td>
                <td width="15%">{{ $salary_desc->employee['bank_name'] }}</td>
                <td></td>
                <td align="center" colspan="2"></td>
               </tr>
            </table>

            <table width="100%" cellspacing="0"align="left" cellpadding="0"border="1"style="margin-top:20px;">
                <tr style="background-color: #022c5e;color: #fff;">
                    <th colspan="2">Income</th>
                    <th colspan="2">Deduction</th>
                </tr>
                <tr>
                    <td width="26%" style="font-weight: bold;">Particulars</td>
                    <td width="16%" style="font-weight: bold;">Amount</td>
                    <td style="font-weight: bold;">Particulars</td>
                    <td style="font-weight: bold;">Amount</td>
                </tr>
                <tr>
                    <td>Basic Salary</td>
                    <td>{{ $salary->total_fixed_basic }}</td>
                    <td>PF</td>
                    <td>{{ $salary->total_pf_employee }}</td>
                </tr>
                <tr>
                    <td>Special Allowance</td>
                    <td>{{ $salary->total_fixed_spl_pf }}</td>
                    <td>ESIC</td>
                    <td>{{ $salary->total_esic_employee }}</td>
                </tr>
                <tr>
                    <td>HRA</td>
                    <td>{{ $salary->total_fixed_house_rent }}</td>
                    <td>TDS</td>
                    <td>{{ $salary->total_tds }}</td>
                </tr>
                <tr>
                    <td>DA</td>
                    <td>{{ $salary->total_fixed_conveyance }}</td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td>Conveyance</td>
                    <td>{{ $salary->total_fixed_other }}</td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td>Medical Allowance</td>
                    <td>{{ $salary->total_fixed_medical }}</td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td>Bonus</td>
                    <td>{{ $salary->total_fixed_statutory_bonus }}</td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td>Total</td>
                    <td>{{ $salary->total_fixed_gross_salary }}</td>
                    <td>Total</td>
                    <td>{{ $salary->total_total_employee_deduction }}</td>
                </tr>
            </table>

            <table width="100%" cellspacing="0"align="left" cellpadding="0"border="1"style="margin-top:20px;">
                <tr>
                    <th colspan="3"style="background-color:#022c5e;color:#fff;">
                        Net Salary
                    </th>
                    <th>{{ $salary->total_net_take_home_salary }}</th>
                </tr>
                </table>

        </div>
    </div> 

</body>

</html>