@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    
    function numberToWords($number) {
        $no = floor($number);
        $point = round($number - $no, 2) * 100;
        $hundred = null;
        $digits_1 = strlen($no);
        $i = 0;
        $str = array();
        $words = array(
            '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
            '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
            '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
            '80' => 'Eighty', '90' => 'Ninety'
        );
        $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
        while ($i < $digits_1) {
            $divider = ($i == 2) ? 10 : 100;
            $number = floor($no % $divider);
            $no = floor($no / $divider);
            $i += ($divider == 10) ? 1 : 2;
            if ($number) {
                $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
                $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
                $str [] = ($number < 21) ? $words[$number] .
                    " " . $digits[$counter] . $plural . " " . $hundred
                    :
                    $words[floor($number / 10) * 10]
                    . " " . $words[$number % 10] . " "
                    . $digits[$counter] . $plural . " " . $hundred;
            } else $str[] = null;
        }
        $str = array_reverse($str);
        $result = implode('', $str);
        $points = ($point) ?
            "." . $words[$point / 10] . " " . 
                $words[$point = $point % 10] : '';
                echo $result . "Rupees  ";
        // echo $result . "Rupees  " . $points . " Paise";
    }

    //$copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    //$copies = explode(',', $copies);





@endphp


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $voucher->voucher_number }}</title>
    <style>
        * {
            box-sizing: border-box;
            padding: 0;
            margin: 0;
            font-family: poppins, sans-serif;
        }

        .container {
            width: 1400px;
            margin: auto;
            border: 2px solid black;
        }

        .center {
            text-align: center;
        }

        table tr td {
            padding: 15px;
        }

        .bold {
            font-weight: bold;
        }

        .border {
            border-bottom: 2px solid black;
        }
    </style>
</head>

<body>
    <div class="container">
        <div>
            <h1 class="center">{{ $company->company_name }}</h1>
            <p class="center">{{ $company->address1 }}</p>
        </div>

        <div style="margin-top: 50px;">
            <table width="100%">
                <tr>
                    <td width="10%">SrNo. </td>
                    <td width="20%" class="bold">{{ $voucher->voucher_number }}</td>
                    <td width="50%" class="center bold" style="text-decoration: underline;">FREIGHT PAYMENT VOUCHER</td>
                    <td width="10%">Voucher Date</td>
                    <td width="15%" class="bold">{{ formatDate($voucher->voucher_date) }}</td>
                </tr>


                <?php $dr_count = $cr_count = 0 ;?>
                @foreach($voucher->voucher_acc_details as $detail)
                    @if($detail->nature == 'dr' && $dr_count<1)
                          <?php $dr_details = $detail; $dr_count++; ?>
                    @endif
                    @if($detail->nature == 'cr' && $cr_count<1)
                          <?php $cr_details = $detail; $cr_count++; ?>
                    @endif
                @endforeach

                        <tr>
                            <td>Paid To </td>
                            <td colspan="2" class="bold">{{ $dr_details->account['account_name'] }}</td>
                            <td>PAN</td>
                            <td>{{ $dr_details->account['party']?$dr_details->account['party']['pan_number']:'' }}</td>
                        </tr>

                        
                    

                <tr>
                    <td>Payment Mode</td>
                    <td colspan="2">{{ $cr_details->account['account_name'] }}</td>
                    <td>Chq.No.</td>
                    <td>{{ $voucher->cheque_number }}</td>
                </tr>
            </table>
        </div>

        <div>
            <table width="100%" style="border-top: 2px solid black;" cellspacing="0" cellpadding="0">
                <tr>
                    <td class="border">Bilty Date </td>
                    <td class="border"> Lorry No</td>
                    <td class="border">From Place</td>
                    <td class="border">To Place</td>
                    <td class="border">Weight </td>
                    <td class="border">Freight</td>
                    <td class="border">TDS</td>
                    <td class="border">Adv.</td>
                    <td class="border">Shtg.</td>
                    <td class="border">O.Ded</td>
                    <td class="border">F.Diff.</td>
                    <td width="100px" class="border">Net Paid</td>
                </tr>

                <?php $sum_receipt = $sum_received = $sum_deduction = $sum_tds = 0; ?>
                @foreach($voucher->voucher_descs as $voucher_desc)

                <?php if($voucher_desc['against']=='Challan'){ ?> 
                <tr>
                    <td>{{ formatDate($voucher_desc['date']) }} </td>
                    <td>{{ $voucher_desc['challan']['vehicle']?$voucher_desc['challan']['vehicle']['vehicle_number']:'Unkn Veh.' }} </td>
                    <td>{{ $voucher_desc['challan']['source']?$voucher_desc['challan']['source']['station_name']:'Unkn Src.' }}</td>
                    <td>{{ $voucher_desc['challan']['destination']?$voucher_desc['challan']['destination']['station_name']:'Unkn Desti.' }} </td>
                    <td>{{ $voucher_desc['challan']['lh_total_wt'] }} </td>
                    <td>{{ $voucher_desc['challan']['lh_net_freight'] }}</td>
                    <td>{{ $voucher_desc['tds'] }}</td>
                    <td>{{ $voucher_desc['challan']['lh_balance']-$voucher_desc['due_amt'] }}</td>
                    <td>{{ $voucher_desc['challan']['lh_shortage'] }}</td>
                    <td>{{ $voucher_desc['deduction'] }}</td>
                    <td></td>
                    <td>{{ $voucher_desc['received_amt'] }}</td>
                </tr>
            
                
                <?php $sum_receipt += $voucher_desc['receipt_amt']; ?>
                <?php $sum_received += $voucher_desc['received_amt']; ?>
                <?php $sum_deduction += $voucher_desc['deduction']; ?>
                <?php $sum_tds += $voucher_desc['tds'];
                
                }
                ?>

          


                
                @endforeach 
            </table>
        </div>

        <div>
            <table width="100%" style="border-top: 2px solid black;">
                <tr>
                    <td class="bold">TOTAL AMOUNT</td>
                    <td width="100px" class="bold">{{ $sum_receipt }}</td>
                </tr>
                <tr>
                    <td>Less:</td>
                    <td width="100px" style="text-align: center;"> {{ $sum_tds+$sum_deduction }} </td>
                </tr>
            </table>
        </div>

        <div>
            <table width="100%" style="border-top: 2px solid black;">
                <tr>
                    <td class="bold">AMOUNT PAID</td>
                    <td width="100px"> {{ $sum_received }} </td>
                </tr>

            </table>
        </div>

        <div>
            <table width="100%" style="border-top: 2px solid black;">
                <tr>
                    <td class="bold" style="padding-bottom: 30px;"> {{ numberToWords($sum_received) }} Only
                    </td>
                </tr>

            </table>
        </div>
    </div>
</body>

</html>