@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    
    function numberToWords($number) {
        $no = floor($number);
        $point = round($number - $no, 2) * 100;
        $hundred = null;
        $digits_1 = strlen($no);
        $i = 0;
        $str = array();
        $words = array(
            '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
            '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
            '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
            '80' => 'Eighty', '90' => 'Ninety'
        );
        $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
        while ($i < $digits_1) {
            $divider = ($i == 2) ? 10 : 100;
            $number = floor($no % $divider);
            $no = floor($no / $divider);
            $i += ($divider == 10) ? 1 : 2;
            if ($number) {
                $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
                $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
                $str [] = ($number < 21) ? $words[$number] .
                    " " . $digits[$counter] . $plural . " " . $hundred
                    :
                    $words[floor($number / 10) * 10]
                    . " " . $words[$number % 10] . " "
                    . $digits[$counter] . $plural . " " . $hundred;
            } else $str[] = null;
        }
        $str = array_reverse($str);
        $result = implode('', $str);
        $points = ($point) ?
            "." . $words[$point / 10] . " " . 
                $words[$point = $point % 10] : '';
                echo $result . "Rupees  ";
        // echo $result . "Rupees  " . $points . " Paise";
    }

    //$copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    //$copies = explode(',', $copies);





@endphp


<!DOCTYPE html>
<html><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta charset="utf-8">
<title>{{ $voucher->voucher_number }}</title>
<style>
body{ margin:0; padding:0; font-size:14px; font-family:Arial, Helvetica, sans-serif; font-weight:bold; -webkit-print-color-adjust:exact; -moz-print-color-adjust:exact; -o-print-color-adjust:exact; print-color-adjust:exact;}
p{ margin:0; padding:0;}
table{ border-collapse:collapse;}
.style1{ font-size:40px; font-weight:bold;}
.style2{ font-size:20px;}
table{ border-collapse:collapse; visibility:collapse; visibility:visible;}
.text-right{ float:right;}
td{ height:20px; text-indent:5px;}
.fetch-data-color{ color:#666; font-size:15px; text-align:center;}
.top-border{ border-top:none;}
.bottom-border{ border-bottom:none;}
.left-border{ border-left:none;}
.right-border{ border-right:none;}
</style>
</head>

<body onload="myFunction()">
<table width="980" border="1" cellspacing="0" cellpadding="10" align="center" bgcolor="#CCCCCC" bordercolor="#999999"><tbody><tr><td>
<table width="980" border="1" cellspacing="0" cellpadding="0" align="center" bgcolor="#FFFFFF" bordercolor="#999999">
	<tbody><tr><td width="20%" style="position:relative">
    	<div id="myDIV" style="position:absolute; top:180px; left:-160px; transform:rotate(90deg)">
        <table width="520" height="80" align="left" border="0" cellpadding="0" cellspacing="0">
            <tbody><tr><td colspan="3"></td></tr>
            <tr><td colspan="2">The SUM of Rupees : {{ $voucher->total_dr_amount }}</td>
                <td rowspan="4" width="10%" align="right"><table height="70" width="50" border="1" cellspacing="0" cellpadding="0"><tbody><tr><td>&nbsp;</td></tr></tbody></table></td>
            </tr>
            <tr><td width="60%">By Cash/Cheque No : {{ $voucher->cheque_number }} </td>
                <td width="30%">Dated : {{ formatDate($voucher->cheque_date) }}</td>
            </tr>
            <tr><td colspan="2">on account of :</td></tr>
            <tr><td colspan="3">&nbsp;</td></tr>       
            <tr><td colspan="3">
            	<table height="30" width="200" border="1" cellspacing="0" cellpadding="0" align="right">
                    <tbody><tr><td>Rs. <strong>{{ $voucher->total_dr_amount }}/-</strong></td></tr>
                </tbody></table>
                </td>
            </tr>                            
		</tbody></table>
        </div>
    	</td>
        
        
    	<td width="80%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
     	<tbody><tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tbody><tr>
            <!--<p><img src="img/logo.png" style="width:50px"></p>-->
            <td align="center"><p><strong>Voucher Type - {{ $voucher->voucher_name }}</strong></p><p class="style1" style="font-size:20px;">
              {{ $company->company_name }}</p>
                <p class="style2">
                </p>
                 </td>
                  </tr>
                 <tr>
                <td align="center">  {{ $company->address1 }}</td> 
                </tr>
                
               <tr>
                <td align="center">Mob.:  {{ $company->mob1 }} Mob.:  {{ $company->mob2 }}</td> 
                
                </tr>
            	 
           
         
        </tbody></table></td>
      </tr>
      <tr>
        <td><table width="100%" height="30" border="0" cellspacing="0" cellpadding="0">
  <tbody><tr>
    <td width="14%">Voucher No. :</td>
    <td width="41%">{{ $voucher->voucher_number }}</td>
    <td width="8%">Dated :</td>
    <td width="37%">{{ formatDate($voucher->voucher_date) }}</td>
  </tr>
</tbody></table>
</td>
      </tr>
      <tr>
        <td class="left-border right-border">
            <table width="100%" border="1" cellspacing="0" cellpadding="0">
                <tbody>
                    <tr>
                        <td width="70%" align="center" class="left-border" bgcolor="#CCCCCC">
                            <strong>P A R T I C U L A R S</strong>
                        </td>
                        <td colspan="2" rowspan="2" class="right-border">
                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
                                <tbody>
                                    <tr>
                                        <td colspan="2" align="center">AMOUNT</td>
                                    </tr>
                                    <tr>
                                        <td align="center">Rs.</td>
                                        <td align="center">P.</td>
                                    </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;&nbsp;<strong>DEBIT</strong></td>
                    </tr>
                    @foreach($voucher->voucher_acc_details as $detail)
                        @if($detail->nature == 'dr')
                            @php
                                $dr_amount = explode('.', number_format($detail->dr_amount, 2, '.', ''));
                                $dr_rupees = $dr_amount[0];
                                $dr_paise = $dr_amount[1];
                            @endphp
                            <tr>
                                <td align="left">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    {{ $detail->account['account_name'] }} 
                                    &nbsp;
                                </td>
                                <td width="11%" align="right" valign="top">
                                    <strong>{{ $dr_rupees }}</strong>
                                </td>
                                <td width="11%" align="right" valign="top">
                                    <strong>{{ $dr_paise }}</strong>
                                </td>
                            </tr>
                            <tr>
                              <td> {{ $detail->account['party']?'Account No : '.$detail->account['party']['account_number']:'' }}  </td>
                            </tr>
                        @endif
                    @endforeach
                    <tr>
                        <td>[{{ $voucher->narration }}  {{ $voucher->cheque_number }} ]&nbsp;</td>
                        <td rowspan="5">  </td>
                        <td rowspan="5"></td>
                    </tr>
                    <tr>
                        <td align="center"></td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    @php
                        $total_dr_amount = explode('.', number_format($voucher->total_dr_amount, 2, '.', ''));
                        $total_dr_rupees = $total_dr_amount[0];
                        $total_dr_paise = $total_dr_amount[1];
                    @endphp
                    <tr>
                        <td>&nbsp;&nbsp;<strong>Rs. {{ numberToWords($voucher->total_dr_amount) }}/-<span class="text-right">Total Rs.&nbsp;&nbsp;</span></strong></td>
                        <td align="right"><strong>{{ $total_dr_rupees }}</strong></td>
                        <td align="right"><strong>{{ $total_dr_paise }}</strong></td>
                    </tr>
                    <tr>
                        <td><strong>&nbsp;&nbsp;CREDIT</strong></td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                    </tr>
                    @foreach($voucher->voucher_acc_details as $detail)
                        @if($detail->nature == 'cr')
                            @php
                                $cr_amount = explode('.', number_format($detail->cr_amount, 2, '.', ''));
                                $cr_rupees = $cr_amount[0];
                                $cr_paise = $cr_amount[1];
                            @endphp
                            <tr>
                                <td align="left">
                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                    {{ $detail->account['account_name'] }} 
                                    &nbsp;
                                </td>
                                <td width="11%" align="right" valign="top">
                                    <strong>{{ $cr_rupees }}</strong>
                                </td>
                                <td width="11%" align="right" valign="top">
                                    <strong>{{ $cr_paise }}</strong>
                                </td>
                            </tr>
                        @endif
                    @endforeach
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                    </tr>
                    @php
                        $total_cr_amount = explode('.', number_format($voucher->total_cr_amount, 2, '.', ''));
                        $total_cr_rupees = $total_cr_amount[0];
                        $total_cr_paise = $total_cr_amount[1];
                    @endphp
                    <tr>
                        <td>&nbsp;&nbsp;<strong>Rs. {{ numberToWords($voucher->total_cr_amount) }} Only/-<span class="text-right">Total Rs.&nbsp;&nbsp;</span></strong></td>
                        <td align="right"><strong>{{ $total_cr_rupees }}</strong></td>
                        <td align="right"><strong>{{ $total_cr_paise }}</strong></td>
                    </tr>
                </tbody>
            </table>
        </td>
    </tr>
    
    
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tbody><tr><td colspan="2"></td></tr>
          <tr height="50">
            {{-- <td width="46%" valign="middle">Approved by ________________________________</td> --}}
            <td align="right" valign="bottom">&nbsp;&nbsp;</td>
            </tr>
            <tr height="50">
            <td width="46%" valign="middle">Signature &nbsp;&nbsp; ________________________________</td>
            <td align="right" valign="bottom">Receiver's Signature&nbsp;&nbsp;</td>
            </tr>
        </tbody></table></td>
      </tr>
    </tbody></table></td>
  </tr>
</tbody></table></td></tr></tbody></table>


<?php  
   if(count($voucher->voucher_descs)>0){
?>
<table width="980" border="1" cellspacing="0" cellpadding="10" align="center" bgcolor="#FFFFFF" bordercolor="">
    <tr>
        <th>#</th>
        <th>AGAINST</th>
        <th>AMOUNT</th>
    </tr>

    <?php $desc_count = 0; ?>
    @foreach($voucher->voucher_descs as $voucher_desc)
    <tr style="text-align: center;">
        <td>{{ ++$desc_count }}</td>
        <td>{{ $voucher_desc['against'] }} &nbsp; &nbsp; / &nbsp; &nbsp; {{ $voucher_desc['against_number'] }} &nbsp;&nbsp; / &nbsp;&nbsp;{{ formatDate($voucher_desc['date']) }} <?php if($voucher_desc['against']=='Challan'){ ?>  &nbsp; &nbsp; / &nbsp; &nbsp; ( {{ $voucher_desc['challan']['vehicle']?$voucher_desc['challan']['vehicle']['vehicle_number']:'Unkn Veh.' }} ) &nbsp;&nbsp; / &nbsp; &nbsp; ( {{ $voucher_desc['challan']['source']?$voucher_desc['challan']['source']['station_name']:'Unkn Src.' }} &nbsp;&nbsp; - &nbsp; &nbsp; {{ $voucher_desc['challan']['destination']?$voucher_desc['challan']['destination']['station_name']:'Unkn Desti.' }} ) <?php } ?> &nbsp;&nbsp;</td>
        <td> {{ $voucher_desc['receipt_amt'] }} </td>
    </tr>
    @endforeach 
</table>
<?php } ?>


</body></html>