  
@php

    

function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}

function reorderVehicleNumber($vehicle) {
        if ($vehicle) {
            $vehicle_number = $vehicle;
            if (strlen($vehicle_number) > 4) {
                $first_part = substr($vehicle_number, 0, 4);
                $second_part = substr($vehicle_number, 4);
                return $second_part . $first_part;
            }
            return $vehicle_number; // In case the vehicle number is less than 4 characters
        }
        return '';
    }


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp

<!DOCTYPE html>
<html lang="en">

<head>
    <title>
        @php
        if(isset($multi_print)){
          echo 'MULTI PRINT';
        }
        else{
          echo $bill->bill_number;
        }
      @endphp
    </title>
</head>
<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        font-size: 14px;
        font-family: poppins, sans-serif;
    }
    .input-del {
        width: 25px;
        height: 25px;
    }
    table,tr,th,td { margin: 0;}
    td,
    th {
        text-indent: 4px;
        padding: 8px 0;
    }
    .main-page {
        border: 1px solid #000;
        font-weight: 700;
        padding-top: 10px;
        position: relative;
        margin-top: 20px;
    }
    .main { border-top: none;border-bottom: none;
    }
    .hide td{border-top: none;}
    @media print {
        table {
            width: 100%;
            font-size: 14px;
            word-wrap: break-word;}}
</style>
<body>
 
    <?php

    if(!isset($multi_print)){
       $multi_bills[] = $bill;
    }
     
 
 
    
  ?>
 
 @foreach($multi_bills as $bill)
 
 
 <?php
 $i = 0;
 
 
 ?>
 
 
 
 @foreach($copies as $copy)
 
 <?php
 $i++;
 ?>
 
    <div style="width: 1200px;margin: 0 auto;">
        <div class="main-page">
            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <div style="display: flex;">
                    <div>
                        <P></P>
                    </div>
                    <div style="margin-left: 15rem;text-align: center;margin-bottom: 15px;">
                        <h2><span style="color: #332b64;font-size: 45px; font-family: Acme, sans-serif;">{{ $company->company_name }}</span></h2>
                        <P style="font-size: 15px;">{{ $company->address1 }}, {{ $company->pincode }}</P>
                        
                    </div>
                </div>
            </table>

            <table width="100%" cellspacing="0" cellpadding="0" align="center"style="margin-top
            20px;">
               <tr>
                <td width="10%"style="font-size: 17px;color: #5a5959;">Invoice No.</td>
                <td style="font-size: 17px;color: #5a5959;">{{ $bill->bill_number }}</td>
                <td width="40%"></td>
                <td align="center">DATE</td>
               </tr>
               <tr>
                <td style="font-size: 20px;color: #5a5959;">Name - </td>
                <td style="font-size: 20px;color: #5a5959;">{{ $bill->acc_party['account_name'] }}</td>
                <td></td>
                <td align="center">{{ formatDate($bill->bill_date) }}</td>
               </tr>

               <?php
                  
               
               ?>

                @php
                $account_name = $bill->acc_party['account_name'];
                $adani_party = strpos(strtolower($account_name), 'adani') !== false;

                @endphp

               <tr>
                <td style="font-size: 20px;color: #5a5959;"> </td>
                <td style="font-size: 20px;color: #5a5959;" width="25%" colspan="2">{{ $bill->acc_party['party']['address1'] }} {{ $bill->acc_party['party']['address2'] }} {{ $bill->acc_party['party']['state'] }}</td>
                <td align="center"></td>
               </tr>
               <tr>
                <td style="font-size: 20px;color: #5a5959;"> </td>
                <td style="font-size: 20px;color: #5a5959;" width="25%" colspan="2">{{ $bill->acc_party['party']['gst_number'] }}</td>
                <td align="center"></td>
               </tr>
               <tr>
                <td style="font-size: 20px;color: #5a5959;"> </td>
                <td width="25%"  colspan="2"></td>
                <td align="center"></td>
               </tr>
                </table>
                <table width="100%" cellspacing="0" cellpadding="0" align="end"border="1"style="margin-top:15px;">
                    <tr align="center">
                        <td>S.NO.</td>
                        <td>DATE</td>
                        <td>LR NO</td>
                        <td>VEHICLE NO.</td>
                        <td>FROM</td>
                        <td>TO</td>

                        <?php
                           if($adani_party){
                            ?>
                            <td>RFQ</td>
                            <td>Shipment</td>
                            <?php
                           }
                        ?>
                        <td>WEIGHT</td>
                        <td>RATE/MT</td>
                        <td>FREIGHT</td>
                        <td>TOTAL</td>
                    </tr>
                    <?php $total_count = 10; $total_freight = 0;?>
                    <?php
                       $serial=0;
                    ?>
                    @foreach($bill->bill_desc as $bill_desc)
                    <tr align="end">
                        <td>{{ $serial+1 }}</td>
                        <td>{{ formatDate($bill_desc['gr_date']) }}</td>
                        <td>{{ $bill_desc['gr_number'] }}</td>
                        <td>{{ $bill_desc['vehicle']?reorderVehicleNumber($bill_desc['vehicle']['vehicle_number']):'' }}</td>
                        <td>{{ $bill_desc['source']['station_name'] }}</td>
                        <td>{{ $bill_desc['destination']['station_name'] }} </td>

                        <?php
                           if($adani_party){
                            ?>
                            <td>{{ $bill_desc['po_no'] }}</td>
                            <td>{{ $bill_desc['shipment_number'] }}</td>
                            <?php
                           }
                        ?>

                        <td>{{ $bill_desc['total_material_weight'] }}</td>
                        <td>{{ $bill_desc['rate'] }}</td>
                        <td>{{ $bill_desc['freight'] }} <?php $total_freight+=$bill_desc['freight'] ;?></td>
                        <td>{{ round($bill_desc['total_without_gst']) }}</td>
                    </tr>
                    <?php $serial++; ?>
                    @endforeach  
                
                <?php  
                    for($j=1; $j<=$total_count-$serial; $j++){
                     ?>

                    
                    <tr align="end">
                        <td>&nbsp;</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <?php
                           if($adani_party){
                            ?>
                            <td></td>
                            <td></td>
                            <?php
                           }
                        ?>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                    </tr>

                        <?php
                    }


                ?>
                    
                </table>
                <table width="100%" cellspacing="0" cellpadding="0" align="center"border="1"style="">
                    <tr>
                        <td width="81%"></td>
                        <td align="end">{{ $total_freight }}</td>
                        <td align="end">{{ round($bill->grand_total_amount) }}</td>
                    </tr>
                </table>
                <table width="100%" cellspacing="0" cellpadding="0" align="center">
                    <tr>
                        <td>PAN : {{ $company->pan_number }}
                        <P>BANK : {{ $company->bank_name }}</P>
                        <P>ACCOUNT : {{ $company->account_number }}</P>
                        <P>IFSC : {{ $company->ifsc }}</P>
                        <P>NAME : {{ $company->account_name }}</P>
                    </td>
                    <td align="end">{{ numberToWords($bill->grand_total_amount) }}</td>
                    </tr>
                    <tr>
                        
                       
                    </tr>
                    <tr>
                       
                    </tr>
                    <tr>
                       
                    </tr>
                    </table>
            </div>

            
        </div>
        <?php

        if($i%1==0 && isset($copies[$i])){
           echo '<div style="page-break-before: always;"></div>';
        }
        ?>
        
        @endforeach
        
        @endforeach
</body>
</html>