@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    $copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <style >
     * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        font-size: 14px;
        font-family: poppins, sans-serif;
    }

    .input-del {
        width: 25px;
        height: 25px;
    }

    table,
    tr,
    th,
    td {
        margin: 0;
    }

    td,
    th {
        text-indent: 4px;
        padding: 8px 0;
    }
    .main-page {
        border: 1px solid #000;
        font-weight: 700;
        padding-top: 10px;
        position: relative;
        margin-top: 20px;
    }
    .main {
        border-top: none;
        border-bottom: none;
    }
    .hide td {
        border-top: none;
    }

    .main-container {
        top: 10px;
        margin: auto;
        width: 1200px;
        padding: 5px;
        border: 1px solid black;
    }

    .border-around{
  border: solid 1px black;
}

.border-x{
  border-left: solid 1px black;
  border-right: solid 1px black;
}

.border-y{
  border-top: solid 1px black;
  border-bottom: solid 1px black;
}

.border-t{
  border-top: solid 1px black;
}
.border-l{
  border-left: solid 1px black;
}
.border-r{
  border-right: solid 1px black;
}
.border-b{
  border-bottom: solid 1px black;
}
      
  </style>
</head>
<body>

  <div class="main-container small">
            
    <table width="100%" class="border-around text-center">
          
        <tr style="height:60px;max-height:60px;">
            <td class="w-25" colspan="3">
                <img src="img/bs.png" width="150" />
            </td>
            <td  colspan="9" class="p-2 ">
                <h6 class="text-center fw-bold"> <u> Challan Receipt </u></h6>
                <h2 class="fw-bold">{{ $company->company_name }}</h2>
                <h6 class="fw-bold">{{ $company->address1 }} {{ $company->mob1 }}</h6>
                <h6 class="fw-bold">GSTIN No.: {{ $company->gst_number }}</h6>
            </td>
        </tr>


        <tr class=" text-start">
            <td colspan="6" class="p-2"  width="50%">
                <p><b>No. : </b> {{ $challan_receipt->challan_rec_number }}</p>
            </td>
            <td colspan="6" class="p-2" width="50%">
                <p><b> Truck No. :</b> {{ $challan_receipt->vehicle ? $challan_receipt->vehicle['vehicle_number'] : ''  }}</p>
            </td>
        </tr>

        <tr class=" text-start">
            <td colspan="6" class="p-2"  width="50%">
                <p><b>Challan No : </b> {{ $challan_receipt->challan ? $challan_receipt->challan['challan_number'] : ''  }}</p>
            </td>
            <td colspan="6" class="p-2" width="50%">
                <p><b>  Date :</b> {{ formatDate($challan_receipt->arrival_date) }}</p>
            </td>
        </tr>

        <tr class=" text-start">
            <td colspan="6" class="p-2"  width="50%">
                <p><b>Total Packages : </b> {{ $challan_receipt->total_unloaded_pkg }}</p>
            </td>
            <td colspan="6" class="p-2" width="50%">
                <p><b>Received Packages :</b> {{ $challan_receipt->total_unloaded_pkg }}</p>
            </td>
        </tr>

        <tr class=" text-start">
            <td colspan="3" class="p-2"  width="33%">
                <p><b>From 	: </b> {{ $challan_receipt->arrival_from_branch }}</p>
            </td>
            <td colspan="3" class="p-2"  width="33%">

            </td>
            <td colspan="6" class="p-2" width="33%">
                <p><b>Driver Name  :</b> {{ $challan_receipt->driver?$challan_receipt->driver['emp_name']:'' }}</p>
            </td>
        </tr>


        {{-- <tr>
            <td colspan="12" class="py-2" >
                <table width="100%" >
                    <thead>
                        <tr>
                            <th style="width:33%;" class="border-around">#</th>
                            <th style="width:33%;" class="border-around">Rs.</th>
                            <th style="width:33%;" class="border-around">Paid</th>
                        </tr>
                    </thead>

                    <tbody>
                        <tr>
                            <td class="border-around">T.F.</td>
                            <td class="border-around">1000</td>
                            <td class="border-around">0</td>
                        </tr>
                        <tr>
                            <td class="border-around">D.C.& L</td>
                            <td class="border-around">1000</td>
                            <td class="border-around">0</td>
                        </tr>
                        <tr>
                            <td class="border-around">Total</td>
                            <td class="border-around">1000</td>
                            <td class="border-around">0</td>
                        </tr>
                        <tr>
                            <td class="border-around">Paid to Driver</td>
                            <td class="border-around">1000</td>
                            <td class="border-around">0</td>
                        </tr>
                        <tr>
                            <td class="border-around">Balance</td>
                            <td class="border-around">4000</td>
                            <td class="border-around">0</td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr> --}}


        <tr style="font-weight: bold; height:200px" class="fw-bold border-y" >

            <td colspan="12" class="p-3">
                <p>For {{ $company->company_name }}</p>
                <br/><br/>
                <br/><br/>
                <br/><br/>
                <p>Authorised Signature</p>
            </td>
            
        </tr>
          
    </table>

</div>

  
</body>
</html>