
@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    function numberToWords($number) {
        $no = floor($number);
        $point = round($number - $no, 2) * 100;
        $hundred = null;
        $digits_1 = strlen($no);
        $i = 0;
        $str = array();
        $words = array(
            '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
            '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
            '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
            '80' => 'Eighty', '90' => 'Ninety'
        );
        $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
        while ($i < $digits_1) {
            $divider = ($i == 2) ? 10 : 100;
            $number = floor($no % $divider);
            $no = floor($no / $divider);
            $i += ($divider == 10) ? 1 : 2;
            if ($number) {
                $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
                $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
                $str [] = ($number < 21) ? $words[$number] .
                    " " . $digits[$counter] . $plural . " " . $hundred
                    :
                    $words[floor($number / 10) * 10]
                    . " " . $words[$number % 10] . " "
                    . $digits[$counter] . $plural . " " . $hundred;
            } else $str[] = null;
        }
        $str = array_reverse($str);
        $result = implode('', $str);
        $points = ($point) ?
            "." . $words[$point / 10] . " " . 
                $words[$point = $point % 10] : '';
                echo $result . "Rupees  ";
        // echo $result . "Rupees  " . $points . " Paise";
    }


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original,Duplicate';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp



<html><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>

    @php
    if(isset($multi_print)){
      echo 'MULTI PRINT';
    }
    else{
      echo $credit_note->cn_number;
    }
  @endphp

</title>
<style>
body{margin: 0;	padding: 0;	font-size:13px;	font-family: Arial, Helvetica, sans-serif;	line-height:25px;}
p{margin:0;padding:0;}
.font_blue{color:#2a93cd;}
.style1{font-size:22px;	font-weight:bold; font-family:"Arial Black", Gadget, sans-serif; margin:10px 0;	display: inline-block;}
.top_bottom{height:5px; width:81%; margin-left:25px;}
.style2{font-size:19px; font-weight:bold;}
.style3{font-size:22px; font-weight:bold; margin:3px 0; }
.style4{font-size:15px;}
.style5{font-size:14px; text-indent:3px;}
.txt-justify{text-align:justify; margin:0 3px}

table{border-collapse: collapse; border-color:#000;}
.radius_div{padding:10px;border: 1px solid #000; border-radius: 10px; width:90%; margin:2% auto;}
.design-box{width:auto;	display: block;	padding: 0px;	margin: 5px;	border: 1px solid #000;	border-radius: 10px;	line-height:18px;}
.dot-border{ border-bottom:1px dotted #000; box-sizing:border-box;}
.horizontal-ruler{	width: auto;	border: 1px solid #000;	margin: 0 -5px;}
.text-center{text-align: center;}
.four-border{border:1px solid #000;}
.top-border{border-top: 1px solid #000;}
.bottom-border{	border-bottom: 1px solid #000;}
.left-border{border-left: 1px solid #000;}
.right-border{border-right: 1px solid #000;}
.remove-border{border-bottom:1px solid #fff;}
td,th{height:35px; line-height:25px; border-color:#000; font-weight:normal}
table.align_top td{vertical-align:top; font-weight:bold; padding-left:10px; height:43px}
.font_90{ font-size:90%}
.font_115{ font-size:115%}
.font_120{ font-size:120%}
.font_125{ font-size:125%}
.font_130{ font-size:130%}
.font_140{ font-size:140%}
.font_150{ font-size:150%}
.pd2{padding: 3px;}  
</style>
</head>
<body>

  
<?php if($company->company_name == 'PROFESSIONAL PACKERS & MOVERS PVT. LTD.'){
 
    $stamp_img = "img/PROFESSIONAL PACKERS & MOVERS PVT. LTD.-stamp.png";
}else{
   $stamp_img = "img/pro_stamp.png";
} ?>


    @foreach($copies as $copy)

    <?php
      $i = 1;
    ?>

<table width="1000" border="1" cellpadding="0" cellspacing="0" align="center" style="margin-top:10px;">
    <tbody><tr>
        <th>
            <div class="box1">
              <table width="100%" cellpadding="0" cellspacing="0">                       
                  <tbody><tr>
                      <td class="bb bl pd2" style="text-align: center"> 
                          <h2 class="mnone center pd2" style="color:#F00">{{ $company->company_name }}</h2>
                          <p class="mnone center pd2 small bold">{{ $company->address1 }}</p>
                          <!--p class="mnone center pd2 small bold">Mob.: </p>
                          <p class="mnone center pd2 small bold">Web :   |   </p-->
                        </td>
                  </tr>
              </tbody></table>
          </div>

        </th>
    </tr>
    <tr><td><table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
            <tbody><tr><th colspan="3" align="center" bgcolor="#CCCCCC"><p style="font-size:130%">Tax Invoice </p></th></tr>
            <tr>
              <td width="57%" valign="top">
                    Cr To
                    
                      <p>Name : <span class="font_130">{{ $credit_note->acc_party['account_name'] }} </span></p>
                    
                    <p>Address : {{ $credit_note->acc_party['party']['address1'].",".$credit_note->acc_party['party']['address2'] }}                    </p>
                     <p>GSTIN : {{ $credit_note->acc_party['party']['gst_number'] }}</p>
                </td>
                <td width="43%" align="right" valign="top">
                
                    <p style="font-size:100%; font-weight:bold">Credit Note. No.: {{ $credit_note->cn_number }}                    &nbsp; </p>
                    <p>Date.:
                      {{ formatDate( $credit_note->cn_date ) }}                      &nbsp;</p>
                      <p>Custmer Ref.No:
                      {{ $credit_note->party_ref_number }}                      &nbsp;</p>
                </td>
            </tr>
        	

            
        </tbody></table>
	</td>                                    
</tr>
</tbody></table>
<table width="1000" border="1" cellspacing="0" cellpadding="0" align="center"><tbody><tr><td>
<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center" bgcolor="#FFFFFF">
<tbody><tr height="250"><td valign="top">
	<table width="100%" border="0" cellspacing="0" cellpadding="0" align="center">
  	<tbody>

        <tr bgcolor="#CCCCCC" class="bottom-border">
    	<th width="3%" class="right-border" rowspan="2">S.No.</th>
        <th width="20%" class="right-border" rowspan="2">Against Bill</th>
        <th width="20%" class="right-border" rowspan="2">Bill Date</th>
        <!--th width="5%" class="right-border" rowspan="2">Qty.</th>
		<th width="3%" class="right-border" rowspan="2">UOM</th>
    	<th width="5%" rowspan="2" class="right-border">Rate (Per Item)</th>
        <th width="7%" rowspan="2" class="right-border">Total (Rs)</th>
        <!--th width="7%" rowspan="2" class="right-border">Dealer Margin & Rebates</th-->
		<th width="20%" rowspan="2" class="right-border">Freight Value (Rs)</th>  	
        <!--th width="10%" colspan="2" class="right-border">CGST </th>
        <th width="10%" colspan="2" class="right-border">SGST</th>
        <th width="10%" colspan="2">IGST </th-->
       </tr>
        
       <!--tr bgcolor="#CCCCCC" class="bottom-border">
    			<th class="right-border">Rate (%)</th>
                <th class="right-border">Amt (Rs)</th>
                <th class="right-border">Rate (%)</th>
                <th class="right-border">Amt (Rs)</th>
            	<th class="right-border">Rate (%)</th>
                <th>Amt (Rs)</th>
       </tr-->
       <tr bgcolor="#CCCCCC" class="bottom-border"></tr>
    <!--tr bgcolor="#CCCCCC">
    	<th width="10%" class="bottom-border right-border">123</th>
        <th width="10%"  class="bottom-border right-border">124</th>
    </tr-->
             				
    <?php $serial_count = 0 ;?>
    
    @foreach($credit_note->cn_desc as $cn_desc) 

     <tr class="bottom-border font_90">
        <th class="right-border">{{ ++$serial_count }}</th>
        <th class="right-border">{{ $cn_desc['bill_number'] }}</th>
        <th class="right-border">{{ formatDate($cn_desc['bill_date']) }}</th>
        <th class="right-border" align="right">{{ $cn_desc['amount'] }}</th>
    </tr>            
    @endforeach
            
       <tr class="top-border ">
        	<th colspan="3" class="right-border" align="left">&nbsp;</th>
            <th colspan="1" align="right">Taxable Amount : {{ $credit_note->total_without_tax }}</th>
		</tr>
        <tr>
        	<th colspan="3" class="right-border" align="left">&nbsp;</th>
            <th colspan="1" align="right"><span>Add IGST : </span>{{ $credit_note->igst_amount }}</th>
		</tr>
        <tr>
        	<th colspan="3" class="right-border" align="left">&nbsp;</th>
            <th colspan="1" align="right"><span>Add CGST : </span>{{ $credit_note->cgst_amount }}</th>
		</tr> 
        <tr>
        	<th colspan="3" class="right-border" align="left">&nbsp;</th>
            <th colspan="1" align="right"><span>Add SGST : </span>{{ $credit_note->sgst_amount }}</th>
		</tr> 

        <tr>
        	<th colspan="3" class="right-border" align="left"> <p>Total GST Amount (in words): {{ numberToWords($credit_note->igst_amount + $credit_note->cgst_amount + $credit_note->sgst_amount) }} only /-</p>
        	<p>&nbsp;</p></th>
            <th colspan="1" align="right">Total GST:  {{ $credit_note->igst_amount + $credit_note->cgst_amount + $credit_note->sgst_amount }}</th>
		</tr>      
        <tr class="bottom-border">
        	<th colspan="3" class="right-border" align="left"> Net Amount (in words) : {{ numberToWords($credit_note->grand_total) }} /-</th>
            <th colspan="1" align="right"><strong>{{ $credit_note->grand_total }}</strong></th>
		</tr>
        
        </tbody></table>  
<!--tr class="top-border bottom-border">
           <td colspan="13">&nbsp;<strong>Total Value :  only /-</strong></td>        
        </tr-->
</td></tr></tbody></table>
    </td>
</tr>
<tr><td valign="top">
	<table width="100%" align="center">
        
        
        <!--tr><td colspan="6" class="text_indnt">
        		<br>
               <p>GST Tax Calculation : </p>
                <p>SAC CODE : </p>
                <p>TOTAL FREIGHT(Rs.) : </p>
                                <p>IGST(5%)&ensp; : &ensp;&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;&ensp;0</p>                <p>TOTAL TAXABLE: &ensp;&ensp;&ensp;&ensp;&ensp;&ensp;0</p>               </td>
        </tr-->
        <tbody><tr><td colspan="6">
        <p>&nbsp;</p>
        </td>
        
        </tr>
        <tr><th colspan="6"><p style="margin:0 0 20px 500px">For <span class="font_120"><strong>{{ $company->company_name }}</strong></span></p>
        
        <p style="text-align: right">
            <img src="<?=$stamp_img?>" width="110" style="position: relative;" height="100">&ensp;&ensp;&ensp;
    
            <?php
                  $sign_pic = 'img/signature.png';
                 if($credit_note->created_by_user['username']=='mishra'){
                    $sign_pic = 'img/Mishra.png';
                 }
                 else if($credit_note->created_by_user['username']=='dheeraj'){
                    $sign_pic = 'img/Dheeraj.png';
                 }
                 else if($credit_note->created_by_user['username']=='neelkamal'){
                    $sign_pic = 'img/Neelkamal.png';
                 }
                 else if($credit_note->created_by_user['username']=='Admin'){
                    $sign_pic = 'img/Rajesh.png';
                 }
    
            ?>
            <img src="<?=$sign_pic?>" style="position: relative;left: -80;" width="110" height="100">
            </p>
        <p style="margin:0 0 0px 500px">For <span class="font_120">Authorized Signatory</span></p></th></tr>
	</tbody></table>
    </td>
</tr>        
</tbody></table>

<?php
           if($i%1==0){
               echo '<div style="page-break-before: always;"></div>';
           }
        ?>
@endforeach



</body></html>