@php

    
function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}

function return_start_end_odm($descs ) {
    // OUT OF THEM DESC I want the smalled desc.start_km and largest desc.end_km. Descs is array of objects
    $start_odm = $descs[0]['start_reading'];
    $end_odm = $descs[0]['end_reading'];

    foreach ($descs as $desc) {
        if ($desc['start_reading'] < $start_odm) {
            $start_odm = $desc['start_reading'];
        }

        if ($desc['end_reading'] > $end_odm) {
            $end_odm = $desc['end_reading'];
        }
    }

    return [$start_odm, $end_odm];
}


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $ds->ds_number }}</title>
    <!-- <link rel="stylesheet" href="index.css"> -->
    <style>
        * {
            box-sizing: border-box;
            padding: 0;
            margin: 0;
            font-family: poppins, sans-serif;
        }

        .main {
            margin: auto;
            width: 1000px;
        }

        .center {
            text-align: center;
        }

        .bold {
            font-weight: bold;
        }

        .size {
            font-size: 13px;
        }

        tr {
            height: 25px;
        }

        .mtable td {
            text-align: center;
        }



        .btable td {
            text-align: center;
        }



        .ctable td {
            text-align: center;
            font-size: 13px;
        }


        th {
            font-size: 13px;
        }

        tr {
            font-size: 13px;
        }

        .ctable {
            border: 2px solid black;
        }

        .dtable {
            border: 2px solid black;
        }
    </style>

</head>

<body>
    <div class="main">
        <div>
            <h4 style="background-color: rgb(216, 212, 212); padding:5px;" class="center">Trip Settlement</h4>
            <h1 class="center" style="border-bottom: 2px solid black;">{{ $company->company_name }}</h1>
        </div>
        <div>
            <table width="100%" style="border-bottom: 2px solid black;">
                <tr>
                    <td style="width: 33%;"><span class="bold size">Setlement No. </span><span class="size">:
                        {{ $ds->ds_number }}</span>
                    </td>
                    <td style="width: 33%;"></td>
                    <td style="width: 33%;"><span class="bold size">Date</span><span class="size">: {{ formatDate($ds->settle_date) }}</span>
                    </td>
                </tr>
                <tr>
                    <td><span class="bold size">Vehicle No.</span><span class="size">:{{ $ds->vehicle?$ds->vehicle['vehicle_number']:'' }} </span></td>
                    <td></td>
                    <td><span class="bold size">Model</span><span class="size">:{{ $ds->vehicle?$ds->vehicle['vehicle_type']:'' }}</span></td>
                </tr>
                <tr>
                    <td><span class="bold size">Driver </span><span class="size">: {{ $ds->driver['emp_name'] }}</span></td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td><span class="bold size">Mobile NO.</span> <span class="size">: {{ $ds->driver['contact_number'] }}</span></td>
                    <td><span class="size bold"></td>
                    <td></td>
                </tr>
                <tr>
                    <td><span class="bold size">Balance A/c </span><span class="size">:{{ $ds->driver['emp_name'] }} A/c </span></td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td></td>
                    <td></td>
                    <td><span class="bold size">Period : {{ formatDate($ds->from_date) }} To  {{ formatDate($ds->till_date) }}</span></td>
                </tr>
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                </tr>
                <tr>
                    <td><span class="bold size"
                            style="text-decoration: underline; background-color: rgb(216, 212, 212);">Movement
                            Detail </span></td>
                    <td></td>
                    <td></td>
                </tr>
            </table>

            <div style="border-bottom: 2px solid black;">
                <table width="100%" class="mtable">
                    <tr>
                        <th>Doc No. </th>
                        <th>Source</th>
                        <th>Destination</th>
                        <th>Party</th>
                        <th>Loading</th>
                    </tr>
                    <tr>
                        <td colspan="5">
                            <p style="border: 1px solid black;"></p>
                        </td>
                    </tr>
                    @foreach($ds->d_settlement_desc as $d_settlement_desc)
                    <tr>
                        <td>{{ $d_settlement_desc['against_number'] }}</td>
                        <td>{{ $d_settlement_desc['source'] }}</td>
                        <td>{{ $d_settlement_desc['destination'] }}</td>
                        <td>{{ $d_settlement_desc['acc_party'] }}</td>
                        <td>{{ formatDate($d_settlement_desc['date']) }}</td>
                    </tr>
                    @endforeach
                    <tr>
                        <td style="text-decoration: underline; background-color: rgb(216, 212, 212);" class="bold size">
                            Fuel Issued</td>
                    </tr>
                </table>
            </div>
        </div>

        <div style="border-bottom: 2px solid black;">
            <table width="100%" class="btable">
                <tr>
                    <th style="width: 250px;">Filling Station</th>
                    <th>Voucher NO.</th>
                    <th>Date</th>
                    <th>Qty. Actual</th>
                    <th>Rate</th>
                    <th>Actual</th>
                </tr>




                @foreach($ds->d_settlement_desc as $d_settlement_desc)

                    @foreach($d_settlement_desc['diesel_receipt'] as $diesel_receipt)
                            <?php $copy = json_decode(json_encode($diesel_receipt)) ;?>
                            <tr>
                                <td>{{ $copy->filling_station->account_name }}</td>
                                <td>{{ $diesel_receipt['dr_number'] }}</td>
                                <td>{{ formatDate($diesel_receipt['booking_date']) }}</td>
                                <td>{{ $diesel_receipt['qty'] }}</td>
                                <td>{{ $diesel_receipt['rate'] }}</td>
                                <td>{{ $diesel_receipt['amount'] }}</td>
                            </tr>
                    @endforeach

                @endforeach

                <tr>
                    <td style="border-bottom: 2px solid black;" colspan="6"></td>
                </tr>
                <tr>
                    <td></td>
                    <td class="bold">Total :</td>
                    <td></td>
                    <td class="bold">{{ $ds->total_diesel_receipt_qty }}</td>
                    <td></td>
                    <td class="bold">{{ $ds->total_diesel_receipt_amt }}</td>
                </tr>
            </table>

        </div>


        
        <div style="display: flex;">
            <div style="width: 60%; margin: 5px;">
                <h4> CASH </h4>

                <table width="100%" class="ctable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th style="border-bottom: 2px solid black">Voucher No.</th>
                        <th style="border-bottom: 2px solid black">Date</th>
                        <th style="border-bottom: 2px solid black">Amount</th>
                        <th style="border-bottom: 2px solid black">Remarks</th>
                    </tr>

                    @foreach($ds->d_settlement_desc as $d_settlement_desc)

                        @foreach($d_settlement_desc['payment_voucher'] as $payment_voucher)

                        @if($payment_voucher['voucher']['voucher_acc_details'][0]['account']['account_type']=='Cash')
                        <tr>
                            <td>{{ $payment_voucher['voucher_number'] }}</td>
                            <td>{{ formatDate($payment_voucher['voucher']['voucher_date']) }}</td>
                            <td>{{ $payment_voucher['receipt_amt'] }}</td>
                            <td>{{ $payment_voucher['voucher']['narration'] }}   </td>
                        </tr>
                        @endif

                        @endforeach
                    @endforeach

                    <?php
                    $total_unmarked_amt = 0;
                    
                    ?>
                    
                    @foreach($unmarked_voucher as $unmarked)
                        @if($unmarked['voucher_acc_details'][0]['account']['account_type']=='Cash')
                        <tr>
                            <td>{{ $unmarked['voucher_number'] }}</td>
                            <td>{{ formatDate($unmarked['voucher_date']) }}</td>
                            <td>{{ $unmarked['total_dr_amount'] }}</td>
                            <td>{{ $unmarked['narration'] }}  </td>
                        </tr>
                        @endif

                        <?php  $total_unmarked_amt+=$unmarked['total_dr_amount']; ?>
                    @endforeach



                   
                </table>


                <h4> BANK </h4>

                <table width="100%" class="ctable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th style="border-bottom: 2px solid black">Voucher No.</th>
                        <th style="border-bottom: 2px solid black">Date</th>
                        <th style="border-bottom: 2px solid black">Amount</th>
                        <th style="border-bottom: 2px solid black">Remarks</th>
                    </tr>

                    @foreach($ds->d_settlement_desc as $d_settlement_desc)

                        @foreach($d_settlement_desc['payment_voucher'] as $payment_voucher)

                        @if($payment_voucher['voucher']['voucher_acc_details'][0]['account']['account_type']=='Bank Accounts')
                        <tr>
                            <td>{{ $payment_voucher['voucher_number'] }}</td>
                            <td>{{ formatDate($payment_voucher['voucher']['voucher_date']) }}</td>
                            <td>{{ $payment_voucher['receipt_amt'] }}</td>
                            <td>{{ $payment_voucher['voucher']['narration'] }}   </td>
                        </tr>
                        @endif

                        @endforeach
                    @endforeach

                    <?php
                    $total_unmarked_amt = 0;
                    
                    ?>
                    
                    @foreach($unmarked_voucher as $unmarked)
                        @if($unmarked['voucher_acc_details'][0]['account']['account_type']=='Bank Accounts')
                        <tr>
                            <td>{{ $unmarked['voucher_number'] }}</td>
                            <td>{{ formatDate($unmarked['voucher_date']) }}</td>
                            <td>{{ $unmarked['total_dr_amount'] }}</td>
                            <td>{{ $unmarked['narration'] }}  </td>
                        </tr>
                        @endif

                        <?php  $total_unmarked_amt+=$unmarked['total_dr_amount']; ?>
                    @endforeach


                </table>

                <h4> Party </h4>

                <table width="100%" class="ctable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th style="border-bottom: 2px solid black">Voucher No.</th>
                        <th style="border-bottom: 2px solid black">Date</th>
                        <th style="border-bottom: 2px solid black">Amount</th>
                        <th style="border-bottom: 2px solid black">Remarks</th>
                    </tr>

                    @foreach($ds->d_settlement_desc as $d_settlement_desc)

                        @foreach($d_settlement_desc['payment_voucher'] as $payment_voucher)

                        @if($payment_voucher['voucher']['voucher_acc_details'][0]['account']['account_type']=='Party')
                        <tr>
                            <td>{{ $payment_voucher['voucher_number'] }}</td>
                            <td>{{ formatDate($payment_voucher['voucher']['voucher_date']) }}</td>
                            <td>{{ $payment_voucher['receipt_amt'] }}</td>
                            <td>{{ $payment_voucher['voucher']['narration'] }}   </td>
                        </tr>
                        @endif

                        @endforeach
                    @endforeach

                    <?php
                    $total_unmarked_amt = 0;
                    
                    ?>
                    
                    @foreach($unmarked_voucher as $unmarked)
                        @if($unmarked['voucher_acc_details'][0]['account']['account_type']=='Party')
                        <tr>
                            <td>{{ $unmarked['voucher_number'] }}</td>
                            <td>{{ formatDate($unmarked['voucher_date']) }}</td>
                            <td>{{ $unmarked['total_dr_amount'] }}</td>
                            <td>{{ $unmarked['narration'] }}  </td>
                        </tr>
                        @endif

                        <?php  $total_unmarked_amt+=$unmarked['total_dr_amount']; ?>
                    @endforeach



                   
                </table>
            </div>



            <div style="width: 39%;">
                <h4 style="background-color:rgb(216, 212, 212) ;" class="center">Expenses Detail</h4>
                <table width="100%" class="ctable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th style="border-bottom: 2px solid black;">Head</th>
                        <th style="border-bottom: 2px solid black;">Actual</th>
                    </tr>

                    <tr>
                        <td>FIX EXPENSE</td>
                        <td> {{ $ds->fixed_expense }} </td>
                    </tr>
                    <tr>
                        <td>DRIVER SALARY</td>
                        <td> {{ $ds->salary }} </td>
                    </tr>
                    <tr>
                        <td class="bold"> {{ $ds->present_days }} * {{ $ds->per_day_wage }} </td>
                    </tr>
                    <tr>
                        <td>OTHER</td>
                        <td> {{ $ds->driver_expense - $ds->fixed_expense - $ds->salary }} </td>
                    </tr>
                    <tr>
                        <td>Expense</td>
                    </tr>
                    <tr>
                        <th style="border-top: 2px solid black">Total :</th>
                        <th style="border-top: 2px solid black">{{ $ds->driver_expense }}</th>
                    </tr>
                </table>
            </div>
        </div>


        {{-- <h4> CASH </h4>
        <div style="display: flex;">
            <div style="width: 60%; margin: 5px;">
                <table width="100%" class="ctable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th style="border-bottom: 2px solid black">Voucher No.</th>
                        <th style="border-bottom: 2px solid black">Date</th>
                        <th style="border-bottom: 2px solid black">Amount</th>
                        <th style="border-bottom: 2px solid black">Remarks</th>
                    </tr>
                    <tr>
                        <td>HSR23TAV001336</td>
                        <td>02/06/2023</td>
                        <td>2,000.00</td>
                        <td>Driver : DINESH JIND 3287</td>
                    </tr>
                    <tr>
                        <th colspan="4" style="border-top: 2px solid black;">2,000.00</th>
                    </tr>
                </table>
            </div>
            <div style="width: 39%;"> </div>
        </div>


        <h4> PARTY </h4>
        <div style="display: flex;">
            <div style="width: 60%; margin: 5px;">
                <table width="100%" class="ctable" cellspacing="0" cellpadding="0">
                    <tr>
                        <th style="border-bottom: 2px solid black;width: 200px;">Voucher No.</th>
                        <th style="border-bottom: 2px solid black; width: 200px;">Date</th>
                        <th style="border-bottom: 2px solid black ;width: 200px;">Amount</th>
                        <th style="border-bottom: 2px solid black ;width: 575px;">Remarks</th>
                    </tr>
                    <tr>
                        <td>HSR23TAV001336</td>
                        <td>02/06/2023</td>
                        <td>2,000.00</td>
                        <td>Manifest No. : 2464, Route : AGRA -GURUGRAM, Driver : DINESH JIND 3287, Vehicle : HR39E3287
                            Driver :
                        </td>
                    </tr>
                    <tr>
                        <th colspan="4" style="border-top: 2px solid black;">2,000.00</th>
                    </tr>
                </table>
            </div>
            <div style="width: 39%;"> </div>
        </div> --}}

        <p class="bold">Total :- Advance + Cash  = {{ $ds->total_advance + $total_unmarked_amt }}</p>

        <div style="display: flex; justify-content: space-around; margin-top: 50px;">
            <div style="width: 30%;">
                <div>
                    <h4 style="text-decoration: underline; margin-bottom: 10px;">Summary</h4>
                </div>
                <div class="dtable">
                    <h4 style="text-decoration: underline;">Advance</h4>
                    <table width="100%">
                        <tr>
                            <td>Advance</td>
                            <td>{{ $ds->total_advance + $total_unmarked_amt  }}</td>
                        </tr>
                        <tr>
                            <td>Fuel Qty Issue</td>
                            <td>{{ $ds->total_diesel_receipt_qty }}</td>
                        </tr>

                        <tr>
                            <td>Fuel Amt Issue</td>
                            <td>{{ $ds->total_diesel_receipt_amt }}</td>
                        </tr>

                    </table>
                </div>

            </div>
            <p style="margin-top: 30px; text-decoration: underline;" class="bold">Cash toll</p>
            <p style="margin-top: 50px;">{{ $ds->total_toll }}</p>
            <div style="width: 26%;" class="dtable">
                <h4 style="text-decoration: underline;"> Expenses </h4>
                <table width="100%">
                    <tr>
                        <td>Fuel Expense</td>
                        <td>{{ $ds->total_fuel_expense }}</td>
                    </tr>

                    <tr>
                        <td>Uriya Expense</td>
                        <td>{{ $ds->total_uriya_amt }}</td>
                    </tr>

                    <tr>
                        <td>Toll</td>
                        <td>{{ $ds->total_toll_expense }}</td>
                    </tr>

                    <tr>
                        <td>Driver Expenses</td>
                        <td>{{ $ds->driver_expense }}</td>
                    </tr>
                </table>
            </div>
            <div style="width: 20%; ">
                <div>
                    <h4 style="margin-bottom: 10px;"><u>Cost Per km</u></h4>
                </div>
                <div>
                    <table width="100%" class="dtable">
                        <tr>
                            <td>Fuel Expense</td>

                            <?php if($ds->total_fuel_expense>0 && $ds->total_net_km>0){   ?>
                                        <td>{{ round($ds->total_fuel_expense/$ds->total_net_km,2) }}</td>
                            <?php } ?>
                            
                        </tr>
                        <tr>
                            <td>Uriya Expense</td>

                            <?php if($ds->total_uriya_amt>0 && $ds->total_net_km>0){   ?>
                                        <td>{{ round($ds->total_uriya_amt/$ds->total_net_km,2) }}</td>
                            <?php } ?>
                            
                        </tr>
                        <tr>
                            <td>Toll</td>

                            <?php if($ds->total_toll_expense>0 && $ds->total_net_km>0){   ?>
                                        <td>{{ round($ds->total_toll_expense/$ds->total_net_km,2) }}</td>
                            <?php } ?>
                            
                        </tr>

                        <tr>
                            <td>Driver Expenses</td>

                            <?php if($ds->driver_expense>0 && $ds->total_net_km>0){   ?>
                                        <td>{{ round($ds->driver_expense/$ds->total_net_km,2) }}</td>
                            <?php } ?>
                            
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <divs>
            <div style="width: 30%; margin-top: 20px; margin-left: 14px; margin-bottom: 30px;" class="dtable">
                <p>Balance</p>
                <table width="100%">
                    <tr>
                        <td>Payable</td>
                        <td>{{ $ds->driver_balance }} {{ $ds->driver_balance>=0?'Dr':'Cr' }}</td>
                    </tr>
                </table>
            </div>
        </divs>
        <div>
            <table width="100%">
                {{-- <tr>
                    <td>
                        <h4>Prepared By :
                            <span> {{ $ds->created_by_user['username'] }} </span>
                            <span>{{ $ds->created_at }}</span>
                        </h4>
                    </td>
                    <td style="text-align: end;">
                        <h4>Authorised By :</h4>
                    </td>
                </tr> --}}
            </table>
        </div>



    </div>


</body>

</html>