
@php

    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    $copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp


<!DOCTYPE html>
<html lang="en">

<head>
    <title> {{ $gr->gr_number }}</title>
</head>
<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        font-size: 14px;
        font-family: poppins, sans-serif;
    }

    table,
    tr,
    th,
    td {
        margin: 0;
    }

    td,
    th {
        text-indent: 4px;
    }

    .mains {
        font-size: 40px;
        margin-bottom: 0;
        font-weight: bold;
        font-family: Arial, sans-serif;
        color: #000;
    }

    .form-check {
        padding: 5px 0;
        color: #a92716;
        font-weight: 600;
    }

    /* .form-check-input{margin-left: 20px;} */
    @media print {
        table {
            width: 100%;
            font-size: 14px;
            word-wrap: break-word;
        }
    }
</style>

<body>

    
 
    @php
      $dynamic_fields = json_decode($gr->payment_dynamic_fields);
    @endphp
    
    <?php
      $i = 0;

      
    ?>

    @foreach($copies as $copy)

    <?php
      $i++;
    ?>
   

    <div style="width: 1000px;margin: 0 auto; margin-top:10px;">
        <div style="border: 1px solid #000;padding-top: 10px;">
            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <div style="float: left; width: 9%;">
                     &nbsp;
                    <p><img src="img/bs.png" style="width: 174px;height: 92px;"></p>
                </div>
                <div style="width: 78%;float:left; text-align:center;">
                    <P style="text-decoration: underline;font-weight: bold;">{{ $company->jurisdiction }}</P>
                    <h2 class="mains"> 
                    
                        {{ $company->company_name }} 
                        {{-- <span
                            style="color: #a92716;font-size: 40px;margin-bottom: 0;font-weight: 600;font-family: Arial, sans-serif;">LOGISTICS</span>
                        PVT.LTD. --}}
                    </h2>
                    <h4 style="margin-bottom: 0;font-size: 18px;">FLEET OWNERS & TRANSPORT CONTRACTORS</h4>
                    <p style="margin-bottom: 0;color: #a92716;font-weight: 600;">{{ $company->address1 }}.</p>

                </div>
                <div style="float: left; width: 13%;font-weight: 600;">
                    <p style="margin-bottom: 0;margin-right: 1px;text-align: end;">Mob : {{ $company->mob1 }}</p>
                    <P style="text-align: end;margin-right: 2px;">{{ $company->mob2 }}</P>
                    <P style="text-align: end;margin-right: 2px;">{{ $company->mob3 }}</P>
                </div>
            </table>

            <!--first Table Start-->
            <div style="width: 100%;float: left;;">
                <div style="width:60%; float: left;margin-right: 47px;">
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            {{-- <td style="border:1px solid#000;color: #a92716;">
                                <P align="center" style="color:#a92716;font-weight:bold">CAUTION</P>
                                <P>This consignment will not be detained diverted re-routed or re-booked without
                                    consignee bank's written permission will be delivered at the destination.</P>
                            </td> --}}
                        </tr>
                        <tr>
                            <td>
                                <p style="padding: 10px 0;">Address of Delivery Office<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 40%;"></span>
                                </p>
                            </td>
                        </tr>
                        <tr>
                            <td style="height: 165px;border:1px solid #000;">
                                <h4 style="text-align: center;">CONSIGNMENT NOTE</h4>
                                <P style="padding:4px;">No.<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 100%;font-weight:bold">
                                    {{ $gr->gr_number }} 
                                    </span>
                                </P>
                                <P style="padding:4px;">Date.<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 100%; font-weight:bold;">
                                        {{ formatDate($gr->gr_date) }}
                                    </span>
                                </P>
                                <P style="padding:4px;">FSSAIN<span
                                    style="border-bottom: 1px solid #000;display: inline-block;width: 100%;font-weight:bold">
                                        {{ $gr->fssain }}
                                    </span>
                                </P>
                                <P style="padding:4px;">PAN<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 100%;font-weight:bold">
                                        {{ $company->pan_number  }}
                                    </span>
                                </P>
                            </td>
                            <td style="height: 165px;border:1px solid #000;">
                                <h4 style="text-align: center;">A/C</h4>
                                <P style="padding:4px;">BANK NAME<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 100%;font-weight:bold">
                                        
                                    </span>
                                </P>
                                <P style="padding:4px;">IFSC.<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 100%; font-weight:bold;">
                                        
                                    </span>
                                </P>
                                <P style="padding:4px;">A/C No.<span
                                    style="border-bottom: 1px solid #000;display: inline-block;width: 100%;font-weight:bold">
                                    
                                    </span>
                                </P>
                                <P style="padding:4px;">PAN<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 100%;font-weight:bold">
                                        {{ $company->pan_number  }}
                                    </span>
                                </P>
                            </td>
                        </tr>
                    </table>
                </div>
                <div style="width:30%; float: left;margin-right: 42px;">
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td>
                                <P align="center" style="font-size:18px;font-weight:bold;">AT OWNER'S RISK</P>
                                <P align="center" style="font-size:23px;color:#a92716;font-weight:bold;text-transform: uppercase;">{{ $copy }} COPY
                                </P>
                                <!--<P align="center" style="font-size:18px;font-weight:bold;">INSURANCE</P>-->
                            </td>
                        </tr>
                        <tr>
                            <!--<td style="border:1px solid #000;">-->
                            <!--    <p style="text-align: center;font-weight: bold;">The Customer Has stated That :</p>-->
                            <!--    <p style="text-align: center;">1)He Has insured the consignment </p>-->
                            <!--    <p style="text-align: center;">OR</p>-->
                            <!--    <p style="text-align: center;padding-bottom: 10px;">2)He Has not insured the-->
                            <!--        consignments</p>-->
                            <!--    <P>Company :<span-->
                            <!--            style="border-bottom: 1px solid #000;width: 73%;display: inline-block;"></span>-->
                            <!--    </P>-->

                            <!--    <span style="padding: 20px 6px;">Policy No:<span-->
                            <!--            style="border-bottom: 1px solid #000;width: 30%;display: inline-block;"></span></span>-->
                            <!--    <span>Date :<span-->
                            <!--            style="border-bottom: 1px solid #000;width: 30%;display: inline-block;"></span></span>-->
                            <!--    <span style="margin:0 6px;">Amount:<span-->
                            <!--            style="border-bottom: 1px solid #000;width: 30%;display: inline-block;"></span></span>-->
                            <!--    <span>Risk :<span-->
                            <!--            style="border-bottom: 1px solid #000;width: 34%;display: inline-block;"></span></span>-->
                            <!--</td>-->
                        </tr>
                    </table>
                </div>
                <div style="width:32%; float: left;">
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td style="border:1px solid #a92716;color: #a92716;font-weight: bold;">
                                <P align="center">GSTIN NO. {{ $company->gst_number }}</P>
                            </td>
                        </tr>
                        <tr>
                            <td style="height:30px;">
                                <P>Vehicle No.:<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 75%; padding:3px;font-weight: bold;">
                                    {{ $gr->vehicle?$gr->vehicle['vehicle_number']:'' }}  
                                    </span>
                                </P>
                            </td>
                        </tr>
                        <tr>
                            <td style="height:30px;">
                                <P style=" ">E-way Bill No.:<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 70%; padding:3px; font-weight: bold;">
                                    @if(isset($gr->eway_details))
                                            @foreach($gr->eway_details as $eway)
                                                {{ $eway['eway_number'] }} &nbsp;
                                            @endforeach
                                    @endif
                                    </span>
                                </P>
                            </td>
                        </tr>
                        <tr>
                            <td style="height:30px;">
                                <P style=" ">Invoice No.<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 70%; padding:3px; font-weight: bold;">
                                        @if(isset($gr->gr_desc))
                                                @foreach($gr->gr_desc as $desc_item)
                                                  {{ $desc_item->invoice_number??'' }} &nbsp; &nbsp; 
                                            @endforeach
                                        @endif
                                    </span>
                                </P>
                            </td>
                        </tr>
                        <tr>
                            <td style="height:30px;">
                                <P>Shipment :<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 75%; padding:3px;font-weight: bold;">
                                    {{ $gr->shipment_number }}  
                                    </span>
                                </P>
                            </td>
                        </tr>
                        <tr>
                            <td style="height:30px;">
                                <P>DO No.:<span
                                        style="border-bottom: 1px solid #000;display: inline-block;width: 75%; padding:3px;font-weight: bold;">
                                    {{ $gr->po_no }}  
                                    </span>
                                </P>
                            </td>
                        </tr>
                        {{-- <tr>
                            <td style="border:1px solid #000;color:#a92716;">
                                <p align="center" style="color:#a92716;font-weight:600;">NOTICE</p>
                                <p style="font-size: 12px">
                                    The consignment covered by this set of Special Lorry Receipt shall be started at the destination under the control of the transport and shall be delivered to the order of the Consignee Bank whose name is mentioned in the Lorry Receipt. It will not be delivered to anyone under any circumstances without the written authority from the Consignee Bank or its order endorsed on the consignee copy or on a separate Letter of Authority.
                                </p>
                            </td>
                        </tr> --}}
                    </table>
                </div>

                <div style="width: 68%; float: left; margin-top:20px;">
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td style="height:23px;">Consignor's Name & Address :<span style="width:66%;border-bottom: 1px solid #000;display: inline-block; font-weight:bold">
                               <?php
                                  $consignor_string = $gr->consignor?$gr->consignor['party_name']:$gr->consignor_name ;
                                  $consignor_string .= ', '.$gr->consignor_address;
                                ?>
                                {{ printTillSpecificLength($consignor_string, 50) }}
                            </span></td>
                        </tr>
                        <tr>
                            <td style="height:23px;"><span
                                    style="width:60%;border-bottom: 1px solid #000;display: inline-block;height: 16px; font-weight:bold;">
                                {{-- Print after 50 position in consignee string --}}
                                <?php echo  printTillSpecificLength(substr($consignor_string, 50),45); ?>

                                {{ $gr->consignor_phone_number }}

                                </span>GSTIN
                                NO. :<span
                                    style="width:22%;border-bottom: 1px solid #000;display: inline-block;height: 16px; font-weight:bold;">
                                    {{ $gr->consignor_gst_number }}
                                </span>
                            </td>
                        </tr>
                        <tr>
                            <td style="height:23px;" style="padding-top: 10px">Consignee Name & Address :<span
                                    style="width:67%;border-bottom: 1px solid #000;display: inline-block; font-weight:bold">
                                    <?php
                                    $consignee_string = $gr->consignee?$gr->consignee['party_name']:$gr->consignee_name ;
                                    $consignee_string .= ', '.$gr->consignee_address;
                                    ?>
                                    {{ printTillSpecificLength($consignee_string, 50) }}
                                </span></td>
                        </tr>
                        <tr>
                            <td style="height:23px;"><span
                                    style="width:60%;border-bottom: 1px solid #000;display: inline-block;height: 16px;font-weight:bold">
                                 {{-- Print after 50 position in consignee string --}}
                                 <?php echo  printTillSpecificLength(substr($consignee_string, 50),45); ?>
                                 {{ $gr->consignee_phone_number }}
                                </span>GSTIN
                                NO. :<span
                                    style="width:22%;border-bottom: 1px solid #000;display: inline-block;height: 16px; font-weight:bold">
                                    {{ $gr->consignee_gst_number }}
                                </span>
                            </td>
                        </tr>
                    </table>
                </div>
                <div style="width:32%; float: left;margin-top: 12px;">
                    <table width="100%" cellpadding="0" cellspacing="0" border="1">
                        <tr>
                            <Td style="height:40px; padding:7px;">From :<span
                                    style="width:72%;border-bottom: 1px solid #000;display: inline-block;height:16px; font-weight:bold">
                                {{ $gr->source?$gr->source['station_name']:$gr->source_name }}
                                </span>
                            </Td>
                        </tr>
                        <tr>
                            <Td style="height:40px; padding:7px;">To :<span
                                    style="width:80%;border-bottom: 1px solid #000;display: inline-block;height:16px; font-weight:bold">
                                    {{ $gr->destination?$gr->destination['station_name']:$gr->destination_name }}
                                </span>
                            </Td>
                        </tr>
                    </table>
                </div>

                <div style="width:75%; float: left;margin-top: 20px;">
                    <table width="100%" cellpadding="0" cellspacing="0" border="1">
                        <tr align="center">
                            <td rowspan="2" style="height:40px;">Packages</td>
                            <td rowspan="2" style="font-weight:bold;">Description (Said to Contain)</td>
                            <td colspan="2" style="font-weight:bold;">WEIGHT</td>
                        </tr>
                        <tr align="center">
                            <td>Actual</td>
                            <td>Charged</td>
                        </tr>

                        
                        <tbody  style="height:121px;">
                            @foreach($gr->gr_desc as $desc_item)
                                <tr>
                                    <td style="border:none;border-right: 1PX solid #000;text-align:center;">{{ $desc_item->pkg }}</td>
                                    <td style="border:none;border-right: 1PX solid #000;text-align:center;">{{ $desc_item->material?$desc_item->material['material_name']:'' }}</td>
                                    <td style="border:none;border-right: 1PX solid #000;text-align:center;">{{ $desc_item->material_weight }}</td>
                                    <td style="border:none;border-right: 1PX solid #000;text-align:center;">{{ $desc_item->chg_qty }}</td>
                                </tr>
                            @endforeach

                        </tbody>
                        

                        <tr>
                            <td style="border:none;border-right: 1PX solid #000;"></td>
                            <td style="border:none;border-right: 1PX solid #000;font-weight: 700;">INVOICE : 
                                
                                @if(isset($gr->gr_desc))
                                            @foreach($gr->gr_desc as $gr_desc)
                                               @if($gr_desc->invoice_number)
                                                {{ $gr_desc->invoice_number }} ,&nbsp;
                                               @endif 
                                            @endforeach
                                @endif
                            
                            </td>
                            <td style="border:none;border-right: 1PX solid #000;"></td>
                            <td style="border:none;border-right: 1PX solid #000;"></td>

                        </tr>
                        <tr>
                            <td style="border:none;border-right: 1PX solid #000;"></td>
                        </tr>

                    </table>
                </div>

                <div style="width:25%; float: left;margin-top: 20px;">
                    <table width="100%" cellpadding="0" cellspacing="0" border="1">
                        <tr align="center">
                            <td rowspan="2" style="padding:5px 0;">Rate</td>
                            <td colspan="2" style="padding:5px 0;">TO PAY / PAID</td>
                        </tr>
                        <tr align="center">
                            <td>Rs.</td>
                            <td>P.</td>
                        </tr>
                        <tr align="center">
                            <td style="height: 19px;border-top: none;border-bottom: none;">{{ $gr->pay_mode!='TBB'?(isset($gr->gr_desc[0])?$gr->gr_desc[0]->rate:''):'' }}</td>
                            <td style="border: none;">
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        $freight_parts = explode('.', $gr->freight);
                                        echo isset($freight_parts[0]) ? $freight_parts[0] : '';
                                    }
                                @endphp
                            </td>
                            <td style="border: none;">
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        $freight_parts = explode('.', $gr->freight);
                                        echo isset($freight_parts[1]) ? $freight_parts[1] : '';
                                    }
                                @endphp
                            </td>
                            
                            
                        </tr>
                        <tr>
                            <td style="height: 20px;border-top: none;border-bottom: none;"></td>
                            <td style="border: none;"></td>
                            <td style="border: none;"></td>
                        </tr>
                        <tr>
                            <td style="height: 18px;border-top: none;border-bottom: none;"></td>
                            <td style="border: none;"></td>
                            <td style="border: none;"></td>
                        </tr>
                        <tr align="center">
                            <td style="height: 18px;">GST</td>
                            <td style="height: 18px;">
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        $gst_parts = explode('.', $gr->total_cgst_amount + $gr->total_sgst_amount + $gr->total_igst_amount);
                                        echo isset($gst_parts[0]) ? $gst_parts[0] : '';
                                    }
                                @endphp
                            </td>
                            <td>
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        $gst_parts = explode('.', $gr->total_cgst_amount + $gr->total_sgst_amount + $gr->total_igst_amount);
                                        echo isset($gst_parts[1]) ? $gst_parts[1] : '';
                                    }
                                @endphp
                            </td>
                        </tr>
                        
                        <tr align="center">
                            <td style="height: 18px;">Boarding</td>
                            <td style="height: 18px;">
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        if(isset($dynamic_fields->boarding_chg)){
                                            $boarding_chg_parts = explode('.', $dynamic_fields->boarding_chg);
                                             echo isset($boarding_chg_parts[0]) ? $boarding_chg_parts[0] : '';
                                        }
                                        
                                    }
                                @endphp
                            </td>
                            <td>
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        if(isset($dynamic_fields->boarding_chg)){
                                        $boarding_chg_parts = explode('.', $dynamic_fields->boarding_chg);
                                        echo isset($boarding_chg_parts[1]) ? $boarding_chg_parts[1] : '';
                                        }
                                    }
                                @endphp
                            </td>
                        </tr>
                        
                        <tr align="center">
                            <td style="height: 18px;">Loading</td>
                            <td>
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        if(isset($dynamic_fields->loading)){
                                        $loading_parts = explode('.', $dynamic_fields->loading);
                                        echo isset($loading_parts[0]) ? $loading_parts[0] : '';
                                        }
                                    }
                                @endphp
                            </td>
                            <td>
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        if(isset($dynamic_fields->loading)){
                                        $loading_parts = explode('.', $dynamic_fields->loading);
                                        echo isset($loading_parts[1]) ? $loading_parts[1] : '';
                                        }
                                    }
                                @endphp
                            </td>
                        </tr>
                        
                        
                        <tr align="center">
                            <td style="height: 18px;">Total</td>
                            <td>
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        $total_parts = explode('.', $gr->total_without_rounding);
                                        echo isset($total_parts[0]) ? $total_parts[0] : '';
                                    }
                                @endphp
                            </td>
                            <td>
                                @php
                                    if ($gr->pay_mode != 'TBB') {
                                        $total_parts = explode('.', $gr->total_without_rounding);
                                        echo isset($total_parts[1]) ? $total_parts[1] : '';
                                    }
                                @endphp
                            </td>
                        </tr>
                        
                    </table>
                </div>
            </div>
            <table width="100%" cellpadding="0" cellspacing="0">
                <tr>
                    <td width="45%"><span style="font-weight:bold;">DECLARED VALUE RS.</span><span
                            style="width:50%;border-bottom: 1px solid#000;display: inline-block;">  {{ $gr->total_invoice_value?$gr->total_invoice_value:'As Per Invoice' }}</span>
                        <P>Not Responsible for Leakages & Breakage.</P>
                        <P>Received acknowledge within 15 days after</P>
                        <p>We are not responsible for the balance payment.</p>
                    </td>
                    <td width="29%">G.S.T PAYABLE
                        <div class="form-check">
                            <label class="form-check-label" for="flexCheckDefault">
                                CONSIGNOR
                            </label>

                            <input <?php if($gr->gst_paid_by=='Consignor'){ echo 'checked="checked"'; } ?> class="form-check-input" style="margin-left: 20px;" type="checkbox" value="" id="flexCheckDefault">

                        </div>
                        <div class="form-check">
                            <label class="form-check-label" for="flexCheckDefault">
                                CONSIGNEE
                            </label>
                            <input class="form-check-input" style="margin-left: 22px;" type="checkbox" value=""
                                id="flexCheckDefault">
                            </label>
                        </div>
                        <div class="form-check">
                            <label class="form-check-label" for="flexCheckDefault">
                                TRANSPORTER
                            </label>
                            <input class="form-check-input" style="margin-left: 1px;" type="checkbox" value=""
                                id="flexCheckDefault">
                            </label>
                        </div>
                    </td>
                    <td style="font-weight: bold;">FOR 
                            {{ $company->company_name }}
                          {{-- SAHANI <span
                            style="color: #a92716;font-weight:bold;">LOGISTICS</span> PVT.LTD. --}}
                        </td>
                </tr>
            </table>

        </div>

        <?php
           if($i%1==0 && isset($copies[$i])){
               echo '<div style="page-break-before: always;"></div>';
           }
        ?>

        @endforeach
</body>

</html>