@php
    function formatDate($date) {
        // Check if the date is valid
        if (!strtotime($date)) {
            return '';
        }
        
        return date('d-m-Y', strtotime($date));
    }

    
    function printTillSpecificLength($string, $maxLength) {
        // Check if the length of the string is less than or equal to the maxLength
        if (strlen($string) <= $maxLength) {
            echo $string;
        } else {
            // If the length exceeds maxLength, print only up to maxLength characters
            echo substr($string, 0, $maxLength);
        }
    }

    $copies = isset($_GET['copies'])?$_GET['copies']:'consignor';

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp

<!DOCTYPE html>
<html lang="en">

<head>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Engagement&family=Fasthand&family=Pacifico&family=Vampiro+One&display=swap"
        rel="stylesheet">
    <title>{{ $ls->ls_number }}</title>
</head>
<style>
    * {
        box-sizing: border-box;
        padding: 0;
        margin: 0;
        font-size: 14px;
        font-family: poppins, sans-serif;
    }


    tr,
    th,
    td,
    th {
        text-indent: 4px;
        padding: 4px 0;
        font-size: 17px;
    }

    .main-page {
        border: 1px solid #000;
        font-weight: 700;
        position: relative;
        margin-top: 20px;
    }

    .main {
        border-top: none;
        border-bottom: none;
    }

    .no-print {
    display: block;
}

@media print {
    .no-print {
        display: none;
    }
}


</style>

<body>
    <button class="no-print" id="downloadButton">Download as Image</button>


    <div style="width: 1000px;margin: 0 auto;">
        <div class="main-page">
            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <div style="display: flex;">
                    <div style="width:20%;">
                        <P><img src="img/bs.png" width="100%" style="margin:auto;display:block;"></P>
                    </div>
                    <div style="margin-bottom: 15px;width:70%;text-align: center;font-weight:bold;">
                        <h2 style="font-size:30px;">
                            {{ $company->company_name }}</h2>
                        <P>{{ $company->address1 }}</P>
                        <p>MOBILE : {{ $company->mob1 }}; {{ $company->mob2 }}; {{ $company->mob3 }}; 90096-70518</p>
                        <p>Email: {{ $company->email }}; GSTIN: {{ $company->gst_number }}</p>
                    </div>
                </div>
            </table>
            <table width="100%" cellspacing="0" cellpadding="0" align="center"">
                <tr>
                    <td align=" center" style="border-top: 1px solid#000;font-size:22px;">LOADING SLIP</td>
                </tr>
            </table>
            <table width="100%" cellspacing="0" cellpadding="0" align="center" style="margin-top:20px;">
                <tr>
                    <td>To,</td>
                    <td style="font-size:18px;">
                        {{ $ls->acc_party['account_name'] }}, 
                        <?php
                            $party_string = $ls->acc_party['party']['address1'].','. $ls->acc_party['party']['city'].', '.$ls->acc_party['party']['state'].', '.$ls->acc_party['party']['gst_number']  ;
                        ?>
                        {{ printTillSpecificLength($party_string, 83) }}
                    </td>
                </tr>
            </table>
            <p style="margin-top:30px;margin-left:7px;">Dear Sir,</p>
            <p style="margin-left:7px;">Please transfer advance payment to the bank account.</p>
            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <tr>
                    <td width="50%" style="padding:20px 0;"> Ls Number:</td>
                    <td>{{ $ls->ls_number }}</td>
                </tr>
                <tr>
                    <td width="50%" style="padding:20px 0;">Date:</td>
                    <td>{{ formatDate($ls->ls_date) }}</td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">Truck Number:</td>
                    <td>{{ $ls->vehicle?$ls->vehicle['vehicle_number']:'' }}</td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">From: </td>
                    <td>{{ $ls->source?$ls->source['station_name']:'' }}</td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">To:</td>
                    <td>{{ $ls->destination?$ls->destination['station_name']:'' }}</td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">Material:</td>
                    <td>{{ $ls->material_name }}</td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">Weight:</td>
                    <td>{{ (int) $ls->material_weight }} MT </td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">Freight:</td>
                    <td>Rs {{ $ls->freight }}</td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">Advance:</td>
                    <td>{{ $ls->advance_amt }}</td>
                </tr>
                <tr>
                    <td style="padding:20px 0;">Balance:</td>
                    <td>Rs {{ $ls->balance_receivable }}</td>
                </tr>
            </table>

            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <tr>
                    <td>DETENTION: NO DETENTION.</td>
                </tr>
                <tr>
                    <td>
                        <p>Bank details are mentioned below</p>
                        <p>{{ $company->company_name }}</p>
                        <p>A/c no. {{$company->account_number}}</p>
                        <p>IFSC: {{$company->ifsc}}</p>
                        <p>Branch: {{$company->bank_branch}}</p>
                        <p>Thank you</p>
                    </td>
                </tr>
                <tr>
                </tr>
            </table>
            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <tr>
                    <td>
                        <p style="margin-top: 25px;">{{ $company->company_name }}</p>
                        <p style="margin-top: 15px;">NOTE:</p>
                    </td>
                </tr>

            </table>
            <table width="100%" cellspacing="0" cellpadding="0" align="center">
                <tr>
                    <td>
                        <p>1.</p>
                    </td>
                    <td>
                        <p>We are not responsible for any unforeseen circumstances such as fire, breakage, leakage,
                            theft, shortage of
                            goods during transportation, this is the liability of the Goods Owner/Insurance company.</p>
                    </td>
                </tr>
                <tr>
                    <td width="5%">2.</td>
                    <td>
                        <p style="margin-top:20px">We only act as a broker/commission agent in supply of trucks to the
                            consignor. We pay advance freight
                            payment to Fleetowner/Driver after loading of truck on behalf consignor with the promise
                            that the advance
                            payment will be credited in our bank account by consignor in one working day & balance
                            payment against
                            Acknowledge/Delivery receipt to be transferred into our bank account within seven working
                            days.</p>
                    </td>
                </tr>
            </table>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/1.4.1/html2canvas.min.js"></script>
<script>
    document.getElementById('downloadButton').addEventListener('click', function () {
    const noPrintButton = document.querySelector('.no-print');

    // Temporarily hide the no-print button
    noPrintButton.style.display = 'none';

    // Capture the page as an image
    html2canvas(document.body, {
        scale: 2, // Scale to enhance the quality of the captured image
        width: document.body.scrollWidth, // Use the full width of the document
        height: document.body.scrollHeight, // Use the full height of the document
        useCORS: true, // Allow cross-origin images
        backgroundColor: '#ffffff' // Set background color to white to mimic print
    }).then(function (canvas) {
        // Create a download link
        let link = document.createElement('a');
        link.href = canvas.toDataURL('image/png');
        link.download = 'page-snapshot.png';
        link.click();

        // Show the button again after capturing
        noPrintButton.style.display = 'block';
    });
});

</script>



</body>

</html>