  
@php

function formatDate($date) {
    // Check if the date is valid
    if (!strtotime($date)) {
        return '';
    }
    
    return date('d-m-Y', strtotime($date));
}


function printTillSpecificLength($string, $maxLength) {
    // Check if the length of the string is less than or equal to the maxLength
    if (strlen($string) <= $maxLength) {
        echo $string;
    } else {
        // If the length exceeds maxLength, print only up to maxLength characters
        echo substr($string, 0, $maxLength);
    }
}


function numberToWords($number) {
    $no = floor($number);
    $point = round($number - $no, 2) * 100;
    $hundred = null;
    $digits_1 = strlen($no);
    $i = 0;
    $str = array();
    $words = array(
        '0' => '', '1' => 'One', '2' => 'Two', '3' => 'Three', '4' => 'Four', '5' => 'Five', '6' => 'Six', '7' => 'Seven', '8' => 'Eight', '9' => 'Nine',
        '10' => 'Ten', '11' => 'Eleven', '12' => 'Twelve', '13' => 'Thirteen', '14' => 'Fourteen', '15' => 'Fifteen', '16' => 'Sixteen', '17' => 'Seventeen',
        '18' => 'Eighteen', '19' => 'Nineteen', '20' => 'Twenty', '30' => 'Thirty', '40' => 'Forty', '50' => 'Fifty', '60' => 'Sixty', '70' => 'Seventy',
        '80' => 'Eighty', '90' => 'Ninety'
    );
    $digits = array('', 'Hundred', 'Thousand', 'Lakh', 'Crore');
    while ($i < $digits_1) {
        $divider = ($i == 2) ? 10 : 100;
        $number = floor($no % $divider);
        $no = floor($no / $divider);
        $i += ($divider == 10) ? 1 : 2;
        if ($number) {
            $plural = (($counter = count($str)) && $number > 9) ? 's' : null;
            $hundred = ($counter == 1 && $str[0]) ? ' and ' : null;
            $str [] = ($number < 21) ? $words[$number] .
                " " . $digits[$counter] . $plural . " " . $hundred
                :
                $words[floor($number / 10) * 10]
                . " " . $words[$number % 10] . " "
                . $digits[$counter] . $plural . " " . $hundred;
        } else $str[] = null;
    }
    $str = array_reverse($str);
    $result = implode('', $str);
    $points = ($point) ?
        "." . $words[$point / 10] . " " . 
            $words[$point = $point % 10] : '';
            echo $result . "Rupees  ";
    // echo $result . "Rupees  " . $points . " Paise";
}


    if(isset($_GET['copies']))
    $copies = $_GET['copies'];
    else
    $copies = 'Original,Duplicate';
    

    // BREAK $copies INTO ARRAY
    $copies = explode(',', $copies);





@endphp


<!DOCTYPE html>
<html lang="en"><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
    
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{{ $pod->pod_number }}</title>
 
  <style>
.mainbox{width: 12.8cm;height: 11cm;border: 1px solid;border-radius: 15px}
.gapboxv{width: 0.1cm;height: 8.5cm;}
.mainbox .box1{border-bottom: 1px solid;}
.mainbox .box1 h3{text-align: center;margin: 1px;letter-spacing: 3px;font-weight: bolder;font-size: 23px;}
.mainbox .box1 p{text-align: center;margin: 0px;font-size: 13px;}
.mainbox .box2{border-bottom: 1px solid; background-color: rgb(159, 189, 223);margin: 0px; font-size:15px}
.mainbox .box3{width: 100% ;height: 360px;}
.mainbox .box3 p{font-size:13px;}
.mainbox .box3 .col1,.col2{float: left;height: 100% ;}
.mainbox .box3 .col1{width: 50%;height: 100% ;}
.mainbox .box3 .col1 p{margin-left: 6px;margin: 5.9px;}
.mainbox .box3 .col2{width: 49%;height: 100% ;}
.mainbox .box3 .col2 h6{margin: 0px;text-align: center;font-size: 13px;}
.mainbox .box3 .col2 .box{border: 1px solid;margin: 1px;height:180px ;border-radius: 10px;background-color: rgb(159, 189, 223)}
.mainbox .box3 .col2 .box .cola1,.cola2{float: left;}
.mainbox .box3 .col2 .box .cola1{border-right: 1px solid;height: 100%;width: 65%;}
.mainbox .box3 .col2 .box .cola1 p{margin: 0px;margin-left: 5px;margin-top:10px;}
.mainbox .box3 .col2 .box .cola2{height: 100%;width: 34%;}
.mainbox .box3 .col2 .box .cola2{border-bottom: 1px solid;height: 87%;}
.mainbox .box3 .col2 .box .cola2 p{margin:0px;margin-left: 1px;margin-top: 10px;text-align:right;margin-right:2px;}
.mainbox .box3 .col2 .box .cola2 .rowa2{text-align: right;margin: 1px;margin-right:2px;}

.mainbox .box3 .col2 h4{margin: 0px;float: right;margin-right:11px;font-size: 13px;}

  </style>
</head>
<body>
    <!--mainbox-->
    <div class="mainbox" style="float:left">
        <!--box1-->
        <div class="box1">
            <h3>{{ $company->company_name }}</h3>
            <p><strong>ADDRESS : </strong> {{ $company->address1 }}   {{ $company->city }}  {{ $company->state }} {{ $company->pincode }} <br> Mob No : {{ $company->mob1 }}, {{ $company->mob2 }}  </p>
            <p><strong>GSTIN :{{ $company->gst_number }}</strong></p>
        </div>
          <!--box2-->
        <div class="box2">
            <table width="100%"><tbody><tr>
                <td>No.: {{ $pod->pod_number }}</td>  
                <td>Branch: {{ $pod->branch['branch_name'] }}  </td>  
                <td>Date: {{ formatDate($pod->delivery_date) }}</td>
            </tr></tbody></table>
        </div>
              <!--box3-->
        <div class="box3">
            <div class="col1">
                <?php 
                    $pod_desc = $pod->pod_desc[0];

                    
                    
                    ?>

@php
$dynamic_fields = json_decode($pod->pod_payment_dynamic_fields);
@endphp


                <p>Consignee: 	{{ $pod_desc->bookgr->consignee?$pod_desc->bookgr->consignee['party_name']:'' }}</p>
                <p>GSTIN:  		{{ $pod_desc->bookgr->consignee?$pod_desc->bookgr->consignee['gst_number']:'' }}</p>
                <p>Consigner: 	{{ $pod_desc->bookgr->consignor?$pod_desc->bookgr->consignor['party_name']:'' }}</p>
                <p>GSTIN: 		 {{ $pod_desc->bookgr->consignor?$pod_desc->bookgr->consignor['party_name']:'' }}</p>
                <p>Bilty No.:  	{{ $pod_desc->gr_number }}</p>
                <p>Bilty Date: 	{{ formatDate($pod_desc->bookgr->gr_date) }}</p>
                <p>From: 		{{ $pod_desc->bookgr->source?$pod_desc->bookgr->source['station_name']:'' }}</p>
                <p>Pkg.: 		{{ $pod_desc->bookgr->total_pkg }} &nbsp;&nbsp;&nbsp;&nbsp; Weight : {{ $pod_desc->bookgr->total_material_weight }}</p>
                <p>Particulars: {{ $pod_desc->bookgr->gr_desc ? $pod_desc->bookgr->gr_desc[0]->material?$pod_desc->bookgr->gr_desc[0]->material['material_name']:'' :'' }}</p>
                <p>P. Marka:  {{ $pod_desc->bookgr->p_marka }}	</p>
                
                <p>Received In :  <b>{{ $pod->received_in_account ? $pod->received_in_account['account_name'] : '' }}</b>	</p>
                
            </div>
            <div class="col2">
                <div class="box">
                    <div class="cola1">
                        <p>Freight</p>
                        <p>Labour/Unloading Ch.</p>
                        <p>Delivery Charges</p>
                        <p>Godown Charges</p>
                        <p>Load Detention</p>
                        <p>Unload Detention</p>
                        <p><b>Total</b></p>
                    </div>
                    <div class="cola2">
                        <div class="rowa1">
                            <p>{{ $pod->freight }}&nbsp;</p>
                            <p> {{ isset($dynamic_fields->labour)?$dynamic_fields->labour:0 }} &nbsp;</p>
                            <p> {{ isset($dynamic_fields->delivery_chg)?$dynamic_fields->delivery_chg:0 }} &nbsp;</p>
                            <p> {{ isset($dynamic_fields->godown_chg)?$dynamic_fields->godown_chg:0 }} &nbsp;</p>
                            <p>{{ $pod->load_detention }}&nbsp;</p>
                            <p>{{ $pod->unload_detention }}&nbsp;</p>
                            <p><b>{{ $pod->grand_total }}&nbsp;</b></p>
                       </div>
                    </div>
                </div>
                <h4>Delivery Clerk</h4>
            </div>
        </div>
    </div>
   
    

</body></html>